#!/usr/bin/perl

use strict;
use HSPC::WebDB qw(:DEFAULT atrans);

use Storable qw(freeze);

my $accounts = select_hashrows(q|
	SELECT
		id, paytype_id, pdata_id, name, account_no,
		is_online, is_enabled, status, customer_ip,
		NULL expire_date,user_comment,admin_comment
	FROM
		paymethod
	WHERE
		paytype_id = 'DTAUS'
		
|);

if( is_table_exists( table => 'plugin_pm' ) ) {
	foreach my $account (@$accounts) {
		my %hash = ( type => 'BT_DTAUS' );

		my $trans = atrans();

		select_run(q|
			INSERT INTO plugin_pm (
				id, type, name, account_no, enabled, recurring,
				status, template_id, customer_ip, expire_date,
				data_id, public_data, checksum
			) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, '0000-00-00 00:00:00', ?, ?, NULL)|,
			$account->{id},						## id
			'BT_'.$account->{paytype_id},		## type
			$account->{name},					## name
			$account->{account_no},				## account_no
			$account->{is_enabled},				## enabled
			$account->{is_online},				## recurring
			$account->{status},					## status
			'BT_DTAUS',							## template_id
			$account->{customer_ip},			## customer_ip
			$account->{pdata_id},				## data_id
			freeze(\%hash)						## public_data
		);
		select_run(q|
			INSERT INTO core_comment (node_id,node_type,
			create_date,comment_type,added_by,added_by_account,added_by_ip,
			is_public,comment_txt) VALUES (?,?,?,?,?,?,?,?,?)|,$account->{id},
			'HSPC::MT::PM::PluginEngine::BankAccount','0000-00-00 00:00:00',
			1,1,1,undef,1,$account->{user_comment}
		) if ( $account->{user_comment} );
		select_run(q|
			INSERT INTO core_comment (node_id,node_type,
			create_date,comment_type,added_by,added_by_account,added_by_ip,
			is_public,comment_txt) VALUES (?,?,?,?,?,?,?,?,?)|,$account->{id},
			'HSPC::MT::PM::PluginEngine::BankAccount','0000-00-00 00:00:00',
			1,1,1,1,undef,0,$account->{admin_comment}
		) if ( $account->{admin_comment} );
		select_run("delete from paymethod where paymethod.id = '$account->{id}'");
		select_run("delete from paymethod_bankaccount where paymethod_bankaccount.id = '$account->{id}'");
		$trans->commit();
	}

}
