package HSPC::MT::Plugin::PM::BT_DTAUS::BLZS;

use strict;


## >> class
## =>> blz	-- bank code
## <	returns method id for bank code
sub method_id {
	my ($class,%h)	= (@_);
	
	## define it here, because constants take too much resources
	## Bank numbers
	my %BLZS_CODES	= (
		'10000000' => ['Bundesbank Berlin','09'],
		'10010010' => ['Postbank Berlin','24'],
		'10010111' => ['SEB Berlin','13'],
		'10010222' => ['ABN AMRO Bank Ndl Deutschland Berlin','10'],
		'10010424' => ['Aareal Bank Berlin','09'],
		'10020000' => ['Berliner Bank Ndl d Landesbank Berlin','69'],
		'10020200' => ['BHF-BANK Berlin','60'],
		'10020400' => ['Parex Bank Berlin, Berlin', '09'],
		'10020500' => ['Sozialbank Berlin','09'],
		'10020890' => ['Bayer Hypo- und Vereinsbank Berlin','99'],
		'10022200' => ['Bankgesellschaft Berlin','69'],
		'10030200' => ['Berlin-Hannoversche Hypothekenbank','09'],
		'10030400' => ['ABK-Kreditbank Berlin','09'],
		'10030500' => ['Bankhaus Lobbecke Ndl Berlin, Fasanenstra?e','09'],
		'10030600' => ['Bankhaus Oswald Kruber Berlin','88'],
		'10030700' => ['Gries & Heissel - Bankiers Berlin','16'],
		'10040000' => ['Commerzbank Berlin [West]','13'],
		'10040060' => ['Commerzbank Gf 160, Berlin', '09'],
		'10040061' => ['Commerzbank Gf 161, Berlin', '09'],
		'10045050' => ['Commerzbank Service-BZ Berlin','13'],
		'10050000' => ['Landesbank Berlin -Gz- zgl Berliner Sparkasse','20'],
		'10050001' => ['Landesbank Berlin -Girozentrale-','20'],
		'10050005' => ['Landesbank Berlin -Girozentrale- E 1','09'],
		'10050006' => ['Landesbank Berlin -Girozentrale- E 2','09'],
		'10050500' => ['LBS Ost Berlin','09'],
		'10050600' => ['WestLB Berlin','08'],
		'10050999' => ['DekaBank Berlin','09'],
		'10060198' => ['Pax-Bank Berlin','06'],
		'10060237' => ['Evangelische Darlehnsgenossenschaft Berlin','33'],
		'10070000' => ['Deutsche Bank Fil Berlin','63'],
		'10070024' => ['Deutsche Bank Privat und Geschaftskunden F 700 Berlin','63'],
		'10070100' => ['Deutsche Bank Fil Berlin II, Berlin', '63'],
		'10070124' => ['Deutsche Bank Privat und Gesch?ftskd Berlin II, Berlin', '63'],
		'10070989' => ['Eurohypo Ndl DB Berlin','63'],
		'10080000' => ['Dresdner Bank Berlin','76'],
		'10080005' => ['Dresdner Bank Zw A Berlin','76'],
		'10080006' => ['Dresdner Bank Zw B Berlin','76'],
		'10080088' => ['Dresdner Bank IBLZ Berlin','76'],
		'10080090' => ['Dresdner Bank Gf Berlin','76'],
		'10080900' => ['Dresdner Bank Otto Scheurmann Berlin','76'],
		'10089260' => ['Dresdner Bank ITGK Berlin','09'],
		'10089999' => ['Dresdner Bank ITGK 2, Berlin', '09'],
		'10090000' => ['Berliner Volksbank','06'],
		'10090300' => ['Bank fur Schiffahrt [BFS] Fil d Ostfr VB Leer Berlin','09'],
		'10090603' => ['Deutsche Apotheker- und Arztebank Berlin','14'],
		'10090900' => ['PSD Bank Berlin-Brandenburg','91'],
		'10110300' => ['Masel, Dr. - & Co. Berlin','09'],
		'10110400' => ['Investitionsbank Berlin','09'],
		'10110600' => ['Berliner Effektenbank, Ndl Consors Capital','00'],
		'10120100' => ['Weberbank Privatbankiers Berlin','94'],
		'10120600' => ['Ge Money Bank Berlin','41'],
		'10120760' => ['Bayer Hypo- und Vereinsbank Ndl 260 Bln Aschheim','70'],
		'10120800' => ['VON ESSEN Bankgesellschaft Berlin','09'],
		'10120900' => ['ABC Privatkunden-Bank Berlin','09'],
		'10120999' => ['readybank Gf GAA, Berlin', '09'],
		'10130600' => ['Isbank Fil Berlin','06'],
		'10130800' => ['XCOM Bank Ndl Dreieich','01'],
		'10190100' => ['Berliner Volksbank [eh Grundkreditbank]','06'],
		'10210900' => ['Munchener Hypothekenbank Berlin','09'],
		'10220700' => ['Hanseatic Bank Berlin','09'],
		'10320800' => ['Emporiki Bank - Germany Berlin','56'],
		'12016836' => ['KfW Kreditanstalt fur Wiederaufbau Berlin','09'],
		'12020300' => ['BkmU Bank Berlin','06'],
		'12030000' => ['Deutsche Kreditbank Berlin','00'],
		'12030700' => ['Hanseatic Bank Berlin-Mitte','09'],
		'12030900' => ['Merck Finck & Co Berlin','10'],
		'12040000' => ['Commerzbank Berlin Ost','13'],
		'12050555' => ['NLB FinanzIT Berlin','09'],
		'12060000' => ['DZ BANK Berlin','09'],
		'12070000' => ['Deutsche Bank Ld Brandenburg Potsdam','63'],
		'12070024' => ['Deutsche Bank Privat und Geschaftskunden Potsdam','63'],
		'12080000' => ['Dresdner Bank Berlin','76'],
		'12090640' => ['Deutsche Apotheker- und Arztebank [ZV-Ost] Berlin','14'],
		'12096597' => ['Sparda-Bank Berlin','A8'],
		'13000000' => ['Bundesbank Rostock','09'],
		'13010111' => ['SEB Rostock','13'],
		'13020780' => ['Bayer Hypo- und Vereinsbank[ehem. Hypo] Rostock','70'],
		'13020800' => ['Hanseatic Bank Rostock','16'],
		'13040000' => ['Commerzbank Rostock','13'],
		'13050000' => ['Ostseesparkasse Rostock','20'],
		'13051042' => ['Kreissparkasse Rugen, Sitz Bergen Bergen auf Rugen','52'],
		'13051052' => ['Sparkasse Hansestadt Stralsund','52'],
		'13061008' => ['Volksbank Wolgast','32'],
		'13061028' => ['Volksbank Raiffeisenbank ehem VB Greifswald Greifswald, Hansestadt','32'],
		'13061078' => ['Volks- und Raiffeisenbank Wismar, Meckl','32'],
		'13061088' => ['Volks- und Raiffeisenbank ehem Raiffbk Wismar, Meckl','32'],
		'13061128' => ['Raiffeisenbank Bad Doberan','32'],
		'13070000' => ['Deutsche Bank Rostock','63'],
		'13070024' => ['Deutsche Bank Privat und Geschaftskunden Rostock','63'],
		'13080000' => ['Dresdner Bank Rostock','76'],
		'13090000' => ['Rostocker Volks- und Raiffeisenbank','32'],
		'13091044' => ['VR-Bank Rugen -alt- Bergen auf Rugen','32'],
		'13091054' => ['Pommersche Volksbank Stralsund','32'],
		'13091084' => ['Volks- und Raiffeisenbank [ehem. Volksbank] Wismar, Meckl','06'],
		'14000000' => ['Bundesbank Schwerin, Meckl','09'],
		'14020700' => ['Hanseatic Bank Schwerin, Meckl','16'],
		'14020781' => ['Bayer Hypo- und Vereinsbank[ehem. Hypo] Schwerin, Meckl','70'],
		'14040000' => ['Commerzbank Schwerin, Meckl','13'],
		'14051000' => ['Sparkasse Mecklenburg-Nordwest Wismar, Meckl','20'],
		'14051362' => ['Sparkasse Parchim-Lubz','20'],
		'14051462' => ['Sparkasse Schwerin Schwerin, Meckl','52'],
		'14052000' => ['Kreissparkasse Ludwigslust Hagenow','20'],
		'14061308' => ['Volks- und Raiffeisenbank Gustrow','32'],
		'14061338' => ['Raiffeisenbank Sternberg -alt- Sternberg, Meckl','09'],
		'14061438' => ['Raiffeisen-Volksbank Gadebusch','32'],
		'14080000' => ['Dresdner Bank Schwerin, Meckl','76'],
		'14080011' => ['Dresdner Bank Zw W Schwerin, Meckl','76'],
		'14091464' => ['VR-Bank Schwerin, Meckl','32'],
		'15000000' => ['Bundesbank Neubrandenburg, Meckl','09'],
		'15040068' => ['Commerzbank Neubrandenburg, Meckl','13'],
		'15050100' => ['Muritz-Sparkasse Waren [Muritz]','20'],
		'15050200' => ['Sparkasse Neubrandenburg-Demmin Neubrandenburg, Meckl','20'],
		'15050300' => ['Kreissparkasse Demmin -alt- Demmin, Hansestadt','20'],
		'15050400' => ['Sparkasse Uecker-Randow Pasewalk','20'],
		'15050500' => ['Sparkasse Vorpommern Greifswald, Hansestadt','20'],
		'15051732' => ['Sparkasse Mecklenburg-Strelitz Neustrelitz','52'],
		'15061618' => ['Raiffeisenbank Waren Waren [Muritz]','32'],
		'15061638' => ['Volksbank Raiffeisenbank Greifswald, Hansestadt','32'],
		'15061658' => ['Raiffeisenbank Pasewalk-Strasburg Strasburg [Uckermark]','32'],
		'15061698' => ['Raiffeisenbank Malchin','32'],
		'15061738' => ['Raiffeisenbank Neustrelitz','11'],
		'15061758' => ['Neubrandenburger Bank Neubrandenburg, Meckl','06'],
		'15080000' => ['Dresdner Bank Neubrandenburg, Meckl','76'],
		'15091674' => ['Volksbank Demmin Demmin, Hansestadt','06'],
		'15091704' => ['Volksbank Uckermark Prenzlau','06'],
		'16000000' => ['Bundesbank Potsdam','09'],
		'16010111' => ['SEB Potsdam','13'],
		'16010300' => ['Investitionsbank des Landes Brandenburg Potsdam','08'],
		'16020086' => ['Bayer Hypo- und Vereinsbank Potsdam','99'],
		'16040000' => ['Commerzbank Potsdam','13'],
		'16050000' => ['Mittelbrandenburgische Sparkasse in Potsdam','20'],
		'16050101' => ['Sparkasse Prignitz Pritzwalk','20'],
		'16050202' => ['Sparkasse Ostprignitz-Ruppin Neuruppin','20'],
		'16050500' => ['LBS Ostdeutsche Landesbausparkasse Potsdam','09'],
		'16050888' => ['Sparkasse Dahme-Spreewald Konigs Wusterhausen','20'],
		'16052500' => ['Kreissparkasse Teltow-Flaming Luckenwalde','20'],
		'16060122' => ['Volks- und Raiffeisenbank Prignitz Perleberg','32'],
		'16061938' => ['Raiffeisenbank Ostprignitz-Ruppin Neuruppin','32'],
		'16062008' => ['VR-Bank Flaming Luckenwalde','28'],
		'16062058' => ['Raiffeisenbank Nauen, Havelland','32'],
		'16062073' => ['Brandenburger Bank Brandenburg an der Havel','32'],
		'16080000' => ['Dresdner Bank Potsdam','76'],
		'16091994' => ['Volksbank Rathenow','32'],
		'17000000' => ['Bundesbank Frankfurt [Oder]','09'],
		'17020086' => ['Bayer Hypo- und Vereinsbank Frankfurt [Oder]','99'],
		'17040000' => ['Commerzbank Frankfurt [Oder]','13'],
		'17052000' => ['Sparkasse Barnim Eberswalde','20'],
		'17052302' => ['Stadtsparkasse Schwedt Schwedt /Oder','52'],
		'17052472' => ['Stadtsparkasse Frankfurt [Oder] Frankfurt [Oder]','52'],
		'17054040' => ['Sparkasse Markisch-Oderland Strausberg','20'],
		'17055050' => ['Sparkasse Oder-Spree Frankfurt [Oder]','20'],
		'17056060' => ['Sparkasse Uckermark Prenzlau','20'],
		'17062318' => ['Raiffeisenbank Uckermark Schwedt /Oder','32'],
		'17062428' => ['Raiffeisenbank-Volksbank Oder-Spree Beeskow','32'],
		'17080000' => ['Dresdner Bank Frankfurt [Oder]','76'],
		'17092404' => ['VR Bank Furstenwalde Seelow Wriezen Furstenwalde /Spree','32'],
		'18000000' => ['Bundesbank Cottbus','09'],
		'18020086' => ['Bayer Hypo- und Vereinsbank Cottbus','99'],
		'18040000' => ['Commerzbank Cottbus','13'],
		'18050000' => ['Sparkasse Spree-Nei?e Cottbus','20'],
		'18051000' => ['Sparkasse Elbe-Elster Finsterwalde','20'],
		'18055000' => ['Sparkasse Niederlausitz Senftenberg, NL','20'],
		'18062638' => ['Raiffeisenbank Bad Liebenwerda','32'],
		'18062678' => ['NL Bank Volks- und Raiffeisenbank Finsterwalde','32'],
		'18062698' => ['Raiffeisenbank Oberspreewald Vetschau /Spreewald','32'],
		'18062758' => ['Volks- und Raiffeisenbank Forst [ehem Raiffbk] Forst [Lausitz]','32'],
		'18080000' => ['Dresdner Bank Cottbus','76'],
		'18092684' => ['Spreewaldbank Volksbank-Raiffeisenbank Lubben [Spreewald]','32'],
		'18092744' => ['Volksbank Spremberg-Bad Muskau Spremberg, NL','32'],
		'18092794' => ['Volks- und Raiffeisenbank Cottbus','32'],
		'20000000' => ['Bundesbank Hamburg','09'],
		'20010020' => ['Postbank [Giro] Hamburg','24'],
		'20010111' => ['SEB Hamburg','13'],
		'20010200' => ['HSH Nordbank Hypo Hamburg','09'],
		'20010424' => ['Aareal Bank Hamburg','09'],
		'20010800' => ['Hanseatische i-Bank Hamburg','09'],
		'20020000' => ['UBS Lateinamerika Hamburg','76'],
		'20020200' => ['SEB Merchant Bank Hamburg','09'],
		'20020500' => ['Jyske Bank Fil Hamburg','09'],
		'20020860' => ['Bayer Hypo- und Vereinsbank[ehem. Hypo] Hamburg','70'],
		'20020900' => ['Signal Iduna Bauspar Hamburg','09'],
		'20030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Hamburg','68'],
		'20030300' => ['Donner Bank, C.H. Hamburg','06'],
		'20030400' => ['Marcard, Stein & Co Bankiers Hamburg','00'],
		'20030500' => ['Yapi Kredi Bank Deutschland Hamburg','06'],
		'20030600' => ['Sydbank Fil Hamburg','09'],
		'20030700' => ['Merck Finck & Co Hamburg','10'],
		'20030900' => ['Bankhaus Wolbern & Co Hamburg','06'],
		'20040000' => ['Commerzbank Hamburg','13'],
		'20040050' => ['Commerzbank GF COC, Hamburg', '13'],
		'20040060' => ['Commerzbank Gf 260, Hamburg', '09'],
		'20040061' => ['Commerzbank Gf 261, Hamburg', '09'],
		'20041111' => ['comdirect bank Quickborn, Kr Pinneberg','13'],
		'20041133' => ['comdirect Bank Quickborn, Kr Pinneberg','13'],
		'20041144' => ['comdirect Bank Quickborn, Kr Pinneberg','13'],
		'20050000' => ['HSH Nordbank Hamburg','75'],
		'20050550' => ['Hamburger Sparkasse','00'],
		'20060000' => ['DZ BANK Hamburg','09'],
		'20069111' => ['Norderstedter Bank','32'],
		'20069119' => ['Raiffeisen- und Volksbank Henstedt-Ulzburg','32'],
		'20069125' => ['Raiffeisenbank Kaltenkirchen, Holst','33'],
		'20069130' => ['Raiffeisenbank Bad Bramstedt','32'],
		'20069144' => ['Raiffeisenbank Seestermuhe','33'],
		'20069145' => ['Volks- u Raiffeisenbank Halstenbek-Schenefeld Schenefeld, Bz Hamburg','33'],
		'20069177' => ['Raiffeisenbank Sudstormarn Gro?hansdorf','32'],
		'20069232' => ['Raiffeisenbank Struvenhutten','33'],
		'20069625' => ['Volksbank Gnarrenburg','28'],
		'20069641' => ['Raiffeisenbank Owschlag','33'],
		'20069659' => ['Volksbank Vollersode','28'],
		'20069780' => ['Volksbank Ahlerstedt','28'],
		'20069782' => ['Volksbank Geest Apensen','28'],
		'20069786' => ['Volksbank Kehdingen Drochtersen','28'],
		'20069800' => ['Spar- und Kreditbank Hammah, Niederelbe','28'],
		'20069812' => ['Volksbank Fredenbeck','28'],
		'20069815' => ['Volksbank Oldendorf, Kr Stade','28'],
		'20069836' => ['Raiffeisenbank Krummesse','33'],
		'20069861' => ['Raiffeisenbank Ratzeburg','33'],
		'20069882' => ['Raiffeisenbank Travemunde Lubeck','33'],
		'20069965' => ['Volksbank Winsener Marsch Marschacht','28'],
		'20069971' => ['Volksbank Hollenstedt -alt- Hollenstedt, Nordheide','28'],
		'20069989' => ['Volksbank Wulfsen','28'],
		'20070000' => ['Deutsche Bank Hamburg','63'],
		'20070024' => ['Deutsche Bank Privat und Geschaftskunden Hamburg','63'],
		'20070800' => ['Schiffshypothekenbank zu Lubeck Hamburg','09'],
		'20070989' => ['Eurohypo Ndl DB Hamburg','63'],
		'20080000' => ['Dresdner Bank Hamburg','76'],
		'20080090' => ['Dresdner Bank Gf Hamburg','76'],
		'20080100' => ['Dresdner Bank Lateinamerika Hamburg','76'],
		'20089200' => ['Dresdner Bank ITGK Hamburg','09'],
		'20090400' => ['Deutsche Genossenschafts-Hypothekenbank Hamburg','09'],
		'20090500' => ['NetBank Hamburg','81'],
		'20090602' => ['Deutsche Apotheker- und Arztebank Hamburg','14'],
		'20090700' => ['Edekabank Hamburg','50'],
		'20090745' => ['EBANK Gf Cash, Hamburg', '50'],
		'20090900' => ['PSD Bank Nord Hamburg','91'],
		'20110022' => ['Postbank [Spar] Hamburg','09'],
		'20110401' => ['Eurohypo ehem Rheinische Hypothekenbank Eschborn, Taunus','09'],
		'20110600' => ['Bankhaus Fischer & Co Hamburg','09'],
		'20110700' => ['Bank of Tokyo-Mitsubishi, The - Hamburg','09'],
		'20110800' => ['Bank of China Fil Hamburg','09'],
		'20120000' => ['Berenberg, Joh. - Gossler & Co Hamburg','00'],
		'20120100' => ['Warburg, M.M.- Bank Hamburg','58'],
		'20120200' => ['BHF-BANK Hamburg','60'],
		'20120400' => ['Deutscher Ring Bausparkasse Hamburg','09'],
		'20120600' => ['Goyer & Goppel Hamburg','09'],
		'20120700' => ['Hanseatic Bank Hamburg','16'],
		'20120701' => ['Hanseatic Bank Zw Nord Hamburg','16'],
		'20120744' => ['Hanseatic Bank Filiale Ost, Hamburg', 'B9'],
		'20120766' => ['Hanseatic Bank Filiale S?d, Hamburg', 'B9'],
		'20130400' => ['Hesse Newman & Co Hamburg','00'],
		'20130412' => ['Hesse Newman & Co. Bankhaus Ass. Backed Sec, Hamburg', '00'],
		'20130600' => ['Barclaycard Barclays Bank Hamburg','09'],
		'20150000' => ['TxB Transaktionsbank Aschheim','09'],
		'20190003' => ['Hamburger Bank von 1861 Volksbank','10'],
		'20190109' => ['Volksbank Stormarn Bad Oldesloe','48'],
		'20190206' => ['Volksbank Hamburg Ost-West','10'],
		'20190301' => ['Vierlander Volksbank Hamburg','10'],
		'20190800' => ['MKB Mittelstandskreditbank Hamburg','28'],
		'20210200' => ['Bank Melli Iran Hamburg','19'],
		'20210300' => ['Bank Saderat Iran Hamburg','09'],
		'20220100' => ['Den norske Bank Hamburg','09'],
		'20220400' => ['Warburg, M.M. - Hypothekenbank Hamburg','09'],
		'20230300' => ['Schroder, Otto M. - Bank Hamburg','09'],
		'20230600' => ['Isbank Fil Hamburg','06'],
		'20230800' => ['Sutor, Max Heinr Hamburg','09'],
		'20310300' => ['Europaisch-Iranische Handelsbank Hamburg','06'],
		'20310600' => ['ABN AMRO Bank Ndl Deutschland Hamburg','10'],
		'20320500' => ['Danske Bank Hamburg','09'],
		'20330200' => ['HVB Investitionsbank Hamburg','09'],
		'20330300' => ['Indonesische Overzeese Bank, De - Hamburg','09'],
		'20350000' => ['WestLB Hamburg','08'],
		'20690500' => ['Sparda-Bank Hamburg, HH-Altona','09'],
		'20730000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Hamburg','68'],
		'20730051' => ['Bayer HypoVereinsbank ex Vereins und Westbank Buxtehude','68'],
		'20730053' => ['Bayer HypoVereinsbank ex Vereins und Westbank Stade, Niederelbe','68'],
		'20730054' => ['Bayer HypoVereinsbank ex Vereins und Westbank Winsen [Luhe]','68'],
		'20750000' => ['Sparkasse Harburg-Buxtehude Hamburg','00'],
		'21000000' => ['Bundesbank Kiel','09'],
		'21010111' => ['SEB Kiel','13'],
		'21010228' => ['BANK COMPANIE NORD Kiel','62'],
		'21020600' => ['Sydbank Filiale Kiel, Kiel', '19'],
		'21030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Kiel','68'],
		'21030092' => ['Bayer HypoVereinsbank ex Vereins und Westbank Eckernforde','68'],
		'21030093' => ['Bayer HypoVereinsbank ex Vereins und Westbank Preetz, Holst','68'],
		'21030094' => ['Bayer HypoVereinsbank ex Vereins und Westbank Schonkirchen, Holst','68'],
		'21030095' => ['Bayer HypoVereinsbank ex Vereins und Westbank Eutin','68'],
		'21040010' => ['Commerzbank Kiel','13'],
		'21042076' => ['Commerzbank Eckernforde','13'],
		'21050000' => ['HSH Nordbank Kiel','09'],
		'21050170' => ['Sparkasse Kiel','74'],
		'21051275' => ['Bordesholmer Sparkasse','04'],
		'21051580' => ['Sparkasse Kreis Plon','00'],
		'21052090' => ['Sparkasse Eckernforde','00'],
		'21060237' => ['Evangelische Darlehnsgenossenschaft Kiel','33'],
		'21060500' => ['Deutsche Genossenschafts-Hypothekenbank Kiel','08'],
		'21064045' => ['Raiffeisenbank im Kreis Plon Lutjenburg, Holst','33'],
		'21065074' => ['Eckernforder Bank Volksbank-Raiffeisenbank Gettorf','33'],
		'21070020' => ['Deutsche Bank Kiel','63'],
		'21070024' => ['Deutsche Bank Privat und Geschaftskunden Kiel','63'],
		'21080050' => ['Dresdner Bank Kiel','76'],
		'21089201' => ['Dresdner Bank ITGK Kiel','09'],
		'21090007' => ['Kieler Volksbank','10'],
		'21090619' => ['Deutsche Apotheker- und Arztebank Kiel','14'],
		'21090801' => ['SHB-Bank Schleswig Holsteinische Beamtenbank Kiel','32'],
		'21090900' => ['PSD Bank Kiel','91'],
		'21092023' => ['Eckernforder Bank Volksbank-Raiffeisenbank','48'],
		'21210111' => ['SEB Neumunster, Holst','13'],
		'21230085' => ['Bayer HypoVereinsbank ex Vereins und Westbank Neumunster, Holst','68'],
		'21230086' => ['Bayer HypoVereinsbank ex Vereins und Westbank Bad Bramstedt','68'],
		'21240040' => ['Commerzbank Neumunster, Holst','13'],
		'21241540' => ['Commerzbank Bad Bramstedt','13'],
		'21250000' => ['Stadtsparkasse Neumunster Neumunster, Holst','04'],
		'21261089' => ['Raiffeisenbank Wasbek','33'],
		'21261227' => ['Raiffbk Kl-Kummerfeld -alt- Gro? Kummerfeld','33'],
		'21270020' => ['Deutsche Bank Neumunster, Holst','63'],
		'21270024' => ['Deutsche Bank Privat und Geschaftskunden Neumunster, Holst','63'],
		'21280002' => ['Dresdner Bank Neumunster, Holst','76'],
		'21290016' => ['Volksbank Raiffbk Neumunster Neumunster, Holst','48'],
		'21340010' => ['Commerzbank Neustadt in Holstein','13'],
		'21352240' => ['Sparkasse Ostholstein Eutin','00'],
		'21390008' => ['Volksbank Ostholstein Nord Neustadt in Holstein','32'],
		'21392218' => ['Volksbank Eutin Raiffeisenbank','33'],
		'21430070' => ['Bayer HypoVereinsbank ex Vereins und Westbank Rendsburg','68'],
		'21440045' => ['Commerzbank Rendsburg','13'],
		'21450000' => ['Sparkasse Mittelholstein Rendsburg','22'],
		'21451205' => ['Sparkasse Budelsdorf','00'],
		'21451340' => ['Sparkasse Hohn-Jevenstedt -Alt- Hohn b Rendsburg','00'],
		'21452030' => ['Sparkasse Hohenwestedt','04'],
		'21461627' => ['Raiffeisenbank Jevenstedt -alt-','33'],
		'21463603' => ['Volksbank-Raiffeisenbank im Kreis Rendsburg','32'],
		'21464671' => ['Raiffeisenbank Todenbuttel','33'],
		'21480003' => ['Dresdner Bank Rendsburg','76'],
		'21500000' => ['Bundesbank Flensburg','09'],
		'21510600' => ['Sydbank AS Fil Flensburg','09'],
		'21520100' => ['Union-Bank AG Flensburg','06'],
		'21530080' => ['Bayer HypoVereinsbank ex Vereins und Westbank Flensburg','68'],
		'21540060' => ['Commerzbank Flensburg','13'],
		'21550050' => ['Flensburger Sparkasse','B4'],
		'21563321' => ['Raiffeisenbank Flensburg','33'],
		'21565316' => ['Raiffeisenbank Handewitt','33'],
		'21566356' => ['Volks- u Raiffeisenbank Suderbrarup','33'],
		'21567360' => ['Raiffeisenbank Kleinjorl Jorl','33'],
		'21570011' => ['Deutsche Bank Flensburg','63'],
		'21570024' => ['Deutsche Bank Privat und Geschaftskunden Flensburg','63'],
		'21580000' => ['Dresdner Bank Flensburg','76'],
		'21590018' => ['VR Bank Flensburg-Schleswig ehem Flensbg VB','10'],
		'21630060' => ['Bayer HypoVereinsbank ex Vereins und Westbank Schleswig','68'],
		'21630061' => ['Bayer HypoVereinsbank ex Vereins und Westbank Schleswig','68'],
		'21630062' => ['Bayer HypoVereinsbank ex Vereins und Westbank Kappeln, Schlei','68'],
		'21630063' => ['Bayer HypoVereinsbank ex Vereins und Westbank Suderbrarup','68'],
		'21650110' => ['Sparkasse Schleswig-Flensburg -alt-','04'],
		'21661719' => ['VR Bank Flensburg-Schleswig','32'],
		'21690020' => ['Volksbank Raiffeisenbank Schleswig','32'],
		'21700000' => ['Bundesbank eh Husum Flensburg','09'],
		'21730040' => ['Bayer HypoVereinsbank ex Vereins und Westbank Husum, Nordsee','68'],
		'21730042' => ['Bayer HypoVereinsbank ex Vereins und Westbank Garding','68'],
		'21730043' => ['Bayer HypoVereinsbank ex Vereins und Westbank Niebull','68'],
		'21730044' => ['Bayer HypoVereinsbank ex Vereins und Westbank Tonning','68'],
		'21730045' => ['Bayer HypoVereinsbank ex Vereins und Westbank Westerland','68'],
		'21730046' => ['Bayer HypoVereinsbank ex Vereins und Westbank Wyk auf Fohr','68'],
		'21740043' => ['Commerzbank Husum, Nordsee','13'],
		'21741674' => ['Commerzbank Niebull','13'],
		'21741825' => ['Commerzbank Westerland','13'],
		'21750000' => ['Nord-Ostsee Sparkasse Schleswig','A2'],
		'21751230' => ['Spar- und Leihkasse zu Bredstedt','00'],
		'21762550' => ['Volksbank-Raiffeisenbank Husum, Nordsee','32'],
		'21763542' => ['VR Bank Niebull','32'],
		'21770011' => ['Deutsche Bank Husum, Nordsee','63'],
		'21770024' => ['Deutsche Bank Privat und Geschaftskunden Husum, Nordsee','63'],
		'21791402' => ['Volksbank Eiderstedt -alt- Garding','33'],
		'21791805' => ['Volks- und Raiffeisenbank Sylt Sylt-Ost','33'],
		'21791906' => ['Fohr-Amrumer Bank Wyk auf Fohr','32'],
		'21830030' => ['Bayer HypoVereinsbank ex Vereins und Westbank Heide, Holst','68'],
		'21830032' => ['Bayer HypoVereinsbank ex Vereins und Westbank Brunsbuttel','68'],
		'21830033' => ['Bayer HypoVereinsbank ex Vereins und Westbank Busum','68'],
		'21830034' => ['Bayer HypoVereinsbank ex Vereins und Westbank Marne, Holst','68'],
		'21830035' => ['Bayer HypoVereinsbank ex Vereins und Westbank Meldorf','68'],
		'21830036' => ['Bayer HypoVereinsbank ex Vereins und Westbank Wesselburen','68'],
		'21840078' => ['Commerzbank Heide, Holst','13'],
		'21841328' => ['Commerzbank Brunsbuttel','13'],
		'21851720' => ['Alte Marner Sparkasse -alt- Marne, Holst','04'],
		'21851830' => ['Verbandssparkasse Meldorf','04'],
		'21852310' => ['Sparkasse Hennstedt-Wesselburen','04'],
		'21860418' => ['Raiffeisenbank Heide Heide, Holst','32'],
		'21890022' => ['Dithmarscher Volks- und Raiffeisenbank Heide, Holst','32'],
		'22130075' => ['Bayer HypoVereinsbank ex Vereins und Westbank Elmshorn','68'],
		'22140028' => ['Commerzbank Elmshorn','13'],
		'22141028' => ['Commerzbank Kaltenkirchen, Holst','13'],
		'22141428' => ['Commerzbank Pinneberg','13'],
		'22141628' => ['Commerzbank Uetersen','13'],
		'22150000' => ['Sparkasse Elmshorn','04'],
		'22151410' => ['Kreissparkasse Pinneberg -alt-','00'],
		'22151730' => ['Stadtsparkasse Wedel','02'],
		'22162113' => ['Volks- u Raiffeisenbank Halstenbek-Schenefeld Halstenbek, Holst','33'],
		'22163114' => ['Raiffeisenbank Elbmarsch Heist','33'],
		'22180000' => ['Dresdner Bank Elmshorn','76'],
		'22181400' => ['Dresdner Bank Pinneberg','76'],
		'22190030' => ['Volksbank Elmshorn','48'],
		'22191405' => ['VR Bank Pinneberg','48'],
		'22200000' => ['Bundesbank eh Itzehoe Kiel','09'],
		'22230020' => ['Bayer HypoVereinsbank ex Vereins und Westbank Itzehoe','68'],
		'22230022' => ['Bayer HypoVereinsbank ex Vereins und Westbank Gluckstadt','68'],
		'22230023' => ['Bayer HypoVereinsbank ex Vereins und Westbank Kellinghusen','68'],
		'22230024' => ['Bayer HypoVereinsbank ex Vereins und Westbank Krempe, Holst','68'],
		'22230025' => ['Bayer HypoVereinsbank ex Vereins und Westbank Wilster','68'],
		'22240073' => ['Commerzbank Itzehoe','13'],
		'22250020' => ['Sparkasse Westholstein Itzehoe','04'],
		'22251580' => ['Landsparkasse Schenefeld Schenefeld, Mittelholst','04'],
		'22252050' => ['Verbandssparkasse Wilster -alt-','04'],
		'22260136' => ['Raiffeisenbank Itzehoe','33'],
		'22280000' => ['Dresdner Bank Itzehoe','76'],
		'22290031' => ['Volksbank Itzehoe','10'],
		'23000000' => ['Bundesbank Lubeck','09'],
		'23010111' => ['SEB Lubeck','13'],
		'23030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Lubeck','68'],
		'23040022' => ['Commerzbank Lubeck','13'],
		'23050000' => ['HSH Nordbank Lubeck','09'],
		'23050101' => ['Sparkasse zu Lubeck','00'],
		'23051030' => ['Kreissparkasse Sudholstein Bad Segeberg','A2'],
		'23051610' => ['Sparkasse Stormarn Bad Oldesloe','03'],
		'23052065' => ['Mollner Sparkasse Molln, Kr Hzgt Lauenb','00'],
		'23052750' => ['Kreissparkasse Herzogtum Lauenburg Ratzeburg','04'],
		'23061137' => ['Raiffeisenbank Bad Oldesloe -alt-','33'],
		'23061220' => ['Raiffeisenbank Leezen Leezen, Holst','32'],
		'23062124' => ['Raiffeisenbank Bargteheide','33'],
		'23062807' => ['Raiffeisenbank Molln, Kr Hzgt Lauenb','33'],
		'23063129' => ['Raiffeisenbank Lauenburg, Elbe','33'],
		'23064107' => ['Raiffeisenbank Buchen, Lauenb','32'],
		'23070700' => ['Deutsche Bank Privat und Geschaftskunden Lubeck','63'],
		'23070710' => ['Deutsche Bank Lubeck','63'],
		'23080040' => ['Dresdner Bank Lubeck','76'],
		'23089201' => ['Dresdner Bank ITGK Lubeck','09'],
		'23090142' => ['Volksbank Lubeck - Landbank von 1902','10'],
		'23091212' => ['Kreditbank Segeberg Bad Segeberg','09'],
		'23092502' => ['Volksbank Lauenburg Lauenburg, Elbe','10'],
		'23092620' => ['Deutsche Apotheker- und Arztebank Lubeck','14'],
		'23092706' => ['Volksbank Ratzeburg','33'],
		'24000000' => ['Bundesbank Luneburg','09'],
		'24030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Luneburg','68'],
		'24040000' => ['Commerzbank Luneburg','13'],
		'24050110' => ['Sparkasse Luneburg','00'],
		'24060300' => ['Volksbank Nordheide Buchholz in der Nordheide','28'],
		'24061392' => ['Volksbank Bleckede-Dahlenburg -alt-','28'],
		'24070024' => ['Deutsche Bank Privat und Geschaftskunden Luneburg','63'],
		'24070075' => ['Deutsche Bank Luneburg','63'],
		'24080000' => ['Dresdner Bank Luneburg','76'],
		'24090041' => ['Volksbank Luneburg','28'],
		'24121000' => ['Ritterschaftliches Kreditinstitut Stade Stade, Niederelbe','09'],
		'24130000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Cuxhaven','68'],
		'24140041' => ['Commerzbank Cuxhaven','13'],
		'24150001' => ['Stadtsparkasse Cuxhaven','00'],
		'24151005' => ['Sparkasse Stade-Altes Land Stade, Niederelbe','00'],
		'24151116' => ['Kreissparkasse Stade Stade, Niederelbe','00'],
		'24151235' => ['Sparkasse Rotenburg-Bremervorde Zeven','00'],
		'24161594' => ['Zevener Volksbank Sittensen','28'],
		'24162898' => ['Spar- u Darlehnskasse Borde Lamstedt-Hechthsn','28'],
		'24180000' => ['Dresdner Bank Otterndorf, Niederelbe','76'],
		'24180001' => ['Dresdner Bank Cuxhaven','76'],
		'24191015' => ['Volksbank Stade-Cuxhaven Stade, Niederelbe','28'],
		'24191255' => ['Volksbank Bremervorde','28'],
		'25000000' => ['Bundesbank Hannover','09'],
		'25010030' => ['Postbank Hannover','24'],
		'25010111' => ['SEB Hannover','13'],
		'25010424' => ['Aareal Bank Hannover','09'],
		'25010600' => ['Deutsche Hypothekenbank Hannover','01'],
		'25010700' => ['Berlin-Hannoversche Hypothekenbank','09'],
		'25010900' => ['Calenberger Kreditverein Hannover','28'],
		'25020200' => ['BHF-BANK Hannover','60'],
		'25020600' => ['GE Money Bank Hannover','41'],
		'25020700' => ['Hanseatic Bank Hannover','09'],
		'25030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Hannover','68'],
		'25040066' => ['Commerzbank Hannover','13'],
		'25050000' => ['Norddeutsche Landesbank Girozentrale Hannover','27'],
		'25050180' => ['Sparkasse Hannover','A3'],
		'25050299' => ['Sparkasse Hannover -alt-','A3'],
		'25055500' => ['LBS-Norddeutsche Landesbausparkasse Hannover','26'],
		'25060000' => ['DZ BANK Hannover','09'],
		'25060180' => ['Bankhaus Hallbaum Hannover','00'],
		'25060701' => ['Evangelische Kreditgenossenschaft Hannover','32'],
		'25069168' => ['Volks- und Raiffeisenbank Leinebergland Delligsen','28'],
		'25069262' => ['Raiffeisen-Volksbank Hagen Neustadt am Rubenberge','28'],
		'25069270' => ['Volksbank Aller-Oker Muden [Aller]','28'],
		'25069365' => ['Volksbank Celler Land Eschede','09'],
		'25069370' => ['Volksbank Vechelde-Wendeburg','28'],
		'25069384' => ['Volksbank Lehre','28'],
		'25069503' => ['Volksbank Diepholz-Barnstorf Barnstorf, Kr Diepholz','28'],
		'25069674' => ['Volksbank -alt- Mellinghausen','28'],
		'25069830' => ['Volksbank Derental -alt- Lauenforde','28'],
		'25069880' => ['Volksbank Solling ehem Volksbank Volpriehausen Uslar','28'],
		'25070024' => ['Deutsche Bank Privat und Geschaftskunden Hannover','63'],
		'25070066' => ['Deutsche Bank Stadthagen','63'],
		'25070070' => ['Deutsche Bank Hannover','63'],
		'25070077' => ['Deutsche Bank Nienburg [Weser]','63'],
		'25070084' => ['Deutsche Bank Soltau','63'],
		'25070086' => ['Deutsche Bank Holzminden','63'],
		'25080020' => ['Dresdner Bank Hannover','76'],
		'25089220' => ['Dresdner Bank ITGK Hannover','09'],
		'25090300' => ['Bank fur Schiffahrt [BFS] Fil d Ostfr VB Leer Hannover','28'],
		'25090500' => ['Sparda-Bank Hannover','81'],
		'25090608' => ['Deutsche Apotheker- und Arztebank Hannover','14'],
		'25090900' => ['PSD Bank Hannover','91'],
		'25120510' => ['Sozialbank Hannover','09'],
		'25120960' => ['Bayer Hypo- und Vereinsbank[ehem. Hypo] Hannover','70'],
		'25151270' => ['Stadtsparkasse Barsinghausen','00'],
		'25151371' => ['Stadtsparkasse Burgdorf Burgdorf, Kr Hannover','00'],
		'25152375' => ['Kreissparkasse Fallingbostel in Walsrode','00'],
		'25152490' => ['Stadtsparkasse Wunstorf','00'],
		'25161322' => ['Volksbank Burgdorf-Celle','28'],
		'25162563' => ['Volksbank Garbsen','28'],
		'25190001' => ['Hannoversche Volksbank','09'],
		'25190101' => ['Lindener Volksbank -alt- Hannover','28'],
		'25191510' => ['Volksbank -alt- Lehrte b Hannover','10'],
		'25193331' => ['Volksbank Pattensen b Hannover','28'],
		'25250001' => ['Kreissparkasse Peine','00'],
		'25260010' => ['Volksbank Peine','28'],
		'25400000' => ['Bundesbank eh Hameln Hannover','09'],
		'25410111' => ['SEB Hameln','13'],
		'25410200' => ['BHW Bausparkasse Hameln','09'],
		'25410300' => ['BHW Allgemeine Bausparkasse -alt- Hameln','09'],
		'25420800' => ['BHW Bank Hameln','28'],
		'25430000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Hameln','68'],
		'25440047' => ['Commerzbank Hameln','13'],
		'25450001' => ['Stadtsparkasse Hameln','00'],
		'25450110' => ['Sparkasse Weserbergland Hameln','00'],
		'25451345' => ['Stadtsparkasse Bad Pyrmont','00'],
		'25451450' => ['Sparkasse Weserbergland Bodenwerder','00'],
		'25451655' => ['Sparkasse Weserbergland Hessisch Oldendorf','00'],
		'25462160' => ['Volksbank Hameln-Stadthagen','28'],
		'25462680' => ['Volksbank am Ith Coppenbrugge','28'],
		'25470024' => ['Deutsche Bank Privat und Geschaftskunden Hameln','63'],
		'25470073' => ['Deutsche Bank Hameln','63'],
		'25470078' => ['Deutsche Bank Bad Pyrmont','63'],
		'25471024' => ['Deutsche Bank Privat und Geschaftskunden Rinteln','63'],
		'25471073' => ['Deutsche Bank Rinteln','63'],
		'25480021' => ['Dresdner Bank Hameln','76'],
		'25491071' => ['Volksbank Buckeburg-Rinteln ehem VB Rinteln','28'],
		'25491273' => ['Volksbank Aerzen','28'],
		'25491744' => ['Volksbank Bad Munder Bad Munder am Deister','28'],
		'25541426' => ['Commerzbank Buckeburg','13'],
		'25551480' => ['Sparkasse Schaumburg Rinteln','00'],
		'25562308' => ['Volksbank Nordschaumburg Bad Nenndorf','28'],
		'25562604' => ['Volksbank Kirchhorsten -alt- Helpsen','28'],
		'25590097' => ['Volksbank Stadthagen -alt-','28'],
		'25591413' => ['Volksbank Buckeburg-Rinteln','28'],
		'25591748' => ['Volksbank Obernkirchen -alt-','28'],
		'25621327' => ['Oldenburgische Landesbank AG Diepholz','61'],
		'25641302' => ['Commerzbank Diepholz','13'],
		'25650106' => ['Sparkasse Nienburg Nienburg [Weser]','00'],
		'25651325' => ['Kreissparkasse Grafschaft Diepholz','00'],
		'25651581' => ['Sparkasse Stolzenau Stolzenau, Weser','00'],
		'25651893' => ['Zweckverbandssparkasse Uchte','00'],
		'25662540' => ['Volksbank Steyerberg','28'],
		'25663584' => ['Volksbank Grafschaft Hoya Hoya, Weser','28'],
		'25690009' => ['Volksbank Nienburg Nienburg [Weser]','28'],
		'25691633' => ['Volksbank Sulingen','28'],
		'25700000' => ['Bundesbank eh Celle Hannover','09'],
		'25730000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Celle','68'],
		'25740061' => ['Commerzbank Celle','13'],
		'25750001' => ['Sparkasse Celle','00'],
		'25761894' => ['Volksbank Wittingen-Klotze Wittingen, Niedersachs','28'],
		'25770024' => ['Deutsche Bank Privat und Geschaftskunden Celle','63'],
		'25770069' => ['Deutsche Bank Celle','63'],
		'25780022' => ['Dresdner Bank Celle','76'],
		'25791516' => ['Volksbank Hankensbuttel-Wahrenholz','28'],
		'25791635' => ['Volksbank Celler Land Bergen, Kr Celle','28'],
		'25791753' => ['Volksbank Celler Land Winsen [Aller]','28'],
		'25800000' => ['Bundesbank eh Uelzen Luneburg','09'],
		'25840048' => ['Commerzbank Uelzen, Luneburger Heide','13'],
		'25841403' => ['Commerzbank Luchow [Wendland]','13'],
		'25841708' => ['Commerzbank Schneverdingen','13'],
		'25850110' => ['Sparkasse Uelzen Uelzen, Luneburger Heide','00'],
		'25851335' => ['Kreissparkasse Luchow-Dannenberg Dannenberg [Elbe]','00'],
		'25851660' => ['Kreissparkasse Soltau','00'],
		'25861395' => ['Volksbank Dannenberg -alt- Dannenberg [Elbe]','28'],
		'25861990' => ['Volksbank Clenze-Schnega','28'],
		'25862292' => ['Volksbank Uelzen-Bevensen Ebstorf','28'],
		'25862393' => ['Volksbank Hitzacker [Elbe]','09'],
		'25863489' => ['Volksbank Osterburg-Luchow-Dannenberg Dannenberg [Elbe]','28'],
		'25868425' => ['Volksbank Ostkreis Uelzen Suhlendorf','28'],
		'25891483' => ['Volksbank Osterburg-Luchow-Dannenberg -alt- Luchow [Wendland]','28'],
		'25891636' => ['Volksbank Luneburger Heide Soltau','28'],
		'25900000' => ['Bundesbank eh Hildesheim Hannover','09'],
		'25910111' => ['SEB Hildesheim','13'],
		'25930000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Hildesheim','68'],
		'25940033' => ['Commerzbank Hildesheim','13'],
		'25950001' => ['Stadtsparkasse Hildesheim','B1'],
		'25950130' => ['Kreissparkasse Hildesheim','B1'],
		'25960192' => ['Bankhaus Hallbaum Hildesheim','00'],
		'25962470' => ['Volksbank Hildesheim -alt- Harsum','28'],
		'25970024' => ['Deutsche Bank Privat und Geschaftskunden Hildesheim','63'],
		'25970074' => ['Deutsche Bank Hildesheim','63'],
		'25971024' => ['Deutsche Bank Privat und Geschaftskunden Alfeld [Leine]','63'],
		'25971071' => ['Deutsche Bank Alfeld [Leine]','63'],
		'25980027' => ['Dresdner Bank Hildesheim','76'],
		'25990011' => ['Volksbank Hildesheim','28'],
		'25991528' => ['Volksbank Hildesheimer Borde Sohlde','28'],
		'25991911' => ['Volksbank Sarstedt -alt-','28'],
		'26000000' => ['Bundesbank Gottingen, Niedersachs','09'],
		'26010111' => ['SEB Gottingen, Niedersachs','13'],
		'26030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Gottingen, Niedersachs','68'],
		'26040030' => ['Commerzbank Gottingen, Niedersachs','13'],
		'26050001' => ['Sparkasse Gottingen Gottingen, Niedersachs','00'],
		'26051260' => ['Sparkasse Duderstadt Duderstadt, Niedersachs','00'],
		'26051450' => ['Kreis- und Stadtsparkasse Munden Hann. Munden','00'],
		'26060184' => ['Bankhaus Hallbaum Gottingen, Niedersachs','00'],
		'26061291' => ['Volksbank Eichsfeld-Northeim Duderstadt, Niedersachs','48'],
		'26061556' => ['Volksbank Adelebsen','28'],
		'26062433' => ['Volksbank Dransfeld','32'],
		'26062575' => ['Raiffeisenbank Rosdorf, Kr Gottingen','28'],
		'26066458' => ['Raiffeisenbank Seulingen -alt-','28'],
		'26070024' => ['Deutsche Bank Privat und Geschaftskunden Gottingen, Niedersachs','63'],
		'26070072' => ['Deutsche Bank Gottingen, Niedersachs','63'],
		'26080024' => ['Dresdner Bank Gottingen, Niedersachs','76'],
		'26090050' => ['Volksbank Gottingen, Niedersachs','28'],
		'26240039' => ['Commerzbank Northeim','13'],
		'26250001' => ['Kreis-Sparkasse Northeim','00'],
		'26251425' => ['Sparkasse Einbeck','00'],
		'26261396' => ['Volksbank Dassel Dassel, Solling','28'],
		'26261492' => ['Volksbank Einbeck','28'],
		'26261693' => ['Volksbank Solling Hardegsen','28'],
		'26264884' => ['Volksbank am Sudharz Wulften, Harz','09'],
		'26271424' => ['Deutsche Bank Privat und Geschaftskunden Einbeck','63'],
		'26271471' => ['Deutsche Bank Einbeck','63'],
		'26280020' => ['Dresdner Bank Northeim','76'],
		'26281420' => ['Dresdner Bank Einbeck','76'],
		'26340056' => ['Commerzbank Osterode am Harz','13'],
		'26341072' => ['Commerzbank Herzberg am Harz','13'],
		'26350001' => ['Stadtsparkasse Osterode Osterode am Harz','00'],
		'26351015' => ['Sparkasse im Kreis Osterode Herzberg am Harz','00'],
		'26351445' => ['Stadtsparkasse Bad Sachsa','00'],
		'26360231' => ['Raiffeisenbank Dorste-Schwiegershausen Osterode am Harz','28'],
		'26361299' => ['Volksbank Oberharz Bad Grund, Harz','28'],
		'26500000' => ['Bundesbank Osnabruck','09'],
		'26510111' => ['SEB Osnabruck','13'],
		'26520017' => ['Oldenburgische Landesbank AG Osnabruck','61'],
		'26521703' => ['Oldenburgische Landesbank AG Bramsche, Hase','61'],
		'26522319' => ['Oldenburgische Landesbank AG Quakenbruck','61'],
		'26540070' => ['Commerzbank Osnabruck','13'],
		'26550105' => ['Sparkasse Osnabruck','00'],
		'26551540' => ['Kreissparkasse Bersenbruck','00'],
		'26552286' => ['Kreissparkasse Melle Melle, Wiehengeb','00'],
		'26560189' => ['Bankhaus Hallbaum Osnabruck','00'],
		'26560625' => ['Deutsche Apotheker- und Arztebank Osnabruck','14'],
		'26561311' => ['Raiffeisen-Volksbank Grafeld-Nortrup Berge b Quakenbruck','28'],
		'26561696' => ['Raiffeisenbank-Volksbank Menslage-Berge -alt- Berge b Quakenbruck','28'],
		'26562490' => ['Volksbank Bad Laer-Borgloh-Hilter-Melle Hilter am Teutoburger Wald','28'],
		'26562694' => ['Volksbank Wittlage Bohmte','28'],
		'26563942' => ['Raiffeisenbank Voltlage-Neuenkirchen Neuenkirchen b Bramsche','28'],
		'26563960' => ['Volksbank Bramgau im Osnabrucker Land Bramsche, Hase','28'],
		'26564906' => ['Volksbank GMHutte-Hagen-Bissendorf -alt- Bissendorf, Kr Osnabruck','28'],
		'26565928' => ['Volksbank GMHutte-Hagen-Bissendorf Georgsmarienhutte','28'],
		'26566939' => ['Volksbank Osnabrucker Nordland Furstenau b Bramsche, Hase','28'],
		'26567943' => ['Raiffeisen-Volksbank Grafeld-Nortrup','28'],
		'26568924' => ['Volksbank Hilter-Bad Laer -alt- Hilter am Teutoburger Wald','28'],
		'26570024' => ['Deutsche Bank Privat und Geschaftskunden Osnabruck','63'],
		'26570090' => ['Deutsche Bank Osnabruck','63'],
		'26580070' => ['Dresdner Bank Osnabruck','76'],
		'26589210' => ['Dresdner Bank ITGK Osnabruck','09'],
		'26590025' => ['Volksbank Osnabruck','28'],
		'26591944' => ['Volksbank Merzen-Furstenau Furstenau b Bramsche, Hase','28'],
		'26600000' => ['Bundesbank eh Lingen [Ems] Osnabruck','09'],
		'26620010' => ['Oldenburgische Landesbank AG Lingen [Ems]','61'],
		'26621413' => ['Oldenburgische Landesbank AG Meppen','61'],
		'26640049' => ['Commerzbank Lingen [Ems]','13'],
		'26650001' => ['Sparkasse Emsland Lingen [Ems]','00'],
		'26651425' => ['Sparkasse Emsland -alt- Meppen','00'],
		'26660060' => ['Volksbank Lingen Lingen [Ems]','28'],
		'26661380' => ['Volksbank Haselunne','28'],
		'26661494' => ['Emslandische Volksbank Meppen','28'],
		'26661593' => ['Volksbank Emstal Rutenbrock-Lathen Haren [Ems]','28'],
		'26661912' => ['Volksbank Sud-Emsland Emsburen','28'],
		'26662932' => ['Volksbank Lengerich, Emsl','28'],
		'26691213' => ['Volksbank Haren Fil d Ostfriesischen VB Haren [Ems]','28'],
		'26720028' => ['Oldenburgische Landesbank AG Nordhorn','61'],
		'26740044' => ['Commerzbank Nordhorn','13'],
		'26750001' => ['Kreissparkasse Grafschaft Bentheim zu Nordhorn','00'],
		'26760005' => ['Raiffeisen- und Volksbank Nordhorn -alt-','28'],
		'26770024' => ['Deutsche Bank Privat und Geschaftskunden Nordhorn','63'],
		'26770095' => ['Deutsche Bank Nordhorn','63'],
		'26800000' => ['Bundesbank eh Halberstadt Magdeburg','09'],
		'26840032' => ['Commerzbank Goslar','13'],
		'26850001' => ['Sparkasse Goslar/Harz','00'],
		'26851410' => ['Kreissparkasse Clausthal-Zellerfeld','00'],
		'26851620' => ['Sparkasse Salzgitter','22'],
		'26870024' => ['Deutsche Bank Privat und Geschaftskunden Goslar','63'],
		'26870032' => ['Deutsche Bank Goslar','63'],
		'26880063' => ['Dresdner Bank Goslar','76'],
		'26890019' => ['Volksbank Nordharz Goslar','28'],
		'26891484' => ['Volksbank im Harz Osterode am Harz','28'],
		'26941053' => ['Commerzbank Wolfsburg','13'],
		'26951311' => ['Sparkasse Gifhorn-Wolfsburg','00'],
		'26971024' => ['Deutsche Bank Privat und Geschaftskunden Wolfsburg','63'],
		'26971038' => ['Deutsche Bank Wolfsburg','63'],
		'26981062' => ['Dresdner Bank Wolfsburg','76'],
		'26989221' => ['Dresdner Bank ITGK Wolfsburg','09'],
		'26991066' => ['Volksbank Wolfsburg','50'],
		'27000000' => ['Bundesbank Braunschweig','09'],
		'27010111' => ['SEB Braunschweig','13'],
		'27010200' => ['VON ESSEN Bankgesellschaft Braunschweig','09'],
		'27020000' => ['Volkswagen Bank Braunschweig','09'],
		'27020001' => ['AUDI BANK Zndl d Volkswagen Bank Braunschweig','09'],
		'27020003' => ['Skoda Bank Braunschweig','09'],
		'27020004' => ['Europcar Bank Braunschweig','09'],
		'27020800' => ['Seat Bank Zndl d Volkswagen Bank Braunschweig','09'],
		'27030000' => ['Bayer HypoVereinsbank ex Vereins und Westbank Braunschweig','68'],
		'27032500' => ['Bankhaus C. L. Seeliger Wolfenbuttel, Niedersachs','09'],
		'27040080' => ['Commerzbank Braunschweig','13'],
		'27062290' => ['Volksbank Bor?um-Hornburg','28'],
		'27063279' => ['Volksbank Vechelde-Wendeburg','28'],
		'27070024' => ['Deutsche Bank Privat und Geschaftskunden Braunschweig','63'],
		'27070030' => ['Deutsche Bank Braunschweig','63'],
		'27070031' => ['Deutsche Bank Gifhorn','63'],
		'27070034' => ['Deutsche Bank Osterode am Harz','63'],
		'27070041' => ['Deutsche Bank Bad Sachsa','63'],
		'27070042' => ['Deutsche Bank Bad Harzburg','63'],
		'27070043' => ['Deutsche Bank Helmstedt','63'],
		'27070079' => ['Deutsche Bank Peine','63'],
		'27072524' => ['Deutsche Bank Privat und Geschaftskunden Wolfenbuttel, Niedersachs','63'],
		'27072537' => ['Deutsche Bank Wolfenbuttel, Niedersachs','63'],
		'27072724' => ['Deutsche Bank Privat und Geschaftskunden Salzgitter','63'],
		'27072736' => ['Deutsche Bank Salzgitter','63'],
		'27080060' => ['Dresdner Bank Braunschweig','76'],
		'27089221' => ['Dresdner Bank ITGK Braunschweig','09'],
		'27090077' => ['Volksbank Braunschweig','50'],
		'27090618' => ['Deutsche Apotheker- und Arztebank Braunschweig','14'],
		'27090900' => ['PSD Bank Braunschweig','91'],
		'27092555' => ['Volksbank Wolfenbuttel-Salzgitter Wolfenbuttel, Niedersachs','28'],
		'27131300' => ['Rautenschlein, Otto, Bankgeschaft Schoningen','32'],
		'27190082' => ['Volksbank Helmstedt','28'],
		'27240004' => ['Commerzbank Holzminden','13'],
		'27260053' => ['Raiffeisenbank -alt- Holzminden','09'],
		'27290087' => ['Volksbank Weserbergland Holzminden','47'],
		'27893215' => ['Vereinigte Volksbank Wernigerode','32'],
		'27893359' => ['Volksbank Braunlage','48'],
		'27893760' => ['Volksbank Seesen, Harz','28'],
		'28000000' => ['Bundesbank Oldenburg [Oldb]','09'],
		'28010111' => ['SEB Oldenburg [Oldb]','13'],
		'28020050' => ['Oldenburgische Landesbank AG Oldenburg [Oldb]','61'],
		'28021002' => ['Oldenburgische Landesbank AG Brake [Unterweser]','61'],
		'28021301' => ['Oldenburgische Landesbank AG Bad Zwischenahn','61'],
		'28021504' => ['Oldenburgische Landesbank AG Cloppenburg','61'],
		'28021623' => ['Oldenburgische Landesbank AG Damme, Dummer','61'],
		'28021705' => ['Oldenburgische Landesbank AG Delmenhorst','61'],
		'28021906' => ['Oldenburgische Landesbank AG Elsfleth','61'],
		'28022015' => ['Oldenburgische Landesbank AG Nordenham','61'],
		'28022412' => ['Oldenburgische Landesbank AG Loningen','61'],
		'28022511' => ['Oldenburgische Landesbank AG Lohne [Oldenburg]','61'],
		'28022620' => ['Oldenburgische Landesbank AG Rastede','61'],
		'28022822' => ['Oldenburgische Landesbank AG Vechta','61'],
		'28023224' => ['Oldenburgische Landesbank AG Westerstede','61'],
		'28023325' => ['Oldenburgische Landesbank AG Wildeshausen','61'],
		'28030300' => ['Bankhaus W. Fortmann & Sohne Oldenburg [Oldb]','28'],
		'28040046' => ['Commerzbank Oldenburg [Oldb]','13'],
		'28042865' => ['Commerzbank Vechta','13'],
		'28050100' => ['Landessparkasse Oldenburg Oldenburg [Oldb]','00'],
		'28060228' => ['Raiffeisenbank Oldenburg Oldenburg [Oldb]','28'],
		'28061036' => ['Raiffeisenbank Brake-Oldenbrok Brake [Unterweser]','28'],
		'28061398' => ['Raiffeisenbank Oldenburg ehem VB B Zwischenahn Bad Zwischenahn','28'],
		'28061410' => ['Raiffeisenbank Wesermarsch-Sud Brake [Unterweser]','28'],
		'28061501' => ['Volksbank Cloppenburg','28'],
		'28061679' => ['Volksbank Dammer Berge Damme, Dummer','28'],
		'28061822' => ['Volksbank Ammerland-Sud Edewecht','28'],
		'28062165' => ['Raiffeisenbank Rastede','28'],
		'28062249' => ['Volksbank Ganderkesee-Hude Hude [Oldenburg]','28'],
		'28062560' => ['Volksbank Lohne-Muhlen Lohne [Oldenburg]','28'],
		'28062740' => ['Volksbank Bookholzberg-Lemwerder Ganderkesee','28'],
		'28062913' => ['Volksbank Bosel Bosel, Oldenburg','28'],
		'28063253' => ['Volksbank Westerstede','28'],
		'28063450' => ['Volksbank Lindern Lindern [Oldenburg]','28'],
		'28063526' => ['Volksbank Essen Essen [Oldenburg]','28'],
		'28063607' => ['Volksbank Bakum Bakum, Kr Vechta','28'],
		'28064090' => ['Volksbank Steinfeld Steinfeld [Oldenburg]','28'],
		'28064179' => ['Volksbank Vechta','28'],
		'28064241' => ['Raiffeisen-Volksbank Varel-Nordenham','28'],
		'28064465' => ['Volksbank Muhlen -alt- Steinfeld [Oldenburg]','28'],
		'28065061' => ['Volksbank Loningen','28'],
		'28065108' => ['VR-Bank Dinklage-Steinfeld','28'],
		'28065286' => ['Raiffeisenbank Scharrel Saterland','28'],
		'28066047' => ['Volksbank Holdorf Holdorf, Niedersachs','28'],
		'28066103' => ['Volksbank Visbek Visbek, Kr Vechta','28'],
		'28066214' => ['Volksbank Wildeshauser Geest Wildeshausen','28'],
		'28066620' => ['Spar- und Darlehnskasse Friesoythe','28'],
		'28067068' => ['Volksbank Neuenkirchen-Vorden','28'],
		'28067170' => ['Raiffeisen-Volksbank Delmenhorst-Schierbrok','28'],
		'28067257' => ['Volksbank Lastrup Lastrup, Kr Cloppenburg','28'],
		'28068064' => ['Volksbank Cappeln Cappeln [Oldenburg]','28'],
		'28068156' => ['Volksbank Vechta ehem VB Lutten Goldenstedt, Kr Vechta','28'],
		'28068218' => ['Raiffeisenbank Butjadingen-Abbehausen','28'],
		'28069020' => ['Volksbank Dotlingen','28'],
		'28069022' => ['Volksbank Ahlhorn-Gro?enkneten ehem VB Ahlhorn','28'],
		'28069052' => ['Raiffeisenbank Strucklingen-Idafehn Ostrhauderfehn','28'],
		'28069092' => ['Raiffeisenbank Hatten-Wardenburg Hatten, Oldb','28'],
		'28069105' => ['Raiffeisen-Volksbank Jever Wangerland','28'],
		'28069109' => ['Volksbank Emstek','28'],
		'28069128' => ['Raiffeisenbank Garrel','28'],
		'28069138' => ['Volksbank Ahlhorn-Gro?enkneten','28'],
		'28069195' => ['Raiffeisenbank Wardenburg','28'],
		'28069293' => ['Volksbank Obergrafschaft Schuttorf','28'],
		'28069336' => ['Raiffeisenbank Hage-Dornum-Gro?heide Hage, Ostfriesl','28'],
		'28069381' => ['Hummlinger Volksbank Werlte, Emsl','28'],
		'28069706' => ['Volksbank Nordhummling Borger','28'],
		'28069755' => ['Raiffeisenbank Oldersum Moormerland','28'],
		'28069773' => ['Raiffeisenbank Wiesedermeer-Wiesede-Marcardsm Friedeburg, Ostfriesl','28'],
		'28069834' => ['Spar- und Darlehnskasse Dersum','28'],
		'28069844' => ['Volksbank Dorpen','28'],
		'28069878' => ['Raiffeisenbank Emsland-Mitte Klein Ber?en','28'],
		'28069926' => ['VB Niedergrafschaft Uelsen-Hoogstede-Wilsum','28'],
		'28069930' => ['Volksbank Langen-Gersten Langen, Emsl','28'],
		'28069935' => ['Raiffeisenbank Lorup','28'],
		'28069942' => ['Raiffeisenbank Neuenkirchen b Bramsche','28'],
		'28069955' => ['Volksbank Uelsen','28'],
		'28069956' => ['Grafschafter Volksbank NEV Nordhorn','28'],
		'28069959' => ['Raiffeisenbank -alt- Voltlage','28'],
		'28069991' => ['Volksbank Emstal Lathen','28'],
		'28069994' => ['Volksbank Spelle-Freren','28'],
		'28070024' => ['Deutsche Bank Privat und Geschaftskunden Oldenburg [Oldb]','63'],
		'28070057' => ['Deutsche Bank Oldenburg [Oldb]','63'],
		'28090045' => ['Volksbank Oldenburg Oldenburg [Oldb]','10'],
		'28090633' => ['Deutsche Apotheker- und Arztebank Oldenburg [Oldb]','14'],
		'28091787' => ['Raiffeisen-VB Delmenhorst-Schierbrok ehem VB','28'],
		'28200000' => ['Bundesbank eh Wilhelmshaven Oldenburg [Oldb]','09'],
		'28220026' => ['Oldenburgische Landesbank AG Wilhelmshaven','61'],
		'28222208' => ['Oldenburgische Landesbank AG Jever','61'],
		'28222621' => ['Oldenburgische Landesbank AG Varel, Jadebusen','61'],
		'28240023' => ['Commerzbank Wilhelmshaven','13'],
		'28250110' => ['Sparkasse Wilhelmshaven','00'],
		'28252760' => ['Kreissparkasse Wittmund','00'],
		'28261946' => ['Raiffeisenbank Sande-Wangerland','28'],
		'28262254' => ['Volksbank Jever','10'],
		'28262481' => ['Raiffeisenbank Sande-Wangerland -alt- Sande, Kr Friesl','28'],
		'28262673' => ['Raiffeisen-Volksbank Varel-Nordenham Varel, Jadebusen','28'],
		'28262794' => ['Raiffeisen-Volksbank Aurich-Wittmund -alt- Aurich, Ostfriesland','28'],
		'28270024' => ['Deutsche Bank Privat und Geschaftskunden Wilhelmshaven','63'],
		'28270056' => ['Deutsche Bank Wilhelmshaven','63'],
		'28280012' => ['Dresdner Bank Wilhelmshaven','76'],
		'28290063' => ['Volksbank Wilhelmshaven','00'],
		'28291551' => ['Volksbank Esens','28'],
		'28320014' => ['Oldenburgische Landesbank AG Norden, Ostfriesl','61'],
		'28321816' => ['Oldenburgische Landesbank AG Norderney','61'],
		'28350000' => ['Sparkasse Aurich-Norden Aurich, Ostfriesland','00'],
		'28361592' => ['Raiffeisen-Volksbank Fresena Norden, Ostfriesl','28'],
		'28390069' => ['Raiffeisen-Volksbank Norden Norden, Ostfriesl','28'],
		'28420007' => ['Oldenburgische Landesbank AG Emden, Ostfriesland','61'],
		'28421030' => ['Oldenburgische Landesbank AG Aurich, Ostfriesland','61'],
		'28440037' => ['Commerzbank Emden, Ostfriesland','13'],
		'28450000' => ['Sparkasse Emden Emden, Ostfriesland','00'],
		'28451050' => ['Sparkasse Aurich-Norden Aurich, Ostfriesland','00'],
		'28470024' => ['Deutsche Bank Privat und Geschaftskunden Emden, Ostfriesland','63'],
		'28470091' => ['Deutsche Bank Emden, Ostfriesland','63'],
		'28490073' => ['Raiffeisen-Volksbank Emden-Pewsum -alt- Emden, Ostfriesland','28'],
		'28500000' => ['Bundesbank eh Leer Oldenburg [Oldb]','09'],
		'28520009' => ['Oldenburgische Landesbank AG Leer [Ostfriesland]','61'],
		'28521518' => ['Oldenburgische Landesbank AG Papenburg','61'],
		'28540034' => ['Commerzbank Leer [Ostfriesland]','13'],
		'28550000' => ['Sparkasse Leer-Weener Leer [Ostfriesland]','00'],
		'28551560' => ['Sparkasse Emsland -alt- Papenburg','00'],
		'28561790' => ['Aschendorfer Bank -alt- Papenburg','28'],
		'28562297' => ['Raiffeisen-Volksbank Aurich, Ostfriesland','28'],
		'28562716' => ['Raiffeisenbank Flachsmeer Westoverledingen','28'],
		'28562863' => ['Raiffeisenbank Moormerland Holtland','28'],
		'28563749' => ['Raiffeisenbank Moormerland','28'],
		'28563865' => ['Ostfriesische Volksbank Leer Westoverledingen','28'],
		'28570024' => ['Deutsche Bank Privat und Geschaftskunden Leer [Ostfriesland]','63'],
		'28570092' => ['Deutsche Bank Leer [Ostfriesland]','63'],
		'28590075' => ['Ostfriesische Volksbank Leer Leer [Ostfriesland]','28'],
		'28591579' => ['Volksbank Papenburg Fil d. Ostfries. VB Leer','28'],
		'28591654' => ['Volksbank Westrhauderfehn Rhauderfehn','28'],
		'29000000' => ['Bundesbank Bremen','09'],
		'29010111' => ['SEB Bremen','13'],
		'29010400' => ['Deutsche Schiffsbank Bremen','09'],
		'29020000' => ['Bankhaus Neelmeyer Bremen','45'],
		'29020100' => ['KBC Bank Deutschland Bremen','18'],
		'29020200' => ['NordFinanz Bank Bremen','09'],
		'29020400' => ['Deutsche Factoring Bank Bremen','09'],
		'29021000' => ['Bremer Aufbau-Bank Bremen','09'],
		'29030400' => ['Plump, Carl F. - & Co Bremen','15'],
		'29040090' => ['Commerzbank Bremen','13'],
		'29050000' => ['Bremer Landesbank Bremen','29'],
		'29050101' => ['Sparkasse Bremen','00'],
		'29070024' => ['Deutsche Bank Privat und Geschaftskunden Bremen','63'],
		'29070050' => ['Deutsche Bank Bremen','63'],
		'29070051' => ['Deutsche Bank Bremerhaven','63'],
		'29070052' => ['Deutsche Bank Delmenhorst','63'],
		'29070058' => ['Deutsche Bank Cloppenburg','63'],
		'29070059' => ['Deutsche Bank Vechta','63'],
		'29080010' => ['Bremer Bank [Dresdner Bank] Bremen','76'],
		'29089210' => ['Bremer Bank [Dresdner Bank] ITGK Bremen','09'],
		'29090605' => ['Deutsche Apotheker- und Arztebank Bremen','14'],
		'29090900' => ['PSD Bank Nord Bremen','91'],
		'29121731' => ['Oldenburgische Landesbank AG Syke','61'],
		'29151700' => ['Kreissparkasse Syke','00'],
		'29151711' => ['Kreissparkasse Syke -alt-','09'],
		'29151712' => ['Kreissparkasse Barrien -alt- Syke','09'],
		'29151713' => ['Kreissparkasse Brinkum -alt- Stuhr','09'],
		'29151714' => ['Kreissparkasse Heiligenfelde -alt- Syke','09'],
		'29151715' => ['Kreissparkasse Heiligenrode -alt- Stuhr','09'],
		'29151716' => ['Kreissparkasse Kirchweyhe -alt- Weyhe b Bremen','09'],
		'29151717' => ['Kreissparkasse Leeste -alt- Weyhe b Bremen','09'],
		'29151719' => ['Kreissparkasse Stuhr -alt-','09'],
		'29151720' => ['Kreissparkasse Seckenhausen -alt- Stuhr','09'],
		'29151721' => ['Kreissparkasse Sudweyhe -alt- Weyhe b Bremen','09'],
		'29151722' => ['Kreissparkasse Gro?-Mackenstedt -alt- Stuhr','09'],
		'29151731' => ['Kreissparkasse Bassum -alt-','09'],
		'29151734' => ['Kreissparkasse Neubruchhausen -alt- Bassum','09'],
		'29151735' => ['Kreissparkasse Twistringen -alt-','09'],
		'29151751' => ['Kreissparkasse Bruchhausen -alt- Bruchhausen-Vilsen','09'],
		'29151752' => ['Kreissparkasse Engeln -alt- Engeln b Bruchhausen-Vilsen','09'],
		'29151753' => ['Kreissparkasse Martfeld -alt-','09'],
		'29151754' => ['Kreissparkasse Schwarme -alt-','09'],
		'29151755' => ['Kreissparkasse Vilsen -alt- Bruchhausen-Vilsen','09'],
		'29151756' => ['Kreissparkasse Asendorf -alt- Asendorf b Bruchhausen-Vil','09'],
		'29152300' => ['Kreissparkasse Osterholz Osterholz-Scharmbeck','00'],
		'29152550' => ['Zweckverbandssparkasse Schee?el','00'],
		'29152670' => ['Kreissparkasse Verden Verden [Aller]','09'],
		'29162394' => ['Volksbank Osterholz-Scharmbeck','28'],
		'29162453' => ['Volksbank Schwanewede','28'],
		'29162697' => ['Volksbank Verden [Aller]','28'],
		'29163559' => ['Volksbank Twistringen','28'],
		'29165545' => ['Volksbank Oyten','28'],
		'29165681' => ['Volksbank Sottrum Sottrum, Kr Rotenburg, Wumme','28'],
		'29166568' => ['Volksbank Worpswede','28'],
		'29167624' => ['Volksbank Stuhr Syke','28'],
		'29168522' => ['Volksbank Harpstedt','28'],
		'29172624' => ['Deutsche Bank Privat und Geschaftskunden Verden [Aller]','63'],
		'29172655' => ['Deutsche Bank Verden [Aller]','63'],
		'29190024' => ['Bremische Volksbank Bremen','28'],
		'29190330' => ['Volksbank Bremen-Nord','28'],
		'29200000' => ['Bundesbank eh Bremerhaven Bremen','09'],
		'29210111' => ['SEB Bremerhaven','13'],
		'29220200' => ['Weserbank Bremerhaven','28'],
		'29240024' => ['Commerzbank Bremerhaven','13'],
		'29250000' => ['Sparkasse Bremerhaven','10'],
		'29250150' => ['Kreissparkasse Wesermunde-Hadeln Bremerhaven','10'],
		'29262646' => ['Spar- und Darlehnskasse Langen-Neuenwalde Langen b Bremerhaven','28'],
		'29262722' => ['Volksbank Geeste-Nord Langen b Bremerhaven','28'],
		'29265747' => ['Volksbank im Landkreis Cuxhaven Beverstedt','28'],
		'29280011' => ['Dresdner Bank Bremerhaven','76'],
		'29290034' => ['Volksbank Bremerhaven-Wesermunde','28'],
		'30000000' => ['Bundesbank Dusseldorf','09'],
		'30010111' => ['SEB Dusseldorf','13'],
		'30010200' => ['AEGON Bank Dusseldorf','09'],
		'30010400' => ['IKB Deutsche Industriebank Dusseldorf','09'],
		'30010700' => ['Bank of Tokyo-Mitsubishi, The - Dusseldorf','09'],
		'30020000' => ['Westfalenbank Dusseldorf','32'],
		'30020300' => ['RBS [RD Europe] Ratingen','10'],
		'30020500' => ['BHF-BANK Dusseldorf','60'],
		'30020700' => ['Mizuho Corporate Bank Ltd Fil Dusseldorf','09'],
		'30020800' => ['Emporiki Bank - Germany Dusseldorf','06'],
		'30020900' => ['Citibank Privatkunden Dusseldorf','57'],
		'30020941' => ['Citibank Privatkunden Region Munchen','57'],
		'30020944' => ['Citibank Privatkunden Region Duisburg','57'],
		'30020945' => ['Citibank Privatkunden Region Hannover','57'],
		'30020946' => ['Citibank Privatkunden Region Mannheim','57'],
		'30020947' => ['Citibank Privatkunden Region Gelsenkirchen','57'],
		'30020948' => ['Citibank Privatkunden Region Hamburg','57'],
		'30020949' => ['Citibank Privatkunden Region Koln','57'],
		'30030100' => ['SBroker Wiesbaden','56'],
		'30030500' => ['C&A Bank, D?sseldorf', '05'],
		'30030880' => ['HSBC Trinkaus & Burkhardt Dusseldorf','56'],
		'30030900' => ['Merck Finck & Co Dusseldorf','00'],
		'30040000' => ['Commerzbank Dusseldorf','13'],
		'30040060' => ['Commerzbank Gf 660, D?sseldorf', '09'],
		'30040061' => ['Commerzbank Gf 661, D?sseldorf', '09'],
		'30050000' => ['WestLB Dusseldorf','08'],
		'30050110' => ['Stadtsparkasse Dusseldorf','00'],
		'30052525' => ['NRW Bank Dusseldorf','08'],
		'30055500' => ['Deutsche WertpapierService Bank Dusseldorf','09'],
		'30060010' => ['Westdeutsche Genossenschafts-Zentralbank Dusseldorf','44'],
		'30060601' => ['Deutsche Apotheker- und Arztebank Dusseldorf','14'],
		'30060992' => ['PSD Bank Rhein-Ruhr Dusseldorf','91'],
		'30070010' => ['Deutsche Bank Dusseldorf','63'],
		'30070024' => ['Deutsche Bank Privat und Geschaftskunden Dusseldorf','63'],
		'30070989' => ['Eurohypo Ndl DB Dusseldorf','63'],
		'30080000' => ['Dresdner Bank Dusseldorf','76'],
		'30080005' => ['Dresdner Bank Zw 05 Dusseldorf','76'],
		'30080022' => ['Dresdner Bank Ztv 22 Dusseldorf','76'],
		'30080038' => ['Dresdner Bank Zw 38 Dusseldorf','76'],
		'30080041' => ['Dresdner Bank Zw 41 Dusseldorf','76'],
		'30080053' => ['Dresdner Bank Zw 53 Dusseldorf','76'],
		'30080061' => ['Dresdner Bank Zw 61 Dusseldorf','76'],
		'30080074' => ['Dresdner Bank Zw 74 Dusseldorf','76'],
		'30080090' => ['Dresdner Bank Gf Dusseldorf','76'],
		'30080095' => ['Dresdner Bank Zw 95 Dusseldorf','76'],
		'30089300' => ['Dresdner Bank ITGK I Dusseldorf','09'],
		'30089302' => ['Dresdner Bank ITGK II Dusseldorf','09'],
		'30110300' => ['Sumitomo Mitsui Banking Corporation Dusseldorf','09'],
		'30120400' => ['ABN AMRO Bank Ndl Deutschland Dusseldorf','10'],
		'30120500' => ['KBC Bank Deutschland Dusseldorf','18'],
		'30120764' => ['Bayer Hypo- und Vereinsbank Ndl 450 Dus Aschheim','70'],
		'30130100' => ['Demir-Halk Bank [Nederland] Dusseldorf','09'],
		'30130200' => ['GarantiBank International Dusseldorf','09'],
		'30130600' => ['Isbank Fil Dusseldorf','06'],
		'30130700' => ['UFJ Bank Dusseldorf','09'],
		'30130800' => ['Dusseldorfer Hypothekenbank','09'],
		'30150001' => ['Clearingkto Westdeutsche Landesbank Dusseldorf','09'],
		'30150200' => ['Kreissparkasse Dusseldorf','00'],
		'30151660' => ['Sparkasse Ratingen -alt-','00'],
		'30160213' => ['Volksbank Dusseldorf Neuss','06'],
		'30220190' => ['Bayer Hypo- und Vereinsbank Dusseldorf','99'],
		'30350000' => ['Stadt-Sparkasse Hilden -alt-','00'],
		'30351220' => ['Stadt-Sparkasse Haan Haan, Rheinl','00'],
		'30520000' => ['RCI Banque S.A. NL Deutschland Neuss','09'],
		'30530000' => ['Bankhaus Werhahn Neuss','09'],
		'30550000' => ['Sparkasse Neuss','00'],
		'30551240' => ['Stadtsparkasse Kaarst-Buttgen','00'],
		'30560090' => ['Volksbank Neuss','06'],
		'30560548' => ['VR Bank Dormagen','06'],
		'31000000' => ['Bundesbank Monchengladbach','09'],
		'31010111' => ['SEB Monchengladbach','13'],
		'31010833' => ['CC-Bank Monchengladbach','09'],
		'31040015' => ['Commerzbank Monchengladbach','13'],
		'31050000' => ['Stadtsparkasse Monchengladbach','00'],
		'31051240' => ['Stadtsparkasse Korschenbroich','10'],
		'31060181' => ['Gladbacher Bank von 1922 Monchengladbach','06'],
		'31060297' => ['Volksbank Rheydt Monchengladbach','09'],
		'31060517' => ['Volksbank Monchengladbach','06'],
		'31061108' => ['Volksbank Willich','06'],
		'31062154' => ['Volksbank Bruggen-Nettetal Bruggen, Niederrhein','06'],
		'31062553' => ['Volksbank Schwalmtal Niederkruchten','06'],
		'31070001' => ['Deutsche Bank Monchengladbach','63'],
		'31070024' => ['Deutsche Bank Privat und Geschaftskunden Monchengladbach','63'],
		'31080015' => ['Dresdner Bank Monchengladbach','76'],
		'31080061' => ['Dresdner Bank Zw 61 Monchengladbach','76'],
		'31251220' => ['Kreissparkasse Heinsberg in Erkelenz','00'],
		'31261282' => ['Volksbank Erkelenz-Huckelhoven','06'],
		'31262393' => ['Volksbank Wegberg','06'],
		'31263359' => ['Raiffeisenbank Erkelenz','06'],
		'31450000' => ['Stadtsparkasse Viersen','00'],
		'31460290' => ['Volksbank Viersen','06'],
		'31470004' => ['Deutsche Bank Viersen','63'],
		'31470024' => ['Deutsche Bank Privat und Geschaftskunden Viersen','63'],
		'32000000' => ['Bundesbank eh Krefeld Monchengladbach','09'],
		'32040024' => ['Commerzbank Krefeld','13'],
		'32050000' => ['Sparkasse Krefeld','00'],
		'32051370' => ['Sparkasse Geldern','00'],
		'32051996' => ['Sparkasse der Stadt Straelen','00'],
		'32060362' => ['Volksbank Krefeld','06'],
		'32061384' => ['Volksbank Gelderland Geldern','06'],
		'32061414' => ['Volksbank Kempen-Grefrath Kempen, Niederrhein','06'],
		'32070024' => ['Deutsche Bank Privat und Geschaftskunden Krefeld','63'],
		'32070080' => ['Deutsche Bank Krefeld','63'],
		'32080010' => ['Dresdner Bank Krefeld','76'],
		'32250050' => ['Verbandssparkasse Goch','00'],
		'32260310' => ['Volksbank Goch-Kevelaer','06'],
		'32400000' => ['Bundesbank eh Kleve, Niederrhein Duisburg','09'],
		'32440023' => ['Commerzbank Kleve, Niederrhein','13'],
		'32450000' => ['Sparkasse Kleve Kleve, Niederrhein','00'],
		'32460422' => ['Volksbank Kleverland Kleve, Niederrhein','06'],
		'32470024' => ['Deutsche Bank Privat und Geschaftskunden Kleve, Niederrhein','63'],
		'32470077' => ['Deutsche Bank Kleve, Niederrhein','63'],
		'33000000' => ['Bundesbank Wuppertal','09'],
		'33010111' => ['SEB Wuppertal','13'],
		'33020000' => ['akf bank Wuppertal','09'],
		'33020190' => ['Bayer Hypo- und Vereinsbank Wuppertal','99'],
		'33040001' => ['Commerzbank Wuppertal','13'],
		'33040310' => ['Commerzbank Zw 117 Wuppertal','13'],
		'33050000' => ['Stadtsparkasse Wuppertal','00'],
		'33060098' => ['Credit- und Volksbank Wuppertal','06'],
		'33060592' => ['Sparda-Bank West Wuppertal','51'],
		'33060616' => ['Deutsche Apotheker- u Arztebank Zw Wuppertal','14'],
		'33070024' => ['Deutsche Bank Privat und Geschaftskunden Wuppertal','63'],
		'33070090' => ['Deutsche Bank Wuppertal','63'],
		'33080030' => ['Dresdner Bank Wuppertal','76'],
		'33440035' => ['Commerzbank Velbert','13'],
		'33450000' => ['Sparkasse Hilden-Ratingen-Velbert','00'],
		'33451220' => ['Sparkasse Heiligenhaus -alt- Heiligenhaus b Velbert','00'],
		'34040049' => ['Commerzbank Remscheid','13'],
		'34050000' => ['Stadtsparkasse Remscheid','00'],
		'34051350' => ['Sparkasse Radevormwald-Huckeswagen','00'],
		'34051570' => ['Stadtsparkasse Wermelskirchen','00'],
		'34060094' => ['Volksbank Remscheid-Solingen Remscheid-Lennep','00'],
		'34070024' => ['Deutsche Bank Privat und Geschaftskunden Remscheid','63'],
		'34070093' => ['Deutsche Bank Remscheid','63'],
		'34080031' => ['Dresdner Bank Remscheid','76'],
		'34240050' => ['Commerzbank Solingen','13'],
		'34250000' => ['Stadt-Sparkasse Solingen','00'],
		'34270024' => ['Deutsche Bank Privat und Geschaftskunden Solingen','63'],
		'34270094' => ['Deutsche Bank Solingen','63'],
		'34280032' => ['Dresdner Bank Solingen','76'],
		'35000000' => ['Bundesbank Duisburg','09'],
		'35010111' => ['SEB Duisburg','13'],
		'35020030' => ['National-Bank Duisburg','10'],
		'35040038' => ['Commerzbank Duisburg','13'],
		'35050000' => ['Sparkasse Duisburg','00'],
		'35060190' => ['KD-Bank Duisburg','06'],
		'35060386' => ['Volksbank Rhein-Ruhr Duisburg','40'],
		'35060632' => ['Deutsche Apotheker- und Arztebank Duisburg','14'],
		'35070024' => ['Deutsche Bank Privat und Geschaftskunden Duisburg','63'],
		'35070030' => ['Deutsche Bank Duisburg','63'],
		'35080070' => ['Dresdner Bank Duisburg','76'],
		'35090300' => ['Bank fur Schiffahrt [BFS] Fil d Ostfr VB Leer Duisburg','09'],
		'35211012' => ['SEB Dinslaken','13'],
		'35251000' => ['Sparkasse Dinslaken-Voerde-Hunxe','00'],
		'35261248' => ['Volksbank Dinslaken','06'],
		'35450000' => ['Sparkasse Moers','A2'],
		'35451250' => ['Stadtsparkasse Kamp-Lintfort','00'],
		'35451460' => ['Sparkasse Neukirchen-Vluyn','00'],
		'35451775' => ['Sparkasse Rheinberg','00'],
		'35460089' => ['VR Volks- u Raiffeisenbank Moers','06'],
		'35461106' => ['Volksbank Niederrhein Alpen','06'],
		'35600000' => ['Bundesbank eh Wesel Duisburg','09'],
		'35640064' => ['Commerzbank Wesel a Rhein','13'],
		'35650000' => ['Verbands-Sparkasse Wesel Wesel a Rhein','00'],
		'35660599' => ['Volksbank Rhein-Lippe Wesel a Rhein','06'],
		'35850000' => ['Stadtsparkasse Emmerich-Rees Emmerich am Rhein','00'],
		'35860245' => ['Volksbank Emmerich-Rees Emmerich am Rhein','06'],
		'36000000' => ['Bundesbank Essen, Ruhr','09'],
		'36010043' => ['Postbank Essen, Ruhr','24'],
		'36010111' => ['SEB Essen, Ruhr','13'],
		'36010200' => ['VON ESSEN Bankgesellschaft Essen, Ruhr','09'],
		'36010424' => ['Aareal Bank Essen, Ruhr','09'],
		'36010600' => ['Gallinat Bank Essen, Ruhr','09'],
		'36010800' => ['AKBANK N.V. Essen, Essen, Ruhr', '09'],
		'36020030' => ['National-Bank Essen, Ruhr','10'],
		'36020186' => ['Bayer Hypo- und Vereinsbank Essen, Ruhr','99'],
		'36020700' => ['Hanseatic Bank Essen, Ruhr','09'],
		'36036000' => ['Karstadt Hypothekenbank Essen, Ruhr','09'],
		'36040039' => ['Commerzbank Essen, Ruhr','13'],
		'36050000' => ['Westdeutsche Landesbank Girozentrale Essen, Ruhr','08'],
		'36050105' => ['Sparkasse Essen Essen, Ruhr','78'],
		'36060192' => ['Pax-Bank Essen, Ruhr','06'],
		'36060295' => ['Bank im Bistum Essen Essen, Ruhr','06'],
		'36060488' => ['Geno-Volks-Bank Essen Essen, Ruhr','34'],
		'36060591' => ['Sparda-Bank West Essen, Ruhr','86'],
		'36060610' => ['Deutsche Apotheker- und Arztebank Essen, Ruhr','14'],
		'36070024' => ['Deutsche Bank Privat und Geschaftskunden Essen, Ruhr','63'],
		'36070050' => ['Deutsche Bank Essen, Ruhr','63'],
		'36080080' => ['Dresdner Bank Essen, Ruhr','76'],
		'36089321' => ['Dresdner Bank ITGK Essen, Ruhr','09'],
		'36200000' => ['Bundesbank eh Mulheim an der Ruhr Essen, Ruhr','09'],
		'36210111' => ['SEB Mulheim an der Ruhr','13'],
		'36220030' => ['National-Bank Mulheim an der Ruhr','10'],
		'36240045' => ['Commerzbank Mulheim an der Ruhr','13'],
		'36250000' => ['Sparkasse Mulheim an der Ruhr','06'],
		'36270024' => ['Deutsche Bank Privat und Geschaftskunden Mulheim an der Ruhr','63'],
		'36270048' => ['Deutsche Bank Mulheim an der Ruhr','63'],
		'36280071' => ['Dresdner Bank Mulheim an der Ruhr','76'],
		'36500000' => ['Bundesbank eh Oberhausen Essen, Ruhr','09'],
		'36520030' => ['National-Bank Oberhausen, Rheinl','10'],
		'36540046' => ['Commerzbank Oberhausen, Rheinl','13'],
		'36550000' => ['Stadtsparkasse Oberhausen Oberhausen, Rheinl','00'],
		'36570024' => ['Deutsche Bank Privat und Geschaftskunden Oberhausen, Rheinl','63'],
		'36570049' => ['Deutsche Bank Oberhausen, Rheinl','63'],
		'36580072' => ['Dresdner Bank Oberhausen, Rheinl','76'],
		'37000000' => ['Bundesbank Koln','09'],
		'37010050' => ['Postbank Koln','24'],
		'37010111' => ['SEB Koln','13'],
		'37010222' => ['ABN AMRO Bank Ndl Deutschland Koln','10'],
		'37010400' => ['ING Belgien Koln','32'],
		'37010600' => ['Fortis Bank Koln','09'],
		'37011000' => ['Postbank EasyTrade -alt- Koln','24'],
		'37020090' => ['Bayer Hypo- und Vereinsbank Koln','99'],
		'37020100' => ['RCI Banque S.A. NL Deutschland Koln','09'],
		'37020200' => ['AXA Bank Koln','09'],
		'37020400' => ['TOYOTA Kreditbank Koln','09'],
		'37020500' => ['Sozialbank Koln','09'],
		'37020600' => ['CC-Bank Koln','09'],
		'37020700' => ['Hanseatic Bank Koln','09'],
		'37020900' => ['Ford Bank Koln','09'],
		'37021100' => ['Mazda Bank Leverkusen','09'],
		'37021200' => ['Volvo Auto Bank Koln','09'],
		'37021300' => ['Jaguar Financial Services Koln','09'],
		'37021400' => ['Land Rover Financial Services Koln','09'],
		'37030000' => ['BNP PARIBAS Lease Group SA Zndl Deutschland Koln','09'],
		'37030100' => ['Bankhaus Carl M. Gotte Koln','09'],
		'37030200' => ['Oppenheim, Sal - jr & Cie Koln','09'],
		'37030300' => ['GE Money Bank Koln','09'],
		'37030700' => ['WW Bank, K?ln', '19'],
		'37030800' => ['Isbank Fil Koln','06'],
		'37031000' => ['CNH CAPITAL EUROPE SAS Zndl Deutschland Koln','09'],
		'37032000' => ['CLAAS FINANCIAL SERVICES SAS Zndl Deutschland Koln','09'],
		'37040044' => ['Commerzbank Koln','13'],
		'37050198' => ['Stadtsparkasse Koln','00'],
		'37050299' => ['Kreissparkasse Koln','05'],
		'37060193' => ['Pax-Bank Koln','06'],
		'37060590' => ['Sparda-Bank West Koln','51'],
		'37060615' => ['Deutsche Apotheker- und Arztebank Koln','14'],
		'37060880' => ['BBBank Zndl Koln','32'],
		'37060993' => ['PSD Bank Koln','91'],
		'37062124' => ['Bensberger Bank Bergisch Gladbach','06'],
		'37062365' => ['Raiffeisenbank Frechen-Hurth Hurth, Rheinl','06'],
		'37062600' => ['Paffrather Raiffeisenbank Bergisch Gladbach','06'],
		'37063367' => ['Raiffeisenbank Fischenich-Kendenich Hurth, Rheinl','06'],
		'37069101' => ['Spar- und Darlehnskasse Aegidienberg Bad Honnef','06'],
		'37069103' => ['Raiffeisenbank Aldenhoven Aldenhoven b Julich','06'],
		'37069125' => ['Raiffeisenbank Kurten-Odenthal','06'],
		'37069153' => ['Spar- und Darlehnskasse Brachelen Huckelhoven','06'],
		'37069164' => ['Volksbank Meerbusch','06'],
		'37069210' => ['Backer-Darlehnskasse Hamburg','34'],
		'37069252' => ['Volksbank Erft Elsdorf, Rheinl','06'],
		'37069292' => ['Burger Bank Kerpen Kerpen, Rheinl','06'],
		'37069302' => ['Raiffeisenbank Geilenkirchen','06'],
		'37069303' => ['Volksbank Gemund-Kall','06'],
		'37069306' => ['Raiffeisenbank Grevenbroich','06'],
		'37069322' => ['Raiffeisenbank Gymnich Erftstadt','06'],
		'37069330' => ['Volksbank Haaren Waldfeucht','06'],
		'37069331' => ['Raiffeisenbank von 1895 Habbelrath Zw Horrem Kerpen, Rheinl','06'],
		'37069342' => ['Volksbank Heimbach Heimbach, Eifel','06'],
		'37069354' => ['Raiffeisenbank Selfkant Zw Gangelt','06'],
		'37069355' => ['Spar- und Darlehnskasse Hoengen Alsdorf, Rheinl','06'],
		'37069381' => ['Volksbank Randerath-Immendorf Geilenkirchen','06'],
		'37069401' => ['Raiffeisenbank Junkersdorf Koln','06'],
		'37069405' => ['Raiffeisenbank Kaarst','06'],
		'37069412' => ['Raiffeisenbank Heinsberg, Rheinl','06'],
		'37069427' => ['Volksbank Dunnwald-Holweide Koln','06'],
		'37069429' => ['Volksbank Koln-Nord','06'],
		'37069472' => ['Raiffeisenbk Erftstadt -alt-','06'],
		'37069520' => ['VR-Bank Rhein-Sieg Siegburg','06'],
		'37069521' => ['Raiffeisenbank Rhein-Berg Monheim am Rhein','06'],
		'37069524' => ['Raiffeisenbank Much-Ruppichteroth','06'],
		'37069577' => ['Raiffeisenbank Odenthal -alt-','06'],
		'37069582' => ['Raiffeisenbank Overath-Rosrath Overath, Bergisches Land','06'],
		'37069620' => ['Raiffeisenbank Radevormwald -alt-','06'],
		'37069627' => ['Raiffeisenbank Rheinbach Voreifel','06'],
		'37069639' => ['Rosbacher Raiffeisenbank Windeck, Sieg','06'],
		'37069642' => ['Raiffeisenbank Simmerath','06'],
		'37069707' => ['Raiffeisenbank St Augustin Sankt Augustin','06'],
		'37069720' => ['VR-Bank Nordeifel Schleiden, Eifel','06'],
		'37069805' => ['Volksbank Wachtberg','06'],
		'37069810' => ['Raiffeisenbank -alt- Hurtgenwald','06'],
		'37069833' => ['Raiffeisenbk Wesseling -alt- Wesseling, Rheinl','06'],
		'37069840' => ['Volksbank Wipperfurth-Lindlar','06'],
		'37069991' => ['Bruhler Kreditbank Bruhl, Rheinl','09'],
		'37070024' => ['Deutsche Bank Privat und Geschaftskunden Koln','63'],
		'37070060' => ['Deutsche Bank Koln','63'],
		'37070989' => ['Eurohypo Ndl DB Koln','63'],
		'37080040' => ['Dresdner Bank Koln','76'],
		'37080096' => ['Dresdner Bank Zw 96 Koln','76'],
		'37080097' => ['Dresdner Bank Zw 97 Koln','76'],
		'37080099' => ['Dresdner Bank Zw 99 Koln','76'],
		'37089340' => ['Dresdner Bank ITGK I Koln','09'],
		'37089342' => ['Dresdner Bank ITGK II Koln','09'],
		'37160087' => ['Kolner Bank','06'],
		'37161289' => ['VR-Bank Rhein-Erft Bruhl, Rheinl','06'],
		'37540050' => ['Commerzbank Leverkusen','13'],
		'37551020' => ['Stadt-Sparkasse Leichlingen Leichlingen [Rheinland]','00'],
		'37551440' => ['Sparkasse Leverkusen','00'],
		'37551670' => ['Stadt-Sparkasse Dusseldorf Fil Monheim Monheim am Rhein','00'],
		'37551780' => ['Stadt-Sparkasse Langenfeld Langenfeld [Rheinland]','00'],
		'37560092' => ['Volksbank Rhein-Wupper Leverkusen','06'],
		'37570024' => ['Deutsche Bank Privat und Geschaftskunden Leverkusen','63'],
		'37570064' => ['Deutsche Bank Leverkusen','63'],
		'38000000' => ['Bundesbank Bonn','09'],
		'38010053' => ['Postbank Zentrale Bonn','09'],
		'38010111' => ['SEB Bonn','13'],
		'38010700' => ['DSL Bank Bonn','09'],
		'38010900' => ['KfW Ndl Bonn','09'],
		'38010999' => ['KfW Ausbildungsforderung Bonn','06'],
		'38011000' => ['V?B-ZVD Bank, Bonn', '09'],
		'38011001' => ['V?B-ZVD Bank Gf 1, Bonn', '09'],
		'38011002' => ['V?B-ZVD Bank Gf 2, Bonn', '09'],
		'38011003' => ['V?B-ZVD Bank Gf 3, Bonn', '09'],
		'38011004' => ['V?B-ZVD Bank Gf 4, Bonn', '09'],
		'38011005' => ['V?B-ZVD Bank Gf 5, Bonn', '09'],
		'38020090' => ['Bayer Hypo- und Vereinsbank Bonn','99'],
		'38040007' => ['Commerzbank Bonn','13'],
		'38050000' => ['Sparkasse Bonn','00'],
		'38051290' => ['Stadtsparkasse Bad Honnef','00'],
		'38060186' => ['Volksbank Bonn Rhein-Sieg','06'],
		'38070024' => ['Deutsche Bank Privat und Geschaftskunden Bonn','63'],
		'38070059' => ['Deutsche Bank Bonn','63'],
		'38070724' => ['Deutsche Bank Privat und Geschaftskunden F 950 Bonn','63'],
		'38077724' => ['Deutsche Bank Privat und Geschaftskunden F 950 Konigswinter','63'],
		'38080055' => ['Dresdner Bank Bonn','76'],
		'38160220' => ['VR-Bank Bonn','06'],
		'38160312' => ['Bad Godesberger Kreditbank Bonn','06'],
		'38250110' => ['Kreissparkasse Euskirchen','00'],
		'38260082' => ['Volksbank Euskirchen','06'],
		'38440016' => ['Commerzbank Gummersbach','13'],
		'38450000' => ['Sparkasse Gummersbach-Bergneustadt','00'],
		'38452490' => ['Sparkasse der Homburgischen Gemeinden Wiehl','00'],
		'38462135' => ['Volksbank Oberberg Wiehl','06'],
		'38470024' => ['Deutsche Bank Privat und Geschaftskunden Gummersbach','63'],
		'38470091' => ['Deutsche Bank Gummersbach','63'],
		'38600000' => ['Bundesbank eh Siegburg Bonn','09'],
		'38621500' => ['Steyler Bank Sankt Augustin','38'],
		'38650000' => ['Kreissparkasse Siegburg','00'],
		'38651390' => ['Sparkasse Hennef Hennef [Sieg]','00'],
		'39000000' => ['Bundesbank Aachen','09'],
		'39010111' => ['SEB Aachen','13'],
		'39020000' => ['Aachener Bausparkasse','09'],
		'39040013' => ['Commerzbank Aachen','13'],
		'39050000' => ['Sparkasse Aachen','00'],
		'39060180' => ['Aachener Bank','06'],
		'39060630' => ['Deutsche Apotheker- und Arztebank Aachen','14'],
		'39061981' => ['Heinsberger Volksbank Heinsberg, Rheinl','06'],
		'39070020' => ['Deutsche Bank Aachen','63'],
		'39070024' => ['Deutsche Bank Privat und Geschaftskunden Aachen','63'],
		'39080005' => ['Dresdner Bank Aachen','76'],
		'39080098' => ['Dresdner Bank Zw 98 Aachen','76'],
		'39080099' => ['Dresdner Bank Zw 99 Aachen','76'],
		'39160191' => ['Pax-Bank Aachen','06'],
		'39161490' => ['Volksbank Aachen Sud','06'],
		'39162287' => ['Volksbank Herzogenrath -alt-','06'],
		'39162980' => ['VR-Bank Wurselen','06'],
		'39360097' => ['Volksbank Stolberg-Eschweiler Stolberg [Rhld.]','06'],
		'39362254' => ['Raiffeisen-Bank Eschweiler Eschweiler, Rheinl','06'],
		'39500000' => ['Bundesbank eh Duren Aachen','09'],
		'39540052' => ['Commerzbank Duren, Rheinl','13'],
		'39550110' => ['Sparkasse Duren Duren, Rheinl','00'],
		'39560201' => ['Volksbank Duren Duren, Rheinl','06'],
		'39570024' => ['Deutsche Bank Privat und Geschaftskunden Duren, Rheinl','63'],
		'39570061' => ['Deutsche Bank Duren, Rheinl','63'],
		'39580041' => ['Dresdner Bank Duren, Rheinl','76'],
		'40000000' => ['Bundesbank Munster, Westf','09'],
		'40010111' => ['SEB Munster, Westf','13'],
		'40030000' => ['Munsterlandische Bank Thie & Co Munster, Westf','61'],
		'40040028' => ['Commerzbank Munster, Westf','13'],
		'40050000' => ['WestLB Munster Munster, Westf','08'],
		'40050150' => ['Sparkasse Munsterland Ost Munster, Westf','00'],
		'40051475' => ['Sparkasse Warendorf -alt-','00'],
		'40052525' => ['NRW Bank Munster, Westf','08'],
		'40060000' => ['Westdeutsche Genossenschafts-Zentralbank Munster, Westf','44'],
		'40060104' => ['DGM Ev Darlehns-Genossenschaft -alt- Munster, Westf','34'],
		'40060265' => ['DKM Darlehnskasse Munster Munster, Westf','34'],
		'40060300' => ['Westfalische Landschaft Bodenkreditbank Munster, Westf','09'],
		'40060560' => ['Sparda-Bank Munster Munster, Westf','85'],
		'40060614' => ['Deutsche Apotheker- und Arztebank Munster, Westf','14'],
		'40061238' => ['Volksbank Greven Greven, Westf','34'],
		'40062624' => ['Volksbank Telgte-Westbevern -alt-','34'],
		'40069226' => ['Volksbank Lette-Darup-Rorup Coesfeld','34'],
		'40069266' => ['Volksbank Marsberg Marsberg, Sauerland','34'],
		'40069283' => ['Volksbank Schlangen','34'],
		'40069348' => ['Volksbank Medebach','34'],
		'40069362' => ['Volksbank Saerbeck','34'],
		'40069363' => ['Volksbank Schermbeck Schermbeck, Niederrhein','34'],
		'40069371' => ['Volksbank Thulen Brilon','34'],
		'40069408' => ['Volksbank Baumberge Billerbeck, Westf','34'],
		'40069462' => ['Volksbank Sprakel Munster, Westf','34'],
		'40069477' => ['Volksbank Wulfen -alt- Dorsten','34'],
		'40069537' => ['Volksbank Ostbevern-Kattenvenne -alt-','34'],
		'40069545' => ['Volksbank Schonholthausen Finnentrop','34'],
		'40069546' => ['Volksbank Senden Senden, Westf','34'],
		'40069600' => ['Volksbank Amelsburen Munster, Westf','34'],
		'40069601' => ['Volksbank Ascheberg-Herbern Ascheberg, Westf','34'],
		'40069606' => ['Volksbank Erle Raesfeld','34'],
		'40069622' => ['Volksbank Seppenrade Ludinghausen','34'],
		'40069636' => ['Volksbank Lette -alt- Coesfeld','34'],
		'40069709' => ['Volksbank Lembeck-Rhade Dorsten','34'],
		'40069716' => ['Volksbank Sudkirchen-Capelle-Nordkirchen','34'],
		'40070024' => ['Deutsche Bank Privat und Geschaftskunden Munster, Westf','63'],
		'40070080' => ['Deutsche Bank Munster, Westf','63'],
		'40080040' => ['Dresdner Bank Munster, Westf','76'],
		'40090900' => ['PSD Bank Westfalen-Lippe Munster, Westf','91'],
		'40150001' => ['Clearingkto Westdeutsche Landesbank Munster Munster, Westf','09'],
		'40153452' => ['Stadtsparkasse Billerbeck -alt- Billerbeck, Westf','00'],
		'40153768' => ['Verbundsparkasse Emsdetten Ochtrup','01'],
		'40154006' => ['Stadtsparkasse Gronau Gronau [Westf.]','00'],
		'40154476' => ['Stadtsparkasse Lengerich Lengerich, Westf','00'],
		'40154530' => ['Sparkasse Westmunsterland Ahaus','00'],
		'40154680' => ['Stadtsparkasse Ochtrup -alt-','00'],
		'40154702' => ['Stadtsparkasse Stadtlohn','00'],
		'40154870' => ['Sparkasse Vreden -alt-','00'],
		'40160050' => ['Volksbank Munster Munster, Westf','34'],
		'40163123' => ['Volksbank Coesfeld','34'],
		'40163720' => ['Volksbank Nordmunsterland Rheine','34'],
		'40164024' => ['Volksbank Gronau-Ahaus Gronau [Westf.]','34'],
		'40164256' => ['Volksbank Laer-Horstmar-Leer Laer, Kr Steinfurt','34'],
		'40164352' => ['Volksbank Nottuln','34'],
		'40164528' => ['Volksbank Ludinghausen-Olfen','34'],
		'40164618' => ['Volksbank Ochtrup','34'],
		'40164821' => ['Volksbank Vreden','34'],
		'40164901' => ['Volksbank Gescher','34'],
		'40165366' => ['Volksbank Selm-Bork','34'],
		'40165400' => ['Volksbank Albersloh -alt- Sendenhorst','34'],
		'40166439' => ['Volksbank Lengerich/Lotte -alt- Lengerich, Westf','34'],
		'40166800' => ['Volksbank Buldern Dulmen','34'],
		'40300000' => ['Bundesbank eh Rheine Munster, Westf','09'],
		'40340030' => ['Commerzbank Rheine','13'],
		'40350005' => ['Stadtsparkasse Rheine','00'],
		'40351060' => ['Kreissparkasse Steinfurt Ibbenburen','00'],
		'40351220' => ['Sparkasse Steinfurt -alt- Steinfurt, Westf','00'],
		'40361627' => ['Volksbank Westerkappeln-Wersen','34'],
		'40361906' => ['Volksbank Tecklenburger Land Ibbenburen','34'],
		'40362280' => ['Riesenbecker Volksbank -alt- Horstel','34'],
		'40363433' => ['Volksbank Horstel','34'],
		'40370024' => ['Deutsche Bank Privat und Geschaftskunden Rheine','63'],
		'40370079' => ['Deutsche Bank Rheine','63'],
		'41000000' => ['Bundesbank Hamm, Westf','09'],
		'41010111' => ['SEB Hamm, Westf','13'],
		'41040018' => ['Commerzbank Hamm, Westf','13'],
		'41041000' => ['ZTB der Commerzbank Hamm, Westf','13'],
		'41050095' => ['Sparkasse Hamm Hamm, Westf','00'],
		'41051605' => ['Stadtsparkasse Werne','00'],
		'41051845' => ['Sparkasse Bergkamen-Bonen','00'],
		'41060120' => ['Volksbank Hamm Hamm, Westf','34'],
		'41061011' => ['Spar- und Darlehnskasse Bockum-Hovel Hamm, Westf','34'],
		'41061903' => ['BAG Bankaktiengesellschaft Hamm, Westf','34'],
		'41062215' => ['Volksbank Bonen','34'],
		'41070024' => ['Deutsche Bank Privat und Geschaftskunden Hamm, Westf','63'],
		'41070049' => ['Deutsche Bank Hamm, Westf','63'],
		'41250035' => ['Sparkasse Beckum-Wadersloh Beckum, Westf','00'],
		'41252555' => ['Sparkasse Ahlen -alt- Ahlen, Westf','00'],
		'41260006' => ['Volksbank Beckum Beckum, Westf','34'],
		'41261324' => ['Volksbank Enniger-Ostenfelde-Westkirchen Ennigerloh','34'],
		'41261419' => ['Volksbank Oelde-Ennigerloh-Neubeckum','34'],
		'41262501' => ['Volksbank Ahlen-Sassenberg-Warendorf Ahlen, Westf','34'],
		'41262621' => ['Vereinigte Volksbank Telgte','34'],
		'41280043' => ['Dresdner Bank Beckum, Westf','76'],
		'41440018' => ['Commerzbank Soest, Westf','13'],
		'41450075' => ['Sparkasse Soest Soest, Westf','00'],
		'41451485' => ['Sparkasse Mohnesee -alt-','00'],
		'41451750' => ['Sparkasse Werl','00'],
		'41460116' => ['Volksbank Hellweg Soest, Westf','34'],
		'41462295' => ['Volksbank Wickede, Ruhr Wickede [Ruhr]','34'],
		'41650001' => ['Stadtsparkasse Lippstadt','00'],
		'41651770' => ['Sparkasse Hochsauerland Brilon','00'],
		'41651815' => ['Sparkasse Erwitte-Anrochte','00'],
		'41651965' => ['Sparkasse Geseke','00'],
		'41652560' => ['Sparkasse Warstein-Ruthen','00'],
		'41660124' => ['Volksbank Lippstadt','34'],
		'41661206' => ['Volksbank Anrochte','34'],
		'41661379' => ['Volksbank Bad Westernkotten Erwitte','34'],
		'41661504' => ['Volksbank Benninghausen Lippstadt','34'],
		'41661719' => ['Volksbank Brilon','34'],
		'41662390' => ['Volksbank Ruthen','34'],
		'41662465' => ['Volksbank Stormede Geseke','34'],
		'41662557' => ['Volksbank Warstein-Belecke','34'],
		'41663335' => ['Volksbank Horste Lippstadt','34'],
		'41670024' => ['Deutsche Bank Privat und Geschaftskunden Lippstadt','63'],
		'41670027' => ['Deutsche Bank Lippstadt','63'],
		'41670028' => ['Deutsche Bank Brilon','63'],
		'41670029' => ['Deutsche Bank Soest, Westf','63'],
		'41670030' => ['Deutsche Bank Werl','63'],
		'42000000' => ['Bundesbank eh Gelsenkirchen Bochum','09'],
		'42010111' => ['SEB Gelsenkirchen','13'],
		'42030600' => ['Isbank Fil Gelsenkirchen','06'],
		'42040040' => ['Commerzbank Gelsenkirchen','13'],
		'42050001' => ['Sparkasse Gelsenkirchen','25'],
		'42070024' => ['Deutsche Bank Privat und Geschaftskunden Gelsenkirchen','63'],
		'42070062' => ['Deutsche Bank Gelsenkirchen','63'],
		'42080082' => ['Dresdner Bank Gelsenkirchen','76'],
		'42260001' => ['Volksbank Gelsenkirchen-Buer','34'],
		'42450040' => ['Stadtsparkasse Gladbeck','00'],
		'42451220' => ['Sparkasse Bottrop','00'],
		'42461435' => ['Volksbank Kirchhellen Bottrop','34'],
		'42600000' => ['Bundesbank eh Recklinghausen Bochum','09'],
		'42610112' => ['SEB Recklinghausen, Westf','13'],
		'42640048' => ['Commerzbank Recklinghausen, Westf','13'],
		'42650150' => ['Sparkasse Vest Recklinghausen Recklinghausen, Westf','00'],
		'42651315' => ['Stadtsparkasse Haltern Haltern am See','00'],
		'42661008' => ['Volksbank Marl-Recklinghausen Marl, Westf','34'],
		'42661330' => ['Volksbank Haltern Haltern am See','34'],
		'42661522' => ['Volksbank Herten-Westerholt Herten, Westf','34'],
		'42661717' => ['Volksbank Waltrop','34'],
		'42662320' => ['Volksbank Dorsten','34'],
		'42680081' => ['Dresdner Bank Recklinghausen, Westf','76'],
		'42840005' => ['Commerzbank Bocholt','13'],
		'42850035' => ['Stadtsparkasse Bocholt','00'],
		'42851310' => ['Kreissparkasse Borken -alt- Borken, Westf','00'],
		'42860003' => ['Volksbank Bocholt','34'],
		'42861239' => ['Spar- und Darlehnskasse Reken','34'],
		'42861387' => ['Borkener Volksbank Borken, Westf','34'],
		'42861416' => ['Volksbank Hamminkeln','34'],
		'42861515' => ['Volksbank Gemen Borken, Westf','34'],
		'42861608' => ['Volksbank Heiden Heiden, Kr Borken, Westf','34'],
		'42861814' => ['Volksbank Rhede Rhede, Westf','34'],
		'42862451' => ['Volksbank Raesfeld','34'],
		'42870024' => ['Deutsche Bank Privat und Geschaftskunden Bocholt','63'],
		'42870077' => ['Deutsche Bank Bocholt','63'],
		'43000000' => ['Bundesbank Bochum','09'],
		'43010111' => ['SEB Bochum','13'],
		'43020000' => ['Westfalenbank Bochum','32'],
		'43040036' => ['Commerzbank Bochum','13'],
		'43050001' => ['Sparkasse Bochum','00'],
		'43051040' => ['Sparkasse Hattingen Hattingen, Ruhr','00'],
		'43060129' => ['Volksbank Bochum Witten','34'],
		'43060967' => ['GLS Gemeinschaftsbank Bochum','34'],
		'43070024' => ['Deutsche Bank Privat und Geschaftskunden Bochum','63'],
		'43070061' => ['Deutsche Bank Bochum','63'],
		'43080083' => ['Dresdner Bank Bochum','76'],
		'43250030' => ['Herner Sparkasse Herne, Westf','00'],
		'44000000' => ['Bundesbank Dortmund','09'],
		'44010046' => ['Postbank Dortmund','24'],
		'44010111' => ['SEB Dortmund','13'],
		'44010200' => ['AXA Bausparkasse Dortmund','09'],
		'44010300' => ['ABN AMRO Bank Ndl Deutschland Dortmund','10'],
		'44010400' => ['Hypo Real Estate Bank Dortmund','09'],
		'44020090' => ['Bayer Hypo- und Vereinsbank Dortmund','99'],
		'44040037' => ['Commerzbank Dortmund','13'],
		'44050000' => ['WestLB Dortmund','08'],
		'44050199' => ['Sparkasse Dortmund','06'],
		'44060122' => ['Volksbank Dortmund-Nordwest','34'],
		'44060604' => ['Deutsche Apotheker- und Arztebank Dortmund','14'],
		'44070024' => ['Deutsche Bank Privat und Geschaftskunden Dortmund','63'],
		'44070050' => ['Deutsche Bank Dortmund','63'],
		'44080050' => ['Dresdner Bank Dortmund','76'],
		'44080090' => ['Dresdner Bank Gf Dortmund','76'],
		'44089320' => ['Dresdner Bank ITGK Dortmund','09'],
		'44090920' => ['PSD Bank Dortmund -alt-','91'],
		'44130000' => ['Handel und Kredit Bankhaus Altena Fil Dortmund','00'],
		'44152255' => ['Sparkasse Castrop-Rauxel -alt- Recklinghausen, Westf','00'],
		'44152370' => ['Sparkasse Lunen','00'],
		'44152490' => ['Stadtsparkasse Schwerte','00'],
		'44160014' => ['Dortmunder Volksbank','34'],
		'44340037' => ['Commerzbank Unna','13'],
		'44350060' => ['Kreis- und Stadtsparkasse Unna','00'],
		'44351380' => ['Stadtische Sparkasse Kamen Kamen, Westf','00'],
		'44351740' => ['Sparkasse Frondenberg Frondenberg /Ruhr','00'],
		'44360002' => ['Volksbank Unna Schwerte','34'],
		'44361342' => ['Volksbank Kamen-Werne Kamen, Westf','34'],
		'44540022' => ['Commerzbank Iserlohn','13'],
		'44550045' => ['Sparkasse der Stadt Iserlohn','00'],
		'44551210' => ['Stadtsparkasse Hemer','00'],
		'44561102' => ['Volksbank Letmathe -alt- Iserlohn','34'],
		'44570004' => ['Deutsche Bank Iserlohn','63'],
		'44570024' => ['Deutsche Bank Privat und Geschaftskunden Iserlohn','63'],
		'44580070' => ['Dresdner Bank Iserlohn','76'],
		'44750065' => ['Sparkasse Menden Menden [Sauerland]','00'],
		'44760037' => ['Volksbank Menden Menden [Sauerland]','34'],
		'44761312' => ['Mendener Bank Menden [Sauerland]','34'],
		'44761438' => ['Genossenschaftsbank Lendringsen -alt- Menden [Sauerland]','34'],
		'44761534' => ['Volksbank im Markischen Kreis Werdohl','34'],
		'45000000' => ['Bundesbank Hagen, Westf','09'],
		'45030000' => ['Handel und Kredit Bankhaus Altena Altena, Westf','00'],
		'45040042' => ['Commerzbank Hagen, Westf','13'],
		'45050001' => ['Sparkasse Hagen Hagen, Westf','02'],
		'45051485' => ['Stadtsparkasse Herdecke Herdecke, Ruhr','00'],
		'45060009' => ['Markische Bank Hagen, Westf','34'],
		'45061524' => ['Volksbank Hohenlimburg Hagen, Westf','34'],
		'45070002' => ['Deutsche Bank Hagen, Westf','63'],
		'45070024' => ['Deutsche Bank Privat und Geschaftskunden Hagen, Westf','63'],
		'45080060' => ['Dresdner Bank Hagen, Westf','76'],
		'45240056' => ['Commerzbank Witten','13'],
		'45250035' => ['Sparkasse Witten','00'],
		'45251480' => ['Stadtsparkasse Wetter Wetter [Ruhr]','00'],
		'45251515' => ['Stadtsparkasse Sprockhovel','00'],
		'45260041' => ['Volksbank Witten -alt-','34'],
		'45260475' => ['Spar- u Kreditbank d Bundes Fr ev Gemeinden Witten','34'],
		'45261547' => ['Volksbank Sprockhovel','34'],
		'45450050' => ['Stadtsparkasse Gevelsberg','00'],
		'45451060' => ['Sparkasse Ennepetal-Breckerfeld','00'],
		'45451555' => ['Stadtsparkasse Schwelm','00'],
		'45660029' => ['Volksbank Altena -alt- Altena, Westf','34'],
		'45840026' => ['Commerzbank Ludenscheid','13'],
		'45841031' => ['Commerzbank Plettenberg','13'],
		'45850005' => ['Sparkasse Ludenscheid','00'],
		'45851020' => ['Vereinigte Sparkasse im Markischen Kreis Plettenberg','00'],
		'45851665' => ['Sparkasse Kierspe-Meinerzhagen','00'],
		'45860033' => ['Volksbank Ludenscheid','34'],
		'45861434' => ['Volksbank Kierspe','34'],
		'45861617' => ['Volksbank Meinerzhagen','34'],
		'46000000' => ['Bundesbank eh Siegen Hagen, Westf','09'],
		'46010111' => ['SEB Siegen','13'],
		'46040033' => ['Commerzbank Siegen','13'],
		'46050001' => ['Sparkasse Siegen','00'],
		'46051240' => ['Sparkasse Burbach-Neunkirchen Burbach, Siegerl','00'],
		'46051733' => ['Stadtsparkasse Freudenberg Freudenberg, Westf','00'],
		'46051875' => ['Stadtsparkasse Hilchenbach Hilchenbach, Siegerland','00'],
		'46052855' => ['Stadtsparkasse Schmallenberg','00'],
		'46053480' => ['Sparkasse Wittgenstein Bad Berleburg','00'],
		'46060040' => ['Volksbank im Siegerland Siegen','34'],
		'46061724' => ['Volksbank Freudenberg Freudenberg, Westf','34'],
		'46062106' => ['Volksbank Littfeld Kreuztal, Westf','34'],
		'46062632' => ['Volksbank Sud-Siegerland Neunkirchen Neunkirchen, Siegerl','34'],
		'46062817' => ['Volksbank Schmallenberg','34'],
		'46063405' => ['Volksbank Wittgenstein Bad Berleburg','34'],
		'46070024' => ['Deutsche Bank Privat und Geschaftskunden Siegen','63'],
		'46070090' => ['Deutsche Bank Siegen','63'],
		'46080010' => ['Dresdner Bank Siegen','76'],
		'46240016' => ['Commerzbank Olpe, Biggesee','13'],
		'46250049' => ['Sparkasse Olpe-Drolshagen-Wenden Olpe, Biggesee','00'],
		'46251590' => ['Sparkasse Finnentrop','00'],
		'46251630' => ['Sparkasse Attendorn-Lennestadt-Kirchhundem','00'],
		'46260023' => ['Volksbank Olpe Olpe, Biggesee','34'],
		'46261306' => ['Volksbank Attendorn -alt-','34'],
		'46261607' => ['Volksbank Grevenbruck Lennestadt','34'],
		'46261822' => ['Volksbank Wenden-Drolshagen Wenden, Sudsauerland','34'],
		'46262456' => ['Volksbank Bigge-Lenne Lennestadt','34'],
		'46400000' => ['Bundesbank eh Arnsberg Hamm, Westf','09'],
		'46441003' => ['Commerzbank Meschede','13'],
		'46451012' => ['Zweckverbandssparkasse Meschede','00'],
		'46451250' => ['Sparkasse Bestwig','00'],
		'46461126' => ['Volksbank Sauerland Meschede','34'],
		'46462271' => ['Spar- und Darlehnskasse Oeventrop Arnsberg, Westf','34'],
		'46464453' => ['Volksbank Reiste-Eslohe Eslohe [Sauerland]','34'],
		'46640018' => ['Commerzbank Arnsberg, Westf','13'],
		'46650005' => ['Sparkasse Arnsberg-Sundern Arnsberg, Westf','00'],
		'46660022' => ['Volksbank Arnsberg-Sundern Arnsberg, Westf','34'],
		'46670007' => ['Deutsche Bank Arnsberg, Westf','63'],
		'46670024' => ['Deutsche Bank Privat und Geschaftskunden Arnsberg, Westf','63'],
		'47200000' => ['Bundesbank eh Paderborn Bielefeld','09'],
		'47240047' => ['Commerzbank Paderborn','13'],
		'47250101' => ['Sparkasse Paderborn','00'],
		'47251550' => ['Sparkasse Hoxter Brakel, Westf','00'],
		'47251740' => ['Stadtsparkasse Delbruck','00'],
		'47260121' => ['Volksbank Paderborn-Hoxter','34'],
		'47260234' => ['Volksbank Elsen-Wewer-Borchen Paderborn','34'],
		'47260307' => ['Bank fur Kirche und Caritas Paderborn','34'],
		'47261429' => ['Volksbank Haaren Bad Wunnenberg','34'],
		'47261603' => ['Volksbank Buren und Salzkotten','34'],
		'47262336' => ['Volksbank Hovelhof','34'],
		'47262406' => ['Volksbank Hoxter-Beverungen','34'],
		'47262626' => ['Volksbank Westenholz Delbruck','34'],
		'47262703' => ['Volksbank Delbruck','09'],
		'47263472' => ['Volksbank Westerloh-Westerwiehe Delbruck','34'],
		'47264367' => ['Volksbank Bad Driburg-Brakel-Steinheim Brakel, Westf','34'],
		'47265383' => ['Volksbank Wewelsburg-Ahden Buren, Westf','34'],
		'47267216' => ['Volksbank Borgentreich -alt-','34'],
		'47270024' => ['Deutsche Bank Privat und Geschaftskunden Paderborn','63'],
		'47270029' => ['Deutsche Bank Paderborn','63'],
		'47451235' => ['Stadtsparkasse Marsberg -alt- Marsberg, Sauerland','00'],
		'47460028' => ['Volksbank Warburger Land Warburg, Westf','34'],
		'47640051' => ['Commerzbank Detmold','13'],
		'47650130' => ['Sparkasse Detmold','00'],
		'47651225' => ['Stadtsparkasse Blomberg Blomberg, Lippe','00'],
		'47670023' => ['Deutsche Bank Detmold','63'],
		'47670024' => ['Deutsche Bank Privat und Geschaftskunden Detmold','63'],
		'47690080' => ['Volksbank Detmold','34'],
		'47691200' => ['Volksbank Blomberg, Lippe','34'],
		'47800000' => ['Bundesbank eh Gutersloh Bielefeld','09'],
		'47840065' => ['Commerzbank Gutersloh','13'],
		'47840080' => ['Commerzbank Zw 80 Gutersloh','09'],
		'47850065' => ['Sparkasse Gutersloh','03'],
		'47852760' => ['Sparkasse Rietberg','00'],
		'47853355' => ['Stadtsparkasse Versmold','00'],
		'47853520' => ['Kreissparkasse Wiedenbruck Rheda-Wiedenbruck','00'],
		'47860125' => ['Volksbank Gutersloh','34'],
		'47861317' => ['Volksbank Clarholz-Lette-Beelen Herzebrock-Clarholz','34'],
		'47861518' => ['Volksbank Harsewinkel','34'],
		'47861806' => ['Volksbank Kaunitz Verl','34'],
		'47861907' => ['Volksbank Langenberg -alt- Langenberg, Kr Gutersloh','34'],
		'47862261' => ['Volksbank Marienfeld Marienfeld, Stadt Harsewinke','34'],
		'47862447' => ['Volksbank Rietberg','34'],
		'47862540' => ['Volksbank Peckeloh Versmold','34'],
		'47863288' => ['Verler Volksbank','34'],
		'47863373' => ['Volksbank Versmold','34'],
		'47880031' => ['Dresdner Bank Gutersloh','76'],
		'48000000' => ['Bundesbank Bielefeld','09'],
		'48010111' => ['SEB Bielefeld','13'],
		'48020086' => ['Bayer Hypo- und Vereinsbank Bielefeld','99'],
		'48020151' => ['Bankhaus Lampe Bielefeld','32'],
		'48021900' => ['Bankverein Werther Werther [Westf.]','32'],
		'48040035' => ['Commerzbank Bielefeld','13'],
		'48050000' => ['Westdeutsche Landesbank Bielefeld','08'],
		'48050161' => ['Sparkasse Bielefeld','00'],
		'48051580' => ['Kreissparkasse Halle Halle [Westf.]','00'],
		'48060036' => ['Volksbank Bielefeld','09'],
		'48061818' => ['Volksbank Steinhagen Steinhagen, Westf','34'],
		'48062051' => ['Volksbank Halle, Westf Halle [Westf.]','34'],
		'48062466' => ['Spar-u Darlehnskasse Schlo? Holte-Stukenbrock','34'],
		'48070020' => ['Deutsche Bank Bielefeld','63'],
		'48070024' => ['Deutsche Bank Privat und Geschaftskunden Bielefeld','63'],
		'48070040' => ['Deutsche Bank Gutersloh','63'],
		'48070042' => ['Deutsche Bank Harsewinkel','63'],
		'48070043' => ['Deutsche Bank Verl','63'],
		'48070044' => ['Deutsche Bank Rheda-Wiedenbruck','63'],
		'48070045' => ['Deutsche Bank Beckum, Westf','63'],
		'48070046' => ['Deutsche Bank Oelde, Westf','63'],
		'48070050' => ['Deutsche Bank Herford','63'],
		'48070051' => ['Deutsche Bank Spenge','63'],
		'48070052' => ['Deutsche Bank Bunde','63'],
		'48080020' => ['Dresdner Bank Bielefeld','76'],
		'48089350' => ['Dresdner Bank ITGK Bielefeld','09'],
		'48091315' => ['Volksbank Brackwede Bielefeld','34'],
		'48250110' => ['Sparkasse Lemgo','00'],
		'48251250' => ['Stadtische Sparkasse Barntrup -alt-','00'],
		'48262248' => ['Volksbank Nordlippe Extertal','34'],
		'48291490' => ['Volksbank Bad Salzuflen','34'],
		'49000000' => ['Bundesbank Minden, Westf','09'],
		'49040043' => ['Commerzbank Minden, Westf','13'],
		'49050101' => ['Sparkasse Minden-Lubbecke Minden, Westf','00'],
		'49051065' => ['Stadtsparkasse Rahden Rahden, Westf','00'],
		'49051285' => ['Stadtsparkasse Bad Oeynhausen','00'],
		'49051990' => ['Stadtsparkasse Porta Westfalica','00'],
		'49060127' => ['Volksbank Minden-Hille-Porta Minden, Westf','34'],
		'49060392' => ['Volksbank Minden Minden, Westf','34'],
		'49061298' => ['Volksbank Bad Oeynhausen -alt-','34'],
		'49061470' => ['Volksbank Stemweder Berg -alt- Rahden, Westf','34'],
		'49061510' => ['Volksbank Eisbergen Porta Westfalica','34'],
		'49063296' => ['Volksbank Petershagen Petershagen, Weser','34'],
		'49063338' => ['Volksbank Hille -alt-','34'],
		'49070024' => ['Deutsche Bank Privat und Geschaftskunden Minden, Westf','63'],
		'49070028' => ['Deutsche Bank Minden, Westf','63'],
		'49080025' => ['Dresdner Bank Minden, Westf','76'],
		'49092650' => ['Volksbank Lubbecker Land Lubbecke, Westf','34'],
		'49240096' => ['Commerzbank Bunde','13'],
		'49262364' => ['Volksbank Schnathorst Hullhorst','34'],
		'49440043' => ['Commerzbank Herford','13'],
		'49450120' => ['Sparkasse Herford','00'],
		'49451210' => ['Sparkasse Bad Salzuflen -alt-','00'],
		'49461323' => ['Volksbank Enger-Spenge Enger, Westf','34'],
		'49490070' => ['Volksbank Bad Oeynhausen-Herford','34'],
		'50000000' => ['Bundesbank Frankfurt am Main','09'],
		'50010060' => ['Postbank Frankfurt am Main','24'],
		'50010111' => ['SEB Frankfurt am Main','13'],
		'50010200' => ['Akbank T.A.S. Ndl Deutschland Frankfurt am Main','09'],
		'50010424' => ['Aareal Bank Frankfurt am Main','09'],
		'50010517' => ['Allgemeine Deutsche Direktbank Frankfurt am Main','09'],
		'50010700' => ['Degussa Bank Frankfurt am Main','09'],
		'50010800' => ['DEPFA Deutsche Pfandbriefbank Frankfurt am Main','09'],
		'50010900' => ['Bank of America Frankfurt am Main','09'],
		'50012800' => ['Alte Leipziger Bauspar Bad Homburg v d Hohe','09'],
		'50020160' => ['Bayer Hypo- und Vereinsbank Ndl 427 Ffm Aschheim','70'],
		'50020200' => ['BHF-BANK Frankfurt am Main','60'],
		'50020300' => ['KBC Bank Deutschland Frankfurt am Main','18'],
		'50020400' => ['KfW Kreditanstalt fur Wiederaufbau Frankfurt Frankfurt am Main','09'],
		'50020500' => ['Landwirtschaftliche Rentenbank Frankfurt am Main','09'],
		'50020700' => ['Finansbank [Holland] N.V. Frankfurt am Main','09'],
		'50020800' => ['SAN PAOLO IMI Bank S.p.A., Frankfurt Frankfurt am Main','09'],
		'50020900' => ['Allgemeine Hypothekenbank Rheinboden Frankfurt am Main','09'],
		'50021000' => ['ING Bank Deutschland Frankfurt am Main','60'],
		'50030000' => ['PSA Finance Deutschland Neu-Isenburg','09'],
		'50030100' => ['Handel + Kredit Bankhaus Altena, Frankfurt Frankfurt am Main','00'],
		'50030500' => ['BNP PARIBAS Securities Services Frankfurt am Main','09'],
		'50030600' => ['Deutsche WertpapierService Bank, Frankfurt am Main', '09'],
		'50030700' => ['DenizBank [Wien] Zw Frankfurt Frankfurt am Main','09'],
		'50030800' => ['LHB Internationale Handelsbank Frankfurt am Main','00'],
		'50030900' => ['Lehman Brothers Bankhaus Frankfurt, Frankfurt am Main', '09'],
		'50040000' => ['Commerzbank Frankfurt am Main','13'],
		'50040033' => ['Commerzbank Gf BRS Frankfurt am Main','09'],
		'50040060' => ['Commerzbank Gf 460, Frankfurt am Main', '09'],
		'50040061' => ['Commerzbank Gf 461, Frankfurt am Main', '09'],
		'50040075' => ['Commerzbank Gf ZCM, Frankfurt am Main', '13'],
		'50042500' => ['Commerzbank Zw 425 - keine Auslandsbanken Frankfurt am Main','13'],
		'50044444' => ['Commerzbank Vermogensverwaltung Frankfurt am Main','13'],
		'50047010' => ['Commerzbank Service - BZ Frankfurt am Main','13'],
		'50050000' => ['Landesbank Hessen-Thur Girozentrale Frankfurt am Main','00'],
		'50050201' => ['Frankfurter Sparkasse Frankfurt am Main','96'],
		'50050222' => ['Frankfurter Sparkasse GF 1822direkt, Frankfurt am Main', '19'],
		'50050515' => ['Nassauische Sparkasse Wiesbaden','A2'],
		'50050999' => ['DekaBank Frankfurt Frankfurt am Main','00'],
		'50060000' => ['DZ Bank Frankfurt am Main','77'],
		'50060400' => ['DZ BANK Frankfurt am Main','09'],
		'50060500' => ['Evangelische Kreditgenossenschaft Frankfurt am Main','32'],
		'50060600' => ['Deutsche WertpapierService Bank Frankfurt Frankfurt am Main','77'],
		'50061741' => ['Raiffeisenbank Oberursel Oberursel [Taunus]','32'],
		'50069126' => ['Raiffeisenbank Alzey-Land Bornheim, Rheinhess','32'],
		'50069146' => ['Volksbank Grebenhain-Crainfeld','32'],
		'50069176' => ['Raiffeisenbank Dudelsheim Budingen, Hess','32'],
		'50069187' => ['Volksbank Egelsbach Egelsbach, Hess','32'],
		'50069241' => ['Raiffeisenkasse Erbes-Budesheim und Umgebung','32'],
		'50069284' => ['Volksbank Gambach -alt- Munzenberg','32'],
		'50069345' => ['Raiffeisenbank Gravenwiesbach','32'],
		'50069384' => ['Volksbank Heppenheim - Offstein Worms','32'],
		'50069455' => ['Huttenberger Bank Huttenberg, Hess','32'],
		'50069464' => ['Volksbank Inheiden-Villingen Hungen','32'],
		'50069477' => ['Raiffeisenbank Kirtorf','32'],
		'50069488' => ['Genossenschaftsbank Main-Taunus Kriftel','32'],
		'50069693' => ['Raiffeisenbank Bad Homburg Ndl d FrankfurterVB Bad Homburg v d Hohe','32'],
		'50069727' => ['Raiffeisenbank Mockstadt Ranstadt','32'],
		'50069828' => ['Raiffeisenbank Mucke','32'],
		'50069842' => ['Raiffeisen Volksbank Schwabenheim an der Selz','32'],
		'50069976' => ['Volksbank Wi?mar Wettenberg, Hess','32'],
		'50070000' => ['norisbank, Frankfurt am Main', '63'],
		'50070010' => ['Deutsche Bank Filiale Frankfurt am Main','63'],
		'50070024' => ['Deutsche Bank Privat und Geschaftskunden Frankfurt am Main','63'],
		'50070101' => ['Deutsche Bank Paybox.netag Frankfurt am Main','63'],
		'50070444' => ['Deutsche Bank Moneyshelf Frankfurt am Main','63'],
		'50070500' => ['Deutsche Bank Trust Private Banking Frankfurt Frankfurt am Main','09'],
		'50070710' => ['Deutsche Bank, maxblue, Bad Vilbel', '63'],
		'50070724' => ['Deutsche Bank Privat- und Geschaftskunden, maxblue, Bad Vilbel', '63'],
		'50070887' => ['Eurohypo Ndl Zentrale DB Eschborn, Taunus','63'],
		'50070989' => ['Eurohypo Ndl DB Eschborn, Taunus','63'],
		'50073019' => ['Deutsche Bank Russelsheim','63'],
		'50073024' => ['Deutsche Bank Privat und Geschaftskunden Russelsheim','63'],
		'50077700' => ['european transaction bank Frankfurt am Main','09'],
		'50080000' => ['Dresdner Bank Frankfurt am Main','76'],
		'50080015' => ['Dresdner Bank Zw 15 Frankfurt am Main','76'],
		'50080025' => ['Dresdner Bank Zw 25 Frankfurt am Main','76'],
		'50080035' => ['Dresdner Bank Zw 35 Frankfurt am Main','76'],
		'50080060' => ['Dresdner Bank Gf DrKW Frankfurt am Main','76'],
		'50080061' => ['Dresdner Bank Gf DrKWSL Frankfurt am Main','76'],
		'50080077' => ['Allianz Dresdner Bauspar Bad Vilbel','09'],
		'50080080' => ['Dresdner Bank Bs 80 Frankfurt am Main','76'],
		'50080085' => ['Dresdner Bank ITGK 2, Frankfurt am Main', '09'],
		'50080086' => ['Dresdner Bank ITGK 3, Frankfurt am Main', '09'],
		'50080090' => ['Dresdner Bank Gf Frankfurt Frankfurt am Main','76'],
		'50080099' => ['Dresdner Bank Zw 99 Frankfurt am Main','76'],
		'50080300' => ['Dresdner Bank Private Banking Inland Frankfurt am Main','67'],
		'50083007' => ['Dresdner Bank Russelsheim','76'],
		'50083800' => ['Dresdner Bank in Frankfurt DLJ Frankfurt am Main','76'],
		'50083838' => ['Dresdner Bank in Frankfurt MBP Frankfurt am Main','76'],
		'50083900' => ['Dresdner Bank in Frankfurt SETR Frankfurt am Main','76'],
		'50089400' => ['Dresdner Bank ITGK Frankfurt am Main','09'],
		'50090200' => ['VR DISKONTBANK Eschborn, Taunus','00'],
		'50090500' => ['Sparda-Bank Hessen Frankfurt am Main','73'],
		'50090607' => ['Deutsche Apotheker- und Arztebank Frankfurt am Main','14'],
		'50090800' => ['BBBank Zndl Hessen/Rheinland-Pfalz Frankfurt am Main','32'],
		'50090900' => ['PSD Bank Frankfurt Main -Sitz Eschborn- Eschborn, Taunus','91'],
		'50092100' => ['Spar- u Kreditbank ev-freikirchl Gemeinden Bad Homburg v d Hohe','06'],
		'50092200' => ['Volksbank Main-Taunus Kelkheim [Taunus]','06'],
		'50092700' => ['Volksbank Dreieich Neu-Isenburg','06'],
		'50092900' => ['Volksbank Usinger Land Ndl d Frankfurter VB Usingen','06'],
		'50093000' => ['Russelsheimer Volksbank','06'],
		'50093400' => ['Volksbank Kelsterbach Ndl d Frankfurter VB','06'],
		'50110200' => ['Industrial and Commercial Bank of China Frankfurt am Main','10'],
		'50110300' => ['DVB Bank Frankfurt am Main','10'],
		'50110400' => ['AKA Ausfuhrkredit GmbH Frankfurt am Main','09'],
		'50110636' => ['DTC American Express Bank Frankfurt am Main','09'],
		'50110700' => ['Frankfurter Bankgesellschaft Frankfurt am Main','09'],
		'50110800' => ['J.P. Morgan Frankfurt am Main','09'],
		'50110900' => ['Bank of America N.A. Military Bank Wiesbaden','09'],
		'50120000' => ['MainFirst Bank Frankfurt am Main','09'],
		'50120200' => ['AXA Bank Frankfurt Frankfurt am Main','06'],
		'50120383' => ['Delbruck Bethmann Maffei Frankfurt, Main Frankfurt am Main','A3'],
		'50120400' => ['Berliner Bank Ndl d Landesbank Berlin Frankfurt am Main','69'],
		'50120500' => ['Credit Suisse [Deutschland] Frankfurt am Main','66'],
		'50120900' => ['VakifBank International Wien Zndl Frankfurt Frankfurt am Main','32'],
		'50130000' => ['National Bank of Pakistan Zndl Frankfurt Frankfurt am Main','09'],
		'50130100' => ['BethmannMaffei Bank -alt- Frankfurt am Main','09'],
		'50130200' => ['Oppenheim, Sal - jr & Cie Frankfurt am Main','09'],
		'50130400' => ['Merck Finck & Co Frankfurt am Main','10'],
		'50130600' => ['UBS Investment Bank Frankfurt am Main','09'],
		'50150000' => ['Westdeutsche Landesbank Ndl Frankfurt Frankfurt am Main','09'],
		'50190000' => ['Frankfurter Volksbank Frankfurt am Main','06'],
		'50190300' => ['Volksbank Hochst Frankfurt am Main','06'],
		'50190400' => ['Volksbank Griesheim Frankfurt am Main','06'],
		'50210111' => ['SEB TZN Clearing Frankfurt am Main','13'],
		'50210200' => ['Rabobank International Frankfurt am Main','18'],
		'50210300' => ['Eurohypo Eschborn, Taunus','09'],
		'50210400' => ['Eurohypo ehem Rheinische Hypothekenbank Eschborn, Taunus','09'],
		'50210900' => ['Citigroup Global Markets Deutschland Frankfurt am Main','06'],
		'50220085' => ['UBS Wealth Management Frankfurt am Main','09'],
		'50220200' => ['LGT Bank in Liechtenstein Frankfurt am Main','09'],
		'50220400' => ['Gontard & MetallBank Frankfurt am Main','72'],
		'50220800' => ['Emporiki Bank Germany Frankfurt am Main','06'],
		'50220900' => ['Hauck & Aufhauser Privatbankiers Frankfurt am Main','00'],
		'50230000' => ['ABC International Bank Frankfurt am Main','00'],
		'50230100' => ['Morgan Stanley Bank Internaional Frankfurt am Main','09'],
		'50230200' => ['DIF Bank Bad Homburg v d Hohe','09'],
		'50230300' => ['YAPI KREDI BANK Deutschland Frankfurt am Main','06'],
		'50230400' => ['ABN AMRO Bank Ndl Deutschland Frankfurt am Main','10'],
		'50230600' => ['Isbank Frankfurt am Main','06'],
		'50230700' => ['Metzler, B. - seel Sohn & Co Frankfurt am Main','00'],
		'50230880' => ['HSBC Trinkaus & Burkhardt Frankfurt am Main','56'],
		'50310300' => ['Nationalbank von Griechenland Frankfurt am Main','09'],
		'50310400' => ['Barclays Bank Frankfurt Frankfurt am Main','46'],
		'50310455' => ['Reiseschecks - Barclays Bank Frankfurt Frankfurt am Main','46'],
		'50310900' => ['China Construction Bank Ndl Frankfurt Frankfurt am Main','09'],
		'50320000' => ['Ost-West Handelsbank Frankfurt am Main','00'],
		'50320191' => ['Bayer Hypo- und Vereinsbank Frankfurt am Main','99'],
		'50320200' => ['INVESCO Bank Frankfurt am Main','97'],
		'50320300' => ['Lombardkasse in Liquidation Frankfurt am Main','09'],
		'50320500' => ['Banco Santander Central Hispano, Fil Frankfurt Frankfurt am Main','00'],
		'50320900' => ['Pictet & Cie [Europe] Frankfurt am Main','09'],
		'50330000' => ['State Bank of India Frankfurt am Main','06'],
		'50330200' => ['MHB Mitteleuropaische Handelsbank Frankfurt am Main','06'],
		'50330300' => ['Bank of New York Frankfurt am Main','09'],
		'50330600' => ['Bank Sepah-Iran Frankfurt am Main','09'],
		'50330700' => ['KarstadtQuelle Bank Neu-Isenburg','09'],
		'50330800' => ['Mizuho Corporate Bank [Germany] Frankfurt am Main','09'],
		'50400000' => ['Bundesbank Zentrale Frankfurt am Main','09'],
		'50510111' => ['SEB Offenbach am Main','13'],
		'50520000' => ['Honda Bank Offenbach am Main','00'],
		'50520190' => ['Bayer Hypo- und Vereinsbank Offenbach am Main','99'],
		'50530000' => ['Cronbank Dreieich','06'],
		'50530001' => ['CRONBANK Zw CS Dreieich','06'],
		'50540028' => ['Commerzbank Offenbach am Main','13'],
		'50550020' => ['Stadtische Sparkasse Offenbach Offenbach am Main','06'],
		'50560102' => ['Raiffeisenbank Offenbach/M.-Bieber Offenbach am Main','32'],
		'50561315' => ['Vereinigte Volksbank Maingau Obertshausen','32'],
		'50561908' => ['Volksbank Obertshausen -alt-','32'],
		'50570018' => ['Deutsche Bank Offenbach am Main','63'],
		'50570024' => ['Deutsche Bank Privat und Geschaftskunden Offenbach am Main','63'],
		'50580005' => ['Dresdner Bank Offenbach am Main','76'],
		'50590000' => ['Offenbacher Volksbank -alt- Offenbach am Main','06'],
		'50592200' => ['Volksbank Dreieich','32'],
		'50600000' => ['Bundesbank eh Hanau Frankfurt am Main','09'],
		'50620700' => ['Hanseatic Bank Hanau','09'],
		'50640015' => ['Commerzbank Hanau','13'],
		'50650023' => ['Sparkasse Hanau','00'],
		'50652124' => ['Sparkasse Langen-Seligenstadt Seligenstadt, Hess','00'],
		'50661639' => ['Volksbank Raiffeisenbank Main-Kinzig Langenselbold','32'],
		'50661816' => ['Volksbank Heldenbergen Ndl d Frankfurter VB Nidderau, Hess','06'],
		'50662299' => ['Raiffeisenbank Bruchkobel -alt-','32'],
		'50662669' => ['Raiffeisenbank Maintal Ndl d Frankfurter VB','32'],
		'50663699' => ['Raiffeisenbank Rodenbach b Hanau','32'],
		'50670009' => ['Deutsche Bank Hanau','63'],
		'50670024' => ['Deutsche Bank Privat und Geschaftskunden Hanau','63'],
		'50680002' => ['Dresdner Bank Hanau','76'],
		'50690000' => ['Volksbank Raiffeisenbank Hanau Ndl d Frankf VB','32'],
		'50691300' => ['DZB Die Zentralregulierungsbank Mainhausen','09'],
		'50692100' => ['Volksbank Seligenstadt Seligenstadt, Hess','06'],
		'50750094' => ['Kreissparkasse Gelnhausen','01'],
		'50761333' => ['Volksbank Budingen, Hess','06'],
		'50761476' => ['Raiffeisenbank Bad Soden-Salmunster','32'],
		'50761613' => ['Volksbank Budingen Nidda','32'],
		'50762649' => ['VR Bank Bad Orb-Gelnhausen','32'],
		'50763189' => ['Volksbank Raiffeisenbank Main-Kinzig-alt- Linsengericht','32'],
		'50763319' => ['Raiffeisenbank Vogelsberg Birstein','32'],
		'50780006' => ['Dresdner Bank Gelnhausen','76'],
		'50790000' => ['VR Bank Bad Orb-Gelnhausen','09'],
		'50793200' => ['VR Bank Bad Orb-Gelnhausen','06'],
		'50793300' => ['Birsteiner Volksbank','06'],
		'50794300' => ['VR Bank Wachtersbach/Bad Soden-Salmunster','32'],
		'50800000' => ['Bundesbank Darmstadt','09'],
		'50810900' => ['DBS Deutsche Bausparkasse Darmstadt','09'],
		'50820292' => ['Bayer Hypo- und Vereinsbank Darmstadt','99'],
		'50835800' => ['MKG Bank Trebur','09'],
		'50840005' => ['Commerzbank Darmstadt','13'],
		'50850049' => ['Hessische Landesbank -Girozentrale- Darmstadt','00'],
		'50850150' => ['Stadt- und Kreis-Sparkasse Darmstadt','06'],
		'50851952' => ['Sparkasse Odenwaldkreis Erbach, Odenw','00'],
		'50852553' => ['Kreissparkasse Gro?-Gerau','00'],
		'50852651' => ['Sparkasse Dieburg Gro?-Umstadt','00'],
		'50861393' => ['Spar- und Darlehnskasse Zell Bad Konig','32'],
		'50861501' => ['Raiffeisenbank Nordliche Bergstra?e Alsbach-Hahnlein','32'],
		'50861608' => ['Bischofsheimer Volksbank Bischofsheim b Russelsheim','32'],
		'50862311' => ['Volksbank Grafenhausen Weiterstadt','32'],
		'50862408' => ['Vereinigte Volksbank Griesheim-Weiterstadt Griesheim, Hess','32'],
		'50862703' => ['Volksbank Gersprenztal-Otzberg Reinheim, Odenw','32'],
		'50862835' => ['Raiffeisenbank Schaafheim','32'],
		'50862903' => ['Volksbank Mainspitze Ginsheim-Gustavsburg','32'],
		'50863317' => ['Volksbank Jugenheim Seeheim-Jugenheim','32'],
		'50863513' => ['Volksbank Odenwald Michelstadt','32'],
		'50863906' => ['Volksbank Modautal Modau Ober-Ramstadt','32'],
		'50864322' => ['Volksbank Modau Ober-Ramstadt','32'],
		'50864421' => ['Vereinigte Volksbank -alt- Rodgau','32'],
		'50864808' => ['Volksbank Seeheim Seeheim-Jugenheim','32'],
		'50865224' => ['VB Morfelden-Walldorf Ndl d Frankfurter VB','32'],
		'50865503' => ['Volksbank Eppertshausen','32'],
		'50870005' => ['Deutsche Bank Darmstadt','63'],
		'50870024' => ['Deutsche Bank Privat und Geschaftskunden Darmstadt','63'],
		'50880050' => ['Dresdner Bank Darmstadt','76'],
		'50890000' => ['Volksbank Darmstadt','06'],
		'50890634' => ['Deutsche Apotheker- und Arztebank Darmstadt','14'],
		'50890800' => ['BBBank Zndl Hessen/Rheinland-Pfalz Darmstadt','32'],
		'50892500' => ['Gro?-Gerauer Volksbank','06'],
		'50950068' => ['Sparkasse Bensheim','00'],
		'50951469' => ['Sparkasse Starkenburg Heppenheim [Bergstra?e]','01'],
		'50960101' => ['Volksbank Bergstra?e Bensheim','32'],
		'50961206' => ['Raiffeisenbank Ried Burstadt','32'],
		'50961312' => ['Raiffeisenbank Gro?-Rohrheim','32'],
		'50961592' => ['Volksbank Weschnitztal Rimbach, Odenw','32'],
		'50961685' => ['Volksbank Uberwald-Gorxheimertal Abtsteinach','32'],
		'50970004' => ['Deutsche Bank Bensheim','63'],
		'50970024' => ['Deutsche Bank Privat und Geschaftskunden Bensheim','63'],
		'50991400' => ['Volksbank Kreis Bergstra?e Lampertheim, Hess','06'],
		'51000000' => ['Bundesbank eh Wiesbaden','09'],
		'51010111' => ['SEB Wiesbaden','13'],
		'51010400' => ['Aareal Bank Wiesbaden','09'],
		'51010600' => ['Aareal Hyp Wiesbaden','09'],
		'51010800' => ['Aareal Bank Zw L Wiesbaden','09'],
		'51020000' => ['BHF-BANK Wiesbaden','60'],
		'51020186' => ['Bayer Hypo- und Vereinsbank Wiesbaden','99'],
		'51030000' => ['Privatbank Reithinger Ndl Wiesbaden','09'],
		'51040038' => ['Commerzbank Wiesbaden','13'],
		'51050015' => ['Nassauische Sparkasse Wiesbaden','A2'],
		'51060225' => ['Raiffeisenbank Wiesbaden','32'],
		'51060328' => ['Raiffeisenbank Wiesbaden-Frauenstein','32'],
		'51070021' => ['Deutsche Bank Wiesbaden','63'],
		'51070024' => ['Deutsche Bank Privat und Geschaftskunden Wiesbaden','63'],
		'51080060' => ['Dresdner Bank Wiesbaden','76'],
		'51089410' => ['Dresdner Bank ITGK Wiesbaden','09'],
		'51090000' => ['Wiesbadener Volksbank','06'],
		'51090636' => ['Deutsche Apotheker- und Arztebank Wiesbaden','14'],
		'51091400' => ['Volksbank Eltville Eltville am Rhein','06'],
		'51091500' => ['Rheingauer Volksbank Geisenheim, Rheingau','06'],
		'51091700' => ['vr bank Untertaunus Idstein','06'],
		'51091711' => ['Bank f Orden u Mission Zndl vr bk Untertaunus Idstein','06'],
		'51140029' => ['Commerzbank Limburg a d Lahn','13'],
		'51150018' => ['Kreissparkasse Limburg Limburg a d Lahn','00'],
		'51151919' => ['Kreissparkasse Weilburg','00'],
		'51161606' => ['Volksbank Langendernbach Dornburg, Westerw','32'],
		'51170010' => ['Deutsche Bank Limburg a d Lahn','63'],
		'51170024' => ['Deutsche Bank Privat und Geschaftskunden Limburg a d Lahn','63'],
		'51180041' => ['Dresdner Bank Limburg a d Lahn','76'],
		'51190000' => ['Vereinigte Volksbank Limburg Limburg a d Lahn','06'],
		'51191200' => ['Volksbank Goldner Grund Bad Camberg','06'],
		'51191800' => ['Volksbank Schupbach Beselich','06'],
		'51192200' => ['Volks- und Raiffeisenbank Weilmunster -alt-','32'],
		'51210200' => ['MONTE DEI PASCHI Frankfurt am Main','09'],
		'51210300' => ['Citigroup Global Markets Deutschland Frankfurt am Main','09'],
		'51210600' => ['BNP PARIBAS Ndl Frankfurt, Main Frankfurt am Main','00'],
		'51210800' => ['Societe Generale Frankfurt am Main','09'],
		'51220200' => ['SEB Merchant Banking Frankfurt am Main','09'],
		'51220300' => ['Baden-Wurttembergische Bank Frankfurt am Main','65'],
		'51220400' => ['Bank Saderat Iran Frankfurt am Main','09'],
		'51220500' => ['Anglo-Romanian Bank Ndl Frankfurt Frankfurt am Main','09'],
		'51220700' => ['ZIRAAT BANK International Frankfurt am Main','09'],
		'51220800' => ['Banco do Brasil Frankfurt am Main','09'],
		'51220900' => ['Morgan Stanley Bank Frankfurt am Main','09'],
		'51230000' => ['RBS RD Europe Ndl Frankfurt Frankfurt am Main','09'],
		'51230100' => ['Eurohypo Eschborn, Taunus','09'],
		'51230400' => ['ABN AMRO Bank Deutschland Frankfurt am Main','10'],
		'51230500' => ['American Express Bank Frankfurt am Main','09'],
		'51230502' => ['ETC American Express Bank Frankfurt am Main','09'],
		'51230600' => ['ARABBANK Frankfurt Frankfurt am Main','09'],
		'51230800' => ['XCOM Bank Ndl Dreieich','01'],
		'51250000' => ['Taunus-Sparkasse Bad Homburg v d Hohe','06'],
		'51300000' => ['Bundesbank Gie?en, Lahn','09'],
		'51310111' => ['SEB Gie?en, Lahn','13'],
		'51340013' => ['Commerzbank Gie?en, Lahn','13'],
		'51343224' => ['Commerzbank Alsfeld','13'],
		'51350025' => ['Sparkasse Gie?en Gie?en, Lahn','10'],
		'51351526' => ['Sparkasse Grunberg Grunberg, Hess','00'],
		'51352227' => ['Sparkasse Laubach-Hungen Laubach, Hess','00'],
		'51360331' => ['Volksbank Wieseck Gie?en, Lahn','32'],
		'51361021' => ['Volksbank Heuchelheim Heuchelheim, Kr Gie?en','32'],
		'51361704' => ['Volksbank Holzheim Pohlheim','32'],
		'51361902' => ['Volksbank Gleiberger Land Wettenberg, Hess','32'],
		'51362514' => ['Volksbank Nieder-Ohmen Mucke','32'],
		'51362617' => ['Volksbank Busecker Tal Reiskirchen, Wieseck','32'],
		'51363407' => ['Volksbank Garbenteich Pohlheim','32'],
		'51363542' => ['Volksbank Leihgestern Linden, Hessen','32'],
		'51370008' => ['Deutsche Bank Gie?en, Lahn','63'],
		'51370024' => ['Deutsche Bank Privat und Geschaftskunden Gie?en, Lahn','63'],
		'51380040' => ['Dresdner Bank Gie?en, Lahn','76'],
		'51390000' => ['Volksbank Gie?en Gie?en, Lahn','06'],
		'51410111' => ['SEB direct Frankfurt am Main','13'],
		'51410200' => ['Banca di Roma Zndl. Frankfurt am Main','09'],
		'51410600' => ['Merrill Lynch Capital Markets Bank Frankfurt am Main','09'],
		'51410700' => ['Bank of China Frankfurt am Main','09'],
		'51410800' => ['BOURSORAMA Zndl Frankfurt Frankfurt am Main','09'],
		'51420200' => ['Misr Bank-Europe Frankfurt am Main','09'],
		'51420300' => ['Bank Julius Bar [Deutschland] Frankfurt am Main','09'],
		'51420600' => ['Svenska Handelsbanken Ndl Frankfurt Frankfurt am Main','09'],
		'51430300' => ['Nordea Bank Finnland Frankfurt am Main','09'],
		'51430400' => ['Goldman, Sachs & Co Frankfurt am Main','09'],
		'51540037' => ['Commerzbank Wetzlar','13'],
		'51550035' => ['Sparkasse Wetzlar','00'],
		'51560231' => ['Volksbank Wetzlar-Weilburg','32'],
		'51570008' => ['Deutsche Bank Wetzlar','63'],
		'51570024' => ['Deutsche Bank Privat und Geschaftskunden Wetzlar','63'],
		'51580044' => ['Dresdner Bank Wetzlar','76'],
		'51591300' => ['Volksbank Brandoberndorf Waldsolms','06'],
		'51640043' => ['Commerzbank Dillenburg','13'],
		'51650045' => ['Bezirkssparkasse Dillenburg','00'],
		'51690000' => ['Volksbank Dill VB und Raiffbk Dillenburg','06'],
		'51691500' => ['Volksbank Herborn-Eschenburg Herborn, Hess','06'],
		'51752267' => ['Sparkasse Battenberg Battenberg [Eder]','00'],
		'51762434' => ['VR Bank Biedenkopf-Gladenbach','06'],
		'51850079' => ['Sparkasse Wetterau Friedberg [Hessen]','06'],
		'51861325' => ['BVB Volksbank Ndl d Frankfurter Volksbank Bad Vilbel','06'],
		'51861403' => ['Volksbank Butzbach','32'],
		'51861616' => ['Landbank Horlofftal Reichelsheim [Wetterau]','32'],
		'51861806' => ['Volksbank Ober-Morlen','32'],
		'51862677' => ['Weiseler Volksbank Butzbach','32'],
		'51890000' => ['Wetterauer Volksbank Friedberg [Hessen]','06'],
		'51961023' => ['Volksbank Ulrichstein','32'],
		'51961424' => ['Vogelsberger Volksbank Schotten, Hess','32'],
		'51961515' => ['Spar- und Darlehnskasse Stockhausen Herbstein','32'],
		'51961801' => ['Volksbank Feldatal','32'],
		'51990000' => ['Volksbank Lauterbach-Schlitz Lauterbach [Hessen]','06'],
		'52000000' => ['Bundesbank Kassel, Hess','09'],
		'52010111' => ['SEB Kassel, Hess','13'],
		'52020000' => ['Wintershall Bank Kassel, Hess','09'],
		'52040021' => ['Commerzbank Kassel, Hess','13'],
		'52050000' => ['Landeskreditkasse Kassel Kassel, Hess','00'],
		'52050353' => ['Kasseler Sparkasse Kassel, Hess','05'],
		'52051373' => ['Stadtsparkasse Borken Borken [Hessen]','00'],
		'52051555' => ['Stadtsparkasse Felsberg Felsberg, Hess','00'],
		'52051877' => ['Stadtsparkasse Grebenstein','00'],
		'52052154' => ['Kreissparkasse Schwalm-Eder Melsungen','00'],
		'52053458' => ['Stadtsparkasse Schwalmstadt','00'],
		'52060000' => ['DZ BANK Kassel, Hess','09'],
		'52060208' => ['Kurhessische Landbank Kassel, Hess','32'],
		'52060400' => ['Evangelische Kreditgenossenschaft Gf, Kassel, Hess', '32'],
		'52060410' => ['Evangelische Kreditgenossenschaft Kassel, Hess','32'],
		'52061210' => ['Genossenschaftsbank Bad Wildungen','32'],
		'52061303' => ['Raiffeisenbank Borken Borken [Hessen]','32'],
		'52062200' => ['VR-Bank Chattengau Gudensberg','32'],
		'52062547' => ['Raiffeisenbank Hofgeismar','32'],
		'52062601' => ['VR-Bank Schwalm-Eder Homberg [Efze]','32'],
		'52063369' => ['VR-Bank Spangenberg-Morschen Spangenberg, Hess','32'],
		'52063550' => ['Raiffeisenbank Wolfhagen','32'],
		'52063608' => ['Volksbank Raiffeisenbank Werra-Mei?ner Witzenhausen','32'],
		'52064156' => ['Raiffeisenbank Baunatal','32'],
		'52065220' => ['Raiffeisenbank Calden, Hess','32'],
		'52069013' => ['Raiffeisenbank Burghaun','32'],
		'52069029' => ['Spar- und Kredit-Bank Gemunden [Wohra]','32'],
		'52069065' => ['Raiffeisenbank Langenschwarz Burghaun','32'],
		'52069082' => ['Raiffeisenbank Oberlistingen-alt- Breuna','32'],
		'52069103' => ['Raiffeisenbank Trendelburg','32'],
		'52069129' => ['Raiffeisenbank Freienhagen-Horinghausen Waldeck, Hess','32'],
		'52069149' => ['Raiffeisenbank Volkmarsen','32'],
		'52069183' => ['Raiffeisenbank Bottendorf -alt- Burgwald, Eder','32'],
		'52069503' => ['Raiffeisenbank Ulmbach Steinau an der Stra?e','32'],
		'52069519' => ['Frankenberger Bank Raiffeisenbank Frankenberg [Eder]','32'],
		'52070012' => ['Deutsche Bank Kassel, Hess','63'],
		'52070024' => ['Deutsche Bank Privat und Geschaftskunden Kassel, Hess','63'],
		'52071212' => ['Deutsche Bank Bad Wildungen','63'],
		'52071224' => ['Deutsche Bank Privat und Geschaftskunden Bad Wildungen','63'],
		'52080080' => ['Dresdner Bank Kassel, Hess','76'],
		'52090000' => ['Kasseler Bank Kassel, Hess','06'],
		'52090500' => ['Sparda-Bank Kassel Kassel, Hess','80'],
		'52090611' => ['Deutsche Apotheker- und Arztebank Kassel, Hess','14'],
		'52092400' => ['Volksbank Raiffeisenbank Werra-Mei?ner Hessisch Lichtenau','06'],
		'52240006' => ['Commerzbank Eschwege','13'],
		'52250030' => ['Sparkasse Werra-Mei?ner Eschwege','00'],
		'52260385' => ['Volksbank Raiffeisenbank Werra-Mei?ner Eschwege','32'],
		'52270012' => ['Deutsche Bank Eschwege','63'],
		'52270024' => ['Deutsche Bank Privat und Geschaftskunden Eschwege','63'],
		'52350005' => ['Sparkasse Waldeck-Frankenberg Korbach','00'],
		'52360059' => ['Waldecker Bank Korbach','32'],
		'52410200' => ['Bankgesellschaft Berlin Ndl Frankfurt Frankfurt am Main','69'],
		'52410300' => ['Reisebank Frankfurt am Main','09'],
		'52410400' => ['Korea Exchange Bank [Deutschland] Frankfurt am Main','19'],
		'52410600' => ['FIMAT Intern Banque Frankfurt am Main','09'],
		'52410700' => ['Fortis Bank Global Clearing, Frankfurt, Main Frankfurt am Main','09'],
		'52410900' => ['Maple Bank Frankfurt am Main','09'],
		'52420000' => ['Calyon Frankfurt am Main','09'],
		'52420300' => ['Chohung Bank [Deutschland] Frankfurt am Main','09'],
		'52420600' => ['Agricultural Bank of Greece Frankfurt Branch Frankfurt am Main','30'],
		'52420700' => ['SECB Swiss Euro Clearing Bank Frankfurt am Main','09'],
		'52430000' => ['Credit Mutuel - BECM - Ndl Deutschland Frankfurt am Main','00'],
		'52430100' => ['Banque Federative Credit Mutuel Ndl Deutschl Frankfurt am Main','09'],
		'53000000' => ['Bundesbank eh Fulda Kassel, Hess','09'],
		'53040012' => ['Commerzbank Fulda','13'],
		'53050180' => ['Sparkasse Fulda','01'],
		'53051130' => ['Sparkasse Vogelsbergkreis Hs Lauterbach [Hessen]','21'],
		'53051396' => ['Kreissparkasse Schluchtern','01'],
		'53060180' => ['VR Genossenschaftsbank Fulda','32'],
		'53061230' => ['VR-Bank Nordrhon Hunfeld','32'],
		'53061313' => ['Volksbank Raiffeisenbank Schluchtern','32'],
		'53062035' => ['Raiffeisenbank Gro?enluder','32'],
		'53062350' => ['Raiffeisenbank Biebergrund-Petersberg Petersberg, Kr Fulda','32'],
		'53063446' => ['Raiffeisenbank Hohe Rhon Ehrenberg-Hilders','32'],
		'53064023' => ['Raiffeisenbank Flieden','32'],
		'53070007' => ['Deutsche Bank Fulda','63'],
		'53070024' => ['Deutsche Bank Privat und Geschaftskunden Fulda','63'],
		'53080030' => ['Dresdner Bank Fulda','76'],
		'53093200' => ['VR Bank Alsfeld','32'],
		'53200000' => ['Bundesbank eh Bad Hersfeld Kassel, Hess','09'],
		'53240048' => ['Commerzbank Bad Hersfeld','13'],
		'53250000' => ['Sparkasse Bad Hersfeld-Rotenburg','A6'],
		'53260145' => ['Raiffeisenbank Bad Hersfeld-Asbach','32'],
		'53261202' => ['Bankverein Bebra','32'],
		'53261342' => ['Raiffeisenbank Werratal-Landeck Zw Heringen [Werra]','32'],
		'53261700' => ['Raiffeisenbank Aulatal Kirchheim, Hess','32'],
		'53262073' => ['Raiffeisenbank Haunetal','32'],
		'53262339' => ['Raiffeisenbank Grundchen -alt- Grebenau, Hess','32'],
		'53262455' => ['Raiffeisenbank Ronshausen-Honebach-Marksuhl','32'],
		'53270012' => ['Deutsche Bank Bad Hersfeld','63'],
		'53270024' => ['Deutsche Bank Privat und Geschaftskunden Bad Hersfeld','63'],
		'53280081' => ['Dresdner Bank Bad Hersfeld','76'],
		'53290000' => ['VR-Bank Bad Hersfeld-Rotenburg','06'],
		'53340024' => ['Commerzbank Marburg','13'],
		'53350000' => ['Sparkasse Marburg-Biedenkopf','06'],
		'53361724' => ['Raiffeisenbank Ebsdorfergrund','32'],
		'53362567' => ['Raiffeisenbank Wetter Wetter [Hessen]','32'],
		'53370008' => ['Deutsche Bank Marburg','63'],
		'53370024' => ['Deutsche Bank Privat und Geschaftskunden Marburg','63'],
		'53380042' => ['Dresdner Bank Marburg','76'],
		'53381843' => ['Dresdner Bank Stadtallendorf','76'],
		'53390000' => ['Marburger Bank','06'],
		'53390635' => ['Deutsche Apotheker- und Arztebank Marburg','14'],
		'54000000' => ['Bundesbank Kaiserslautern','09'],
		'54020090' => ['Bayer Hypo- und Vereinsbank Kaiserslautern','99'],
		'54020474' => ['Bayer Hypo- und Vereinsbank Ndl 697 Kais Aschheim','70'],
		'54030011' => ['Service Credit Union Overseas Headquarters Kaiserslautern','09'],
		'54040042' => ['Commerzbank Kaiserslautern','13'],
		'54050110' => ['Stadtsparkasse Kaiserslautern','00'],
		'54050220' => ['Kreissparkasse Kaiserslautern','00'],
		'54051550' => ['Kreissparkasse Kusel','00'],
		'54051660' => ['Stadtsparkasse Landstuhl','02'],
		'54051990' => ['Sparkasse Donnersberg Rockenhausen','00'],
		'54061650' => ['VR-Bank Westpfalz Landstuhl','32'],
		'54062027' => ['Raiffeisenbank Donnersberg Albisheim [Pfrimm]','32'],
		'54070024' => ['Deutsche Bank Privat und Geschaftskunden Kaiserslautern','63'],
		'54070092' => ['Deutsche Bank Kaiserslautern','63'],
		'54080021' => ['Dresdner Bank Kaiserslautern','76'],
		'54090000' => ['Volksbank Kaiserslautern','06'],
		'54091700' => ['Volksbank Lauterecken','06'],
		'54091800' => ['VR Bank Nordwestpfalz Rockenhausen','06'],
		'54092400' => ['Volksbank Glan-Munchweiler','06'],
		'54210111' => ['SEB Pirmasens','13'],
		'54220091' => ['Bayer Hypo- und Vereinsbank Pirmasens','99'],
		'54220576' => ['Bayer Hypo- und Vereinsbank Ndl 358 Pirm Aschheim','70'],
		'54240032' => ['Commerzbank Pirmasens','13'],
		'54250010' => ['Sparkasse Sudwestpfalz Pirmasens','00'],
		'54261700' => ['VR-Bank Sudwestpfalz Zweibrucken, Pfalz','32'],
		'54261900' => ['Genossenschaftsbank Sudliche Westpfalz -alt- Waldfischbach-Burgalben','32'],
		'54262330' => ['Raiffeisenbank Vinningen -alt-','32'],
		'54270024' => ['Deutsche Bank Privat und Geschaftskunden Pirmasens','63'],
		'54270096' => ['Deutsche Bank Pirmasens','63'],
		'54280023' => ['Dresdner Bank Pirmasens','76'],
		'54290000' => ['VR-Bank Pirmasens','06'],
		'54291200' => ['Raiffeisen- u Volksbank Dahn','32'],
		'54350010' => ['Stadtsparkasse Zweibrucken Zweibrucken, Pfalz','02'],
		'54390000' => ['Volksbank Zweibrucken Zweibrucken, Pfalz','06'],
		'54500000' => ['Bundesbank Ludwigshafen am Rhein','09'],
		'54510067' => ['Postbank Ludwigshafen am Rhein','24'],
		'54520071' => ['Bayer Hypo- und Vereinsbank Ndl 650 Lu Aschheim','70'],
		'54520194' => ['Bayer Hypo- und Vereinsbank Ludwigshafen am Rhein','99'],
		'54530001' => ['Furstlich Castellsche Bank -alt- Ludwigshafen am Rhein','09'],
		'54540033' => ['Commerzbank Ludwigshafen am Rhein','13'],
		'54550010' => ['Stadtsparkasse Ludwigshafen Ludwigshafen am Rhein','00'],
		'54550120' => ['Kreissparkasse Rhein-Pfalz Ludwigshafen am Rhein','00'],
		'54551030' => ['Stadtsparkasse Frankenthal -alt- Frankenthal [Pfalz]','00'],
		'54560320' => ['VR Bank Ludwigshafen Ludwigshafen am Rhein','32'],
		'54561310' => ['RV Bank Rhein-Haardt Lambsheim','32'],
		'54561510' => ['Raiffeisenbank Weisenheim -alt- Weisenheim am Sand','32'],
		'54561640' => ['Raiffeisenbank Maxdorf, Pfalz -alt-','32'],
		'54570024' => ['Deutsche Bank Privat und Geschaftskunden Ludwigshafen am Rhein','63'],
		'54570094' => ['Deutsche Bank Ludwigshafen am Rhein','63'],
		'54580020' => ['Dresdner Bank Ludwigshafen am Rhein','76'],
		'54590800' => ['BBBank Zndl Bayern Ludwigshafen am Rhein','32'],
		'54591200' => ['Volksbank Grunstadt -alt-','06'],
		'54620093' => ['Bayer Hypo- und Vereinsbank Neustadt an der Weinstra?e','99'],
		'54620574' => ['Bayer Hypo- und Vereinsbank Ndl 660 Ne/W Aschheim','70'],
		'54640035' => ['Commerzbank Neustadt an der Weinstra?e','13'],
		'54651240' => ['Sparkasse Rhein-Haardt Bad Durkheim','00'],
		'54660110' => ['Raiffeisenbank Neustadt, Wstr-Sud Neustadt an der Weinstra?e','32'],
		'54661108' => ['Raiffeisenbank Ha?loch-Meckenheim Ha?loch, Pfalz','32'],
		'54661800' => ['Raiffeisenbank Freinsheim','32'],
		'54662160' => ['Raiffeisenbk Mittelhaardt Neustadt-Deide -alt- Deidesheim','32'],
		'54663270' => ['Raiffeisenbank Friedelsheim-Rodersheim','09'],
		'54670024' => ['Deutsche Bank Privat und Geschaftskunden Neustadt an der Weinstra?e','63'],
		'54670095' => ['Deutsche Bank Neustadt an der Weinstra?e','63'],
		'54680022' => ['Dresdner Bank Neustadt an der Weinstra?e','76'],
		'54690623' => ['Deutsche Apotheker- und Arztebank Neustadt an der Weinstra?e','14'],
		'54691200' => ['VR Bank Mittelhaardt Bad Durkheim','06'],
		'54691300' => ['Volksbank Raiffeisenbank Edenkoben-Maikammer','32'],
		'54750010' => ['Kreis- und Stadtsparkasse Speyer','00'],
		'54751440' => ['Stadtsparkasse Schifferstadt','00'],
		'54760900' => ['Evangelische Kreditgenossenschaft Speyer','32'],
		'54761411' => ['Raiffeisenbank Schifferstadt','32'],
		'54790000' => ['Volksbank Speyer-Neustadt-Hockenheim','06'],
		'54820674' => ['Bayer Hypo- und Vereinsbank Ndl 659 Lan/P Aschheim','70'],
		'54850010' => ['Sparkasse Sudliche Weinstra?e in Landau Landau in der Pfalz','00'],
		'54851440' => ['Sparkasse Germersheim-Kandel Kandel, Pfalz','00'],
		'54861080' => ['Raiffeisenbank Sudliche Weinstra?e Billigheim Billigheim-Ingenheim','32'],
		'54861190' => ['Raiffeisenbank Oberhaardt-Gau Edesheim, Pfalz','32'],
		'54862390' => ['Raiffeisenbank Herxheim bei Landau, Pfalz','32'],
		'54862500' => ['VR Bank Sudpfalz Landau in der Pfalz','32'],
		'54863370' => ['Raiffeisenbank Hayna -alt- Herxheim bei Landau, Pfalz','32'],
		'54891300' => ['VR Bank Sudliche Weinstra?e Bad Bergzabern','06'],
		'55000000' => ['Bundesbank Mainz a Rhein','09'],
		'55010111' => ['SEB Mainz a Rhein','13'],
		'55010400' => ['Aareal Bank GF Domestic Mainz a Rhein','01'],
		'55010424' => ['Aareal Bank Mainz a Rhein','09'],
		'55010625' => ['Aareal Bank Clearing Frankfurt am Main','09'],
		'55010800' => ['Investitions- und Strukturbank RP Mainz a Rhein','09'],
		'55020000' => ['BHF-BANK Mainz a Rhein','60'],
		'55020100' => ['Bausparkasse Mainz Mainz a Rhein','09'],
		'55020486' => ['Bayer Hypo- und Vereinsbank Mainz a Rhein','99'],
		'55020500' => ['Sozialbank Mainz a Rhein','09'],
		'55020600' => ['Westdeutsche Immobilien Bank Mainz a Rhein','08'],
		'55020700' => ['Sud-West-Kreditbank Finanzierung Bingen am Rhein','16'],
		'55030500' => ['Heller Bank Mainz a Rhein','09'],
		'55040022' => ['Commerzbank Mainz a Rhein','13'],
		'55050000' => ['LRP Landesbank Rheinland-Pfalz -Girozentrale- Mainz a Rhein','59'],
		'55050120' => ['Sparkasse Mainz Mainz a Rhein','00'],
		'55051260' => ['Kreissparkasse Alzey-alt-','00'],
		'55060321' => ['Volksbank Mainz-Finthen Mainz a Rhein','32'],
		'55060417' => ['VR-Bank Mainz Mainz a Rhein','32'],
		'55060611' => ['Genobank Mainz Mainz a Rhein','32'],
		'55060708' => ['Raiffeisen-Volksbank Mainz a Rhein','32'],
		'55060831' => ['Deutsche Apotheker- und Arztebank Mainz a Rhein','14'],
		'55061303' => ['Budenheimer Volksbank Budenheim b Mainz','32'],
		'55061507' => ['Raiffeisenbank Heidesheim am Rhein','32'],
		'55061907' => ['Volksbank Rhein-Selz Nierstein','32'],
		'55070024' => ['Deutsche Bank Privat und Geschaftskunden Mainz a Rhein','63'],
		'55070040' => ['Deutsche Bank Mainz a Rhein','63'],
		'55080065' => ['Dresdner Bank Mainz a Rhein','76'],
		'55090500' => ['Sparda-Bank Sudwest Mainz a Rhein','90'],
		'55091200' => ['Volksbank Alzey','06'],
		'55150098' => ['Clearingkonto LRP-SI Mainz a Rhein','09'],
		'55160195' => ['Pax-Bank Mainz a Rhein','06'],
		'55190000' => ['Mainzer Volksbank Mainz a Rhein','00'],
		'55190028' => ['Mainzer Volksbank Bingen am Rhein','00'],
		'55190050' => ['Mainzer Volksbank Oppenheim','00'],
		'55190064' => ['Mainzer Volksbank Hochheim am Main','00'],
		'55190065' => ['Mainzer Volksbank Ingelheim am Rhein','00'],
		'55190068' => ['Mainzer Volksbank Nieder-Olm','00'],
		'55190088' => ['Mainzer Volksbank Sprendlingen, Rheinhess','00'],
		'55190094' => ['Mainzer Volksbank Saulheim','00'],
		'55340041' => ['Commerzbank Worms','13'],
		'55350010' => ['Sparkasse Worms-Alzey-Ried','03'],
		'55360784' => ['Volksbank Rheindurkheim Worms','32'],
		'55361202' => ['Raiffeisenbank Alsheim-Gimbsheim Alsheim, Rheinhess','32'],
		'55361313' => ['Raiffeisenbank -alt- Gundersheim, Rheinhess','32'],
		'55361422' => ['Volksbank Wonnegau -alt- Osthofen, Rheinhess','32'],
		'55362071' => ['Volksbank Bechtheim Bechtheim, Rheinhess','32'],
		'55390000' => ['Volksbank Worms-Wonnegau','06'],
		'56000000' => ['Bundesbank eh Bad Kreuznach Mainz a Rhein','09'],
		'56020086' => ['Bayer Hypo- und Vereinsbank Bad Kreuznach','99'],
		'56050180' => ['Sparkasse Rhein-Nahe Bad Kreuznach','00'],
		'56051790' => ['Kreissparkasse Rhein-Hunsruck Simmern, Hunsruck','00'],
		'56061151' => ['Raiffeisenbank Kastellaun','38'],
		'56061472' => ['Volksbank Hunsruck Simmern, Hunsruck','38'],
		'56061744' => ['Hunsruck Bank Simmern, Hunsruck','40'],
		'56061974' => ['Volksbank Nahetal -alt- Stromberg, Hunsruck','38'],
		'56062227' => ['Volksbank Rheinbollen','40'],
		'56062577' => ['Vereinigte Raiffeisenkassen Weinsheim, Kr Bad Kreuznach','38'],
		'56070024' => ['Deutsche Bank Privat und Geschaftskunden Bad Kreuznach','63'],
		'56070040' => ['Deutsche Bank Bad Kreuznach','63'],
		'56090000' => ['Volksbank Nahetal Bad Kreuznach','09'],
		'56240050' => ['Commerzbank Idar-Oberstein','13'],
		'56250030' => ['Kreissparkasse Birkenfeld Idar-Oberstein','B2'],
		'56261073' => ['Volksbank Kirn-Sobernheim Kirn, Nahe','38'],
		'56261657' => ['Volksbank-Raiffeisenbank Naheland Hoppstadten-Weiersbach','38'],
		'56261735' => ['Raiffeisenbank Nahe Fischbach b Idar-Oberstein','38'],
		'56270024' => ['Deutsche Bank Privat und Geschaftskunden Idar-Oberstein','63'],
		'56270044' => ['Deutsche Bank Idar-Oberstein','63'],
		'56290000' => ['Volksbank-Raiffeisenbank Naheland Idar-Oberstein','06'],
		'57000000' => ['Bundesbank Koblenz am Rhein','09'],
		'57010111' => ['SEB Koblenz am Rhein','13'],
		'57020086' => ['Bayer Hypo- und Vereinsbank Koblenz am Rhein','99'],
		'57020301' => ['MKB Mittelrheinische Bank Koblenz am Rhein','09'],
		'57020500' => ['Oyak Anker Bank Koblenz am Rhein','09'],
		'57020600' => ['Debeka Bausparkasse Koblenz am Rhein','09'],
		'57040044' => ['Commerzbank Koblenz am Rhein','13'],
		'57050120' => ['Sparkasse Koblenz Koblenz am Rhein','00'],
		'57051001' => ['Kreissparkasse Westerwald Montabaur','00'],
		'57051870' => ['Kreissparkasse Cochem-Zell -alt-','00'],
		'57060000' => ['Westdeutsche Genossenschafts-Zentralbank Koblenz am Rhein','44'],
		'57060354' => ['Volksbank Koblenz Mittelrhein -alt- Koblenz am Rhein','64'],
		'57060612' => ['Deutsche Apotheker- und Arztebank Koblenz am Rhein','14'],
		'57062675' => ['Raiffeisenbank Niederwallmenach','38'],
		'57063478' => ['Volksbank Vallendar-Niederwerth','38'],
		'57063871' => ['Raiffeisenbank Staudt','38'],
		'57064221' => ['Volksbank Mulheim-Karlich','38'],
		'57069067' => ['Raiffeisenbank Lutzerather Hohe','38'],
		'57069081' => ['Raiffeisenbank Moselkrampen Ernst b Cochem','38'],
		'57069126' => ['Raiffeisenbank Koblenz-Horchheim Koblenz am Rhein','38'],
		'57069141' => ['Raiffeisenbank Kaifenheim','38'],
		'57069144' => ['Raiffeisenbank Kaisersesch','38'],
		'57069238' => ['Raiffeisenbank Neustadt Neustadt [Wied]','38'],
		'57069246' => ['Raiffeisenbank Rhens-Spay -alt- Spay, Rhein','09'],
		'57069257' => ['Raiffeisenbank Untermosel Treis-Karden','38'],
		'57069315' => ['Raiffeisenbank Stra?enhaus -alt- Stra?enhaus, Westerw','38'],
		'57069361' => ['Raiffeisenbank Welling Welling b Mayen','38'],
		'57069362' => ['Raiffeisenbank Wershofen','38'],
		'57069372' => ['Wirgeser Bank','38'],
		'57069502' => ['Raiffeisenbank Niederbrombach','38'],
		'57069526' => ['Raiffeisenbank Idarwald Rhaunen, Hunsruck','38'],
		'57069617' => ['Raiffeisenbank Alftal Bausendorf','38'],
		'57069632' => ['Raiffeisenbank Bleialf','38'],
		'57069727' => ['Raiffeisenbank Irrel','38'],
		'57069806' => ['VR-Bank Hunsruck-Mosel Morbach, Hunsruck','38'],
		'57069820' => ['Raiffeisenbank Neumagen-Dhron-alt-','38'],
		'57069858' => ['Raiffeisenbank Pronsfeld-Waxweiler Gs','38'],
		'57069898' => ['Raiffeisenkasse Strohn','38'],
		'57070024' => ['Deutsche Bank Privat und Geschaftskunden Koblenz am Rhein','63'],
		'57070045' => ['Deutsche Bank Koblenz am Rhein','63'],
		'57080070' => ['Dresdner Bank Koblenz am Rhein','76'],
		'57090000' => ['Volksbank Koblenz Mittelrhein Koblenz am Rhein','64'],
		'57090900' => ['PSD Bank Koblenz Koblenz am Rhein','91'],
		'57091000' => ['Volksbank Montabaur-Hohr-Grenzhausen','06'],
		'57091100' => ['Volksbank Hohr-Grenzhausen -alt-','06'],
		'57091500' => ['Volksbank Boppard Boppard, Rhein','38'],
		'57092400' => ['Kauber Volksbank','06'],
		'57092800' => ['Volksbank Rhein-Lahn Diez','06'],
		'57263015' => ['Raiffeisenbank Unterwesterwald Arzbach, Westerw','38'],
		'57292000' => ['Volksbank Westerwald Ransbach-Baumbach','06'],
		'57351030' => ['Kreissparkasse Altenkirchen Altenkirchen [Westerwald]','00'],
		'57361008' => ['Raiffeisenbank 2000 Westerwald Altenkirchen [Westerwald]','38'],
		'57361476' => ['Volksbank Gebhardshain','38'],
		'57363243' => ['Raiffeisenbank Niederfischbach','38'],
		'57391200' => ['Volksbank Daaden','06'],
		'57391500' => ['Volksbank Hamm, Sieg Hamm [Sieg]','06'],
		'57391700' => ['Volksbank Wissen Wissen, Sieg','06'],
		'57391800' => ['Westerwald Bank Hachenburg','06'],
		'57400000' => ['Bundesbank eh Neuwied Koblenz am Rhein','09'],
		'57450120' => ['Sparkasse Neuwied','00'],
		'57451410' => ['Stadtsparkasse Linz -alt- Linz a Rhein','00'],
		'57460117' => ['Volks- und Raiffeisenbank Neuwied-Linz','38'],
		'57461400' => ['Volksbank Linz Linz a Rhein','38'],
		'57461759' => ['Raiffeisenbank Mittelrhein Wei?enthurm, Rhein','09'],
		'57470024' => ['Deutsche Bank Privat und Geschaftskunden Neuwied','63'],
		'57470047' => ['Deutsche Bank Neuwied','63'],
		'57490000' => ['VBM Volksbank Mittelrhein -alt- Neuwied','09'],
		'57650010' => ['Kreissparkasse Mayen','00'],
		'57661253' => ['Raiffeisenbank Kehrig b Mayen','38'],
		'57662263' => ['VR Bank Rhein-Mosel Ochtendung','38'],
		'57690000' => ['Volksbank Vulkaneifel -alt- Mayen','38'],
		'57751310' => ['Kreissparkasse Ahrweiler Bad Neuenahr-Ahrweiler','00'],
		'57761591' => ['Volksbank RheinAhrEifel Bad Neuenahr-Ahrweiler','34'],
		'57762265' => ['Raiffeisenbank Grafschaft-Wachtberg Grafschaft b Bad Neuenahr-Ah','38'],
		'57791800' => ['VBM Volksbank Mittelrhein -alt- Sinzig, Rhein','09'],
		'58500000' => ['Bundesbank Trier','09'],
		'58510111' => ['SEB Trier','13'],
		'58520086' => ['Bayer Hypo- und Vereinsbank Trier','99'],
		'58540035' => ['Commerzbank Trier','13'],
		'58550130' => ['Sparkasse Trier','00'],
		'58560103' => ['Volksbank Trier','38'],
		'58560294' => ['Pax-Bank Trier','06'],
		'58560958' => ['Raiffeisenbank Trier','38'],
		'58561250' => ['Volksbank Hermeskeil -alt-','38'],
		'58561594' => ['Raiffeisenbank Schweich Schweich, Mosel','38'],
		'58561626' => ['Volksbank Saarburg Saarburg, Saar','38'],
		'58561771' => ['Raiffeisenbank Mehring-Leiwen','38'],
		'58563837' => ['Raiffeisenbank Oberemmel Konz','38'],
		'58564788' => ['Volksbank Hochwald Hermeskeil','38'],
		'58570024' => ['Deutsche Bank Privat und Geschaftskunden Trier','63'],
		'58570048' => ['Deutsche Bank Trier','63'],
		'58580074' => ['Dresdner Bank Trier','76'],
		'58590900' => ['PSD Bank Trier Ndl der PSD Bank Koln','91'],
		'58650030' => ['Kreissparkasse Bitburg-Prum','00'],
		'58651240' => ['Kreissparkasse Daun','00'],
		'58660101' => ['Volksbank Bitburg','38'],
		'58661901' => ['Raiffeisenbank Westeifel Arzfeld','38'],
		'58662653' => ['Raiffeisenbank ostl Sudeifel Dudeldorf','38'],
		'58663628' => ['Raiffeisenbank Biersdorf -alt- Biersdorf am See','38'],
		'58668818' => ['Raiffeisenbank Neuerburg-Land Neuerburg, Eifel','38'],
		'58691500' => ['Volksbank Eifel Mitte Prum','38'],
		'58751230' => ['Sparkasse Mittelmosel Bernkastel-Kues','00'],
		'58760954' => ['Raiffeisenbank Bernkastel-Wittlich','38'],
		'58761343' => ['Raiffeisenbank Zeller Land Briedel','38'],
		'58761475' => ['Raiffeisenbank Enkirch-alt-','38'],
		'58761587' => ['Raiffeisenbank Reil-Burg','38'],
		'58761760' => ['Raiffeisenbank Zeltingen-alt- Zeltingen-Rachtig','38'],
		'58761853' => ['Raiffeisenbank Krov','38'],
		'58771224' => ['Deutsche Bank Privat und Geschaftskunden Bernkastel-Kues','63'],
		'58771242' => ['Deutsche Bank Bernkastel-Kues','63'],
		'58790000' => ['Volksbank Traben-Trarbach-alt-','38'],
		'58790100' => ['Vereinigte Volksbank Cochem','06'],
		'59000000' => ['Bundesbank Saarbrucken','09'],
		'59010066' => ['Postbank Saarbrucken','24'],
		'59010111' => ['SEB Saarbrucken','13'],
		'59010400' => ['Saarl Investitionskreditbank Saarbrucken','32'],
		'59020090' => ['Bayer Hypo- und Vereinsbank Saarbrucken','99'],
		'59020700' => ['Hanseatic Bank Saarbrucken','09'],
		'59021000' => ['GMAC-RFC Bank Saarbrucken','09'],
		'59040000' => ['Commerzbank Saarbrucken','13'],
		'59050000' => ['Landesbank Saar Saarbrucken','27'],
		'59050101' => ['Sparkasse Saarbrucken','00'],
		'59051090' => ['Stadtsparkasse Volklingen','21'],
		'59052020' => ['SKG Bank Saarbrucken','00'],
		'59070000' => ['Deutsche Bank Saarbruecken Saarbrucken','63'],
		'59070070' => ['Deutsche Bank Privat und Geschaftskunden Saarbrucken','63'],
		'59080090' => ['Dresdner Bank Saarbrucken','76'],
		'59090500' => ['Sparda-Bank Saarbrucken -alt-','83'],
		'59090626' => ['Deutsche Apotheker- und Arztebank Saarbrucken','14'],
		'59090900' => ['PSD Bank RheinNeckarSaar Saarbrucken','91'],
		'59091000' => ['Volksbank Volklingen-Warndt','06'],
		'59091500' => ['Volksbank Sulzbachtal Sulzbach, Saar','06'],
		'59091800' => ['Volksbank Quierschied','06'],
		'59092000' => ['Volksbank Dudweiler Saarbrucken','06'],
		'59099330' => ['Volksbank Nonnweiler','09'],
		'59099470' => ['Theleyer Volksbank Tholey','06'],
		'59099480' => ['Volksbank Urexweiler-Marpingen','09'],
		'59099530' => ['Raiffeisenkasse Wiesbach Eppelborn','09'],
		'59099550' => ['Volksbank Nahe-Schaumberg Nohfelden','06'],
		'59190000' => ['Bank 1 Saar Saarbrucken','06'],
		'59190100' => ['VVBS Ver. Volksbanken Saarbrucken-St Ingbert','06'],
		'59190200' => ['Volksbank Saar-West Saarlouis','06'],
		'59251020' => ['Kreissparkasse St. Wendel St. Wendel, Saar','00'],
		'59252046' => ['Sparkasse Neunkirchen Neunkirchen, Saar','07'],
		'59290100' => ['Volksbank Neunkirchen Neunkirchen, Saar','06'],
		'59291000' => ['St. Wendeler Volksbank St. Wendel, Saar','06'],
		'59291200' => ['Volksbank Saarpfalz Bexbach','06'],
		'59291300' => ['Volksbank Spiesen-Elversberg -alt-','09'],
		'59291400' => ['Volksbank Heiligenwald -alt- Schiffweiler','06'],
		'59292400' => ['Eppelborner Volksbank -alt-','06'],
		'59300000' => ['Bundesbank eh Saarlouis Saarbrucken','09'],
		'59320087' => ['Bayer Hypo- und Vereinsbank Saarlouis','99'],
		'59350110' => ['Kreissparkasse Saarlouis','00'],
		'59351040' => ['Sparkasse Merzig-Wadern','00'],
		'59390100' => ['Volksbank Saarlouis','06'],
		'59391100' => ['Volksbank Untere Saar Mettlach','06'],
		'59391200' => ['Volksbank Uberherrn','06'],
		'59391800' => ['Volksbank Wadgassen','06'],
		'59392000' => ['Volksbank Dillingen Dillingen, Saar','06'],
		'59392200' => ['Volksbank Losheim Losheim am See','06'],
		'59392400' => ['Volksbank Beckingen','06'],
		'59393000' => ['LevoBank Vereinte VB Lebach Eppelborn','09'],
		'59394200' => ['Volksbank Schmelz-Huttersdorf Schmelz, Saar','06'],
		'59450010' => ['Kreissparkasse Saarpfalz Homburg, Saar','00'],
		'59491000' => ['Volksbank Homburg Homburg, Saar','09'],
		'59491114' => ['VR Bank Saarpfalz Homburg, Saar','09'],
		'59491200' => ['Volksbank Blieskastel','06'],
		'59491300' => ['VR Bank Saarpfalz Mandelbachtal','06'],
		'60000000' => ['Bundesbank Stuttgart','09'],
		'60010070' => ['Postbank Stuttgart','24'],
		'60010111' => ['SEB Stuttgart','13'],
		'60010424' => ['Aareal Bank Stuttgart','09'],
		'60010500' => ['Wurttembergische Hypothekenbank Stuttgart','09'],
		'60010700' => ['Landeskreditbank Baden-Wurttemberg Forderbank Stuttgart','09'],
		'60020030' => ['Baden-Wurttembergische Bank Stuttgart','65'],
		'60020100' => ['Schwabische Bank Stuttgart','09'],
		'60020290' => ['Bayer Hypo- und Vereinsbank Stuttgart','99'],
		'60020300' => ['VON ESSEN Bankgesellschaft Stuttgart','09'],
		'60020400' => ['GE Money Bank Koln','09'],
		'60020700' => ['Hanseatic Bank Stuttgart','09'],
		'60020800' => ['Emporiki Bank - Germany Stuttgart','06'],
		'60030000' => ['DaimlerChrysler Bank Stuttgart','09'],
		'60030100' => ['Bankhaus Bauer Stuttgart','10'],
		'60030200' => ['Bankhaus Ellwanger & Geiger Stuttgart','10'],
		'60030400' => ['HSBC Trinkaus & Burkhardt Stuttgart','56'],
		'60030600' => ['CreditPlus Bank Stuttgart','09'],
		'60030700' => ['AKTIVBANK Pforzheim','09'],
		'60030900' => ['Isbank Fil Stuttgart','06'],
		'60033000' => ['Wustenrot Bausparkasse Ludwigsburg, Wurtt','09'],
		'60035810' => ['IBM Deutschland Kreditbank Stuttgart','06'],
		'60040071' => ['Commerzbank Stuttgart','13'],
		'60050000' => ['Landesbank Baden-Wurttemberg Stuttgart','09'],
		'60050101' => ['Landesbank Bad.-Wurtt.Service-Center Stuttgart','01'],
		'60060000' => ['DZ BANK Stuttgart','09'],
		'60060195' => ['Raiffbk Sillenbuch -Filderbank Stuttgart-','10'],
		'60060396' => ['Unterturkheimer Volksbank Stuttgart','10'],
		'60060497' => ['Volksbank Weilimdorf -alt- Stuttgart','10'],
		'60060599' => ['Raiffbk Stuttgart -Filderbank Stuttgart-','10'],
		'60060606' => ['Evangelische Kreditgenossenschaft Stuttgart','32'],
		'60060893' => ['VR-Bank Stuttgart','10'],
		'60062775' => ['Echterdinger Bank Leinfelden-Echterdingen','10'],
		'60062909' => ['Volksbank Strohgau Korntal-Munchingen','10'],
		'60069017' => ['Raiffeisenbank Dellmensingen Erbach, Donau','10'],
		'60069066' => ['Raiffeisenbank Niedere Alb Langenau, Wurtt','10'],
		'60069075' => ['Raiffeisenbank Vellberg-Gro?altdorf','10'],
		'60069105' => ['Raiffeisenbank Fronhofen Fronreute','10'],
		'60069126' => ['Raiffeisenbank Romerstein -alt-','10'],
		'60069147' => ['Raiffeisenbank Sondelfingen Reutlingen','10'],
		'60069158' => ['Raiffeisenbank Steinheim Steinheim am Albuch','10'],
		'60069206' => ['Raiffeisenbank Aidlingen, Wurtt','10'],
		'60069211' => ['Volksbank Obersulm-Affaltrach','10'],
		'60069224' => ['Genossenschaftsbank Weil im Schonbuch','10'],
		'60069235' => ['Raiffeisenbank Zndl VB Nordschwarzwald Waldachtal','10'],
		'60069239' => ['Bopfinger Bank Sechta-Ries Bopfingen','10'],
		'60069242' => ['Raiffeisenbank Gruibingen','10'],
		'60069245' => ['Raiffeisenbank Oberes Buhlertal Buhlertann','10'],
		'60069251' => ['Raiffeisenbank Donau-Iller Erbach, Donau','10'],
		'60069267' => ['Raiffeisenbank Oggelshausen','10'],
		'60069280' => ['Raiffeisenbank Pfedelbach -alt-','10'],
		'60069302' => ['Raiffeisenbank Erlenmoos','10'],
		'60069303' => ['Raiffeisenbank Bad Schussenried','10'],
		'60069305' => ['Raiffeisenbank Hartsfeld -alt- Aalen, Wurtt','10'],
		'60069308' => ['Raiffeisenbank Ingoldingen','10'],
		'60069315' => ['Volksbank Freiberg und Umgebung Mundelsheim','10'],
		'60069317' => ['Raiffeisenbank Essingen -alt- Essingen, Wurtt','10'],
		'60069325' => ['Hegnacher Bank -Raiffeisen- Waiblingen, Rems','10'],
		'60069336' => ['Raiffeisenbank Maitis Goppingen','10'],
		'60069343' => ['Raiffeisenbank Ri?tal Laupheim','10'],
		'60069346' => ['Raiffeisenbank Ehingen [Donau]','10'],
		'60069350' => ['Raiffeisenbank Reute-Gaisbeuren Bad Waldsee','10'],
		'60069355' => ['Ehninger Bank Ehningen, Kr Boblingen','10'],
		'60069357' => ['Raiffeisenbank Rottal Burgrieden','10'],
		'60069371' => ['Raiffbk Neukirch Ndl d Volksbank Tettnang Neukirch b Tettnang','10'],
		'60069378' => ['Volksbank Dettenhausen Dettenhausen, Wurtt','10'],
		'60069383' => ['Raiffeisenbank Dewangen -alt- Aalen, Wurtt','10'],
		'60069387' => ['Dettinger Bank Dettingen an der Erms','10'],
		'60069417' => ['Raiffeisenbank Kirchheim-Walheim Kirchheim am Neckar','10'],
		'60069419' => ['Uhlbacher Bank Stuttgart','10'],
		'60069420' => ['Raiffeisenbank Mittelbiberach','10'],
		'60069423' => ['Eschacher Bank Eschach b Schwabisch Gmund','10'],
		'60069431' => ['Raiffeisenbank Oberessendorf Eberhardzell','10'],
		'60069442' => ['Raiffeisenbank Frankenhardt-Stimpfach','10'],
		'60069455' => ['Raiffeisenbank Vordersteinenberg Alfdorf','10'],
		'60069457' => ['Raiffeisenbank Ottenbach Ottenbach, Wurtt','10'],
		'60069461' => ['Raiffeisenbank Rottumtal Ochsenhausen','10'],
		'60069462' => ['Winterbacher Bank Winterbach b Schorndorf','10'],
		'60069463' => ['Raiffeisenbank Geislingen-Rosenfeld Rosenfeld, Wurtt','10'],
		'60069465' => ['Raiffeisenbank Unterhausen-Honau Lichtenstein, Wurtt','10'],
		'60069476' => ['Raiffeisenbank Heidenheimer Alb Gerstetten, Wurtt','10'],
		'60069485' => ['Raiffeisenbank Oberer Wald Simmersfeld','10'],
		'60069505' => ['Volksbank Murgtal Baiersbr-Klosterreichenbach Baiersbronn','10'],
		'60069511' => ['Genossenschaftsbank Honhardt Frankenhardt','10'],
		'60069516' => ['Plattenhardter Bank Filderstadt','10'],
		'60069517' => ['Scharnhauser Bank Ostfildern','10'],
		'60069518' => ['Raiffeisenbank Unlingen','10'],
		'60069520' => ['Raiffeisenbank Obermarchtal','10'],
		'60069527' => ['Raiffeisenbank Brenztal Niederstotzingen','10'],
		'60069530' => ['Neuensteiner-Michelbacher Bank -Raiffeisen- Neuenstein, Wurtt','10'],
		'60069534' => ['Raiffeisenbank Hohenstein Hohenstein, Wurtt','10'],
		'60069538' => ['Lochgauer Bank','10'],
		'60069544' => ['Raiffeisenbank Westhausen Westhausen, Wurtt','10'],
		'60069545' => ['Nufringer Bank -Raiffeisen- Nufringen','10'],
		'60069549' => ['Walheimer Bank Walheim, Wurtt','10'],
		'60069551' => ['Volksbank Ellhofen Ellhofen, Wurtt','10'],
		'60069553' => ['Raiffeisenbank Aichhalden-Hardt-Sulgen Hardt b Schramberg','10'],
		'60069556' => ['Volksbank Strohgau -alt- Gerlingen, Wurtt','10'],
		'60069564' => ['Raiffeisenbank Vordere Alb Hulben','10'],
		'60069593' => ['Raiffeisenbank Oberes Schlichemtal Schomberg b Balingen','10'],
		'60069595' => ['Raiffeisenbank Schrozberg-Rot am See','10'],
		'60069628' => ['Raiffeisenbank Dietenheim, Iller','10'],
		'60069639' => ['Raiffeisenbank Ingersheim Ingersheim, Wurtt','10'],
		'60069647' => ['Ebhauser Bank -Raiffeisenbank -alt- Ebhausen','10'],
		'60069648' => ['Raiffeisenbank Ummendorf Ummendorf, Kr Biberach','10'],
		'60069661' => ['Raiffeisenbank Blitzenreute Fronreute','10'],
		'60069667' => ['Raiffeisenbank Oberer Neckar Epfendorf','10'],
		'60069669' => ['Erligheimer Bank','10'],
		'60069670' => ['Raiffeisenbank Hochstra? Pappelau Blaubeuren','10'],
		'60069671' => ['Raiffeisenbank Argenbuhl -alt-','10'],
		'60069673' => ['Abtsgmunder Bank -Raiffeisen-','10'],
		'60069680' => ['Raiffeisenbank Bretzfeld','10'],
		'60069685' => ['Raiffeisenbank Wangen, Kr Goppingen','10'],
		'60069692' => ['Raiffeisenbank Enzberg Muhlacker','10'],
		'60069695' => ['Raiffeisenbank Wald-Hohenfels Wald, Hohenz','10'],
		'60069699' => ['Raiffeisenbank Bergatreute','10'],
		'60069705' => ['Raiffeisenbank Schlat','10'],
		'60069706' => ['Raiffeisenbank Mehrstetten b Munsingen','10'],
		'60069710' => ['Raiffeisenbank Gammesfeld Blaufelden','09'],
		'60069714' => ['Raiffeisenbank Kocher-Jagst Ingelfingen','10'],
		'60069716' => ['Raiffeisenbank Nattheim','10'],
		'60069724' => ['Raiffeisenbank Heroldstatt','10'],
		'60069727' => ['Raiffeisenbank Oberstenfeld','10'],
		'60069735' => ['Volksbank Trochtelfingen Trochtelfingen, Hohenz','10'],
		'60069738' => ['Volksbank Freiberg und Umgebung Freiberg am Neckar','10'],
		'60069743' => ['Raiffeisenbank Holzelfingen-Ohnastetten Lichtenstein, Wurtt','10'],
		'60069762' => ['Raiffeisenbank Stable-Gau -alt- Neustetten, Wurtt','10'],
		'60069764' => ['Volksbank Herrenberg-Rottenburg Jettingen, Wurtt','10'],
		'60069766' => ['Volks- und Raiffeisenbank Boll -alt- Boll, Kr Goppingen','10'],
		'60069773' => ['Raiffeisenbank Kre?berg -alt-','10'],
		'60069778' => ['Raiffeisenbank Igersheim','10'],
		'60069780' => ['Genossenschaftsbank Grabenstetten','10'],
		'60069795' => ['Volksbank Freiberg und Umgebung Hessigheim','10'],
		'60069798' => ['Raiffeisenbank Horb Horb am Neckar','10'],
		'60069799' => ['Gschwender-Frickenhofener Bank Gschwend b Gaildorf','10'],
		'60069817' => ['Raiffeisenbank Motzingen','10'],
		'60069821' => ['Neckarwestheimer Bank -Raiffeisen-Volksbank-','10'],
		'60069825' => ['Raiffeisenbank Mittelstadt -alt- Reutlingen','10'],
		'60069832' => ['Raiffeisenbank Urbach Urbach, Rems','10'],
		'60069835' => ['Stettener Bank Leinfelden-Echterdingen','10'],
		'60069842' => ['Darmsheimer Bank Sindelfingen','10'],
		'60069851' => ['Raiffeisenbank Taldorf Ravensburg, Wurtt','10'],
		'60069858' => ['Enztalbank Vaihingen an der Enz','10'],
		'60069860' => ['Federseebank Bad Buchau','10'],
		'60069876' => ['Raiffeisenbank Oberes Gau Ergenzingen Rottenburg am Neckar','10'],
		'60069892' => ['Hedelfinger Bank Stuttgart','10'],
		'60069896' => ['Volksbank Freiberg und Umgebung Pleidelsheim','10'],
		'60069904' => ['VR-Bank Alb Sonnenbuhl','10'],
		'60069905' => ['Volksbank Remseck Remseck am Neckar','10'],
		'60069911' => ['Raiffeisenbank Erlenbach, Kr Heilbronn','10'],
		'60069921' => ['Raiffeisenbank Wurtingen-Bleichstetten -alt- St. Johann, Wurtt','10'],
		'60069926' => ['Volksbank Glatten-Wittendorf','10'],
		'60069927' => ['Berkheimer Bank Esslingen am Neckar','10'],
		'60069931' => ['Raiffeisenbank Berghulen','10'],
		'60069946' => ['Empfinger Bank Empfingen','10'],
		'60069950' => ['Raiffeisenbank Tungental Schwabisch Hall','10'],
		'60069971' => ['Raiffeisenbank Oberdischingen-Donaurieden','10'],
		'60069972' => ['Raiffeisenbank Sechta-Ries Unterschneidheim','10'],
		'60069976' => ['Raiffeisenbank Bollingertal Heilbronn, Neckar','10'],
		'60069978' => ['Raiffeisenbank Engstingen-Kohlstetten','10'],
		'60069980' => ['Raiffeisenbank Maselheim-Apfingen','10'],
		'60069984' => ['Raiffeisenbank Durlangen','10'],
		'60070024' => ['Deutsche Bank Privat und Geschaftskunden Stuttgart','63'],
		'60070070' => ['Deutsche Bank Stuttgart','63'],
		'60070989' => ['Eurohypo Ndl DB Stuttgart','63'],
		'60080000' => ['Dresdner Bank Stuttgart','76'],
		'60080044' => ['Dresdner Bank Zw 44 Stuttgart','76'],
		'60080085' => ['Dresdner Bank ITGK 2, Stuttgart', '09'],
		'60080090' => ['Dresdner Bank Gf Stuttgart','76'],
		'60089450' => ['Dresdner Bank ITGK Stuttgart','09'],
		'60090100' => ['Stuttgarter Volksbank','89'],
		'60090300' => ['Volksbank Zuffenhausen m Zndl Stammheimer VB Stuttgart','10'],
		'60090500' => ['Wurtt. Handelsbank - Volksbank -alt- Stuttgart','10'],
		'60090609' => ['Deutsche Apotheker- und Arztebank Stuttgart','14'],
		'60090700' => ['Sudwestbank Stuttgart','10'],
		'60090800' => ['Sparda-Bank Baden-Wurttemberg Stuttgart','87'],
		'60090900' => ['PSD Bank RheinNeckarSaar Stuttgart','91'],
		'60120050' => ['Bayer Hypo- und Vereinsbank Ndl 434 Stgt Aschheim','70'],
		'60120200' => ['BHF-BANK Stuttgart','60'],
		'60120500' => ['Sozialbank Stuttgart','09'],
		'60130100' => ['FFS Bank Stuttgart','00'],
		'60200000' => ['Bundesbank eh Waiblingen Stuttgart','09'],
		'60220030' => ['Baden-Wurttembergische Bank Waiblingen, Rems','65'],
		'60241074' => ['Commerzbank Backnang','13'],
		'60250010' => ['Kreissparkasse Waiblingen Waiblingen, Rems','01'],
		'60250184' => ['Landesbank Baden-Wurttemberg [ehem Landesgiro] Waiblingen, Rems','01'],
		'60261329' => ['Fellbacher Bank, Schmidener Bk u Oeffinger Bk Fellbach, Wurtt','10'],
		'60261622' => ['VR-Bank Weinstadt','10'],
		'60261818' => ['Raiffeisenbank Weissacher Tal Allmersbach im Tal','10'],
		'60262063' => ['Korber Bank Korb, Remstal','10'],
		'60262693' => ['Kerner Volksbank Kernen im Remstal','10'],
		'60270024' => ['Deutsche Bank Privat und Geschaftskunden Waiblingen, Rems','63'],
		'60270073' => ['Deutsche Bank Waiblingen, Rems','63'],
		'60290110' => ['Volksbank Rems Waiblingen, Rems','10'],
		'60291120' => ['Volksbank Backnang','10'],
		'60291410' => ['Volksbank Schorndorf Schorndorf, Wurtt','10'],
		'60291510' => ['Volksbank Winnenden Winnenden, Wurtt','10'],
		'60300000' => ['Bundesbank eh Sindelfingen Stuttgart','09'],
		'60320030' => ['Baden-Wurttembergische Bank Sindelfingen','65'],
		'60320291' => ['Bayer Hypo- und Vereinsbank Boblingen','99'],
		'60340071' => ['Commerzbank Sindelfingen','13'],
		'60350130' => ['Kreissparkasse Boblingen','01'],
		'60361923' => ['Raiffeisenbank Weissach, Wurtt','10'],
		'60362804' => ['Volksbank Schonbuch Schonaich, Wurtt','10'],
		'60380002' => ['Dresdner Bank Boblingen','76'],
		'60390000' => ['Vereinigte Volksbank Sindelfingen','10'],
		'60390300' => ['Volksbank Region Leonberg Leonberg, Wurtt','10'],
		'60391310' => ['Volksbank Herrenberg-Rottenburg Herrenberg im Gau','10'],
		'60391420' => ['Volksbank Magstadt','10'],
		'60400000' => ['Bundesbank eh Ludwigsburg Stuttgart','09'],
		'60410600' => ['Wustenrot Hypothekenbank Ludwigsburg, Wurtt','09'],
		'60420000' => ['Wustenrot Bank Ludwigsburg, Wurtt','06'],
		'60420186' => ['Bayer Hypo- und Vereinsbank Ludwigsburg, Wurtt','99'],
		'60422000' => ['SABU Schuh & Marketing Kornwestheim','09'],
		'60430060' => ['Baden-Wurttembergische Bank Ludwigsburg, Wurtt','65'],
		'60431061' => ['Baden-Wurttembergische Bank Bietigheim-Bissingen','65'],
		'60440073' => ['Commerzbank Ludwigsburg, Wurtt','13'],
		'60450050' => ['Kreissparkasse Ludwigsburg Ludwigsburg, Wurtt','01'],
		'60450193' => ['Landesbank Baden-Wurttemberg [ehem Landesgiro] Ludwigsburg, Wurtt','01'],
		'60460142' => ['Volksbank Freiberg und Umgebung Ludwigsburg, Wurtt','10'],
		'60461809' => ['Volksbank Markgroningen','10'],
		'60462808' => ['VR-Bank Asperg-Markgroningen Moglingen, Kr Ludwigsburg','10'],
		'60470024' => ['Deutsche Bank Privat und Geschaftskunden Ludwigsburg, Wurtt','63'],
		'60470082' => ['Deutsche Bank Ludwigsburg, Wurtt','63'],
		'60480008' => ['Dresdner Bank Ludwigsburg, Wurtt','76'],
		'60490150' => ['Volksbank Ludwigsburg Ludwigsburg, Wurtt','10'],
		'60491430' => ['VR-Bank Stromberg-Neckar Bonnigheim','10'],
		'60651070' => ['Sparkasse Pforzheim Calw','A9'],
		'60661369' => ['Raiffeisenbank Birkenfeld, Wurtt','10'],
		'60661906' => ['Raiffeisenbank Wimsheim-Monsheim','10'],
		'60663084' => ['Raiffeisenbank im Kreis Calw Neubulach','10'],
		'60691440' => ['Volksbank Maulbronn-Oberderdingen','10'],
		'61020030' => ['Baden-Wurttembergische Bank Goppingen','65'],
		'61030000' => ['Bankhaus Gebr. Martin Goppingen','09'],
		'61040014' => ['Commerzbank Goppingen','13'],
		'61050000' => ['Kreissparkasse Goppingen','01'],
		'61050181' => ['Landesbank Baden-Wurttemberg Goppingen','01'],
		'61060500' => ['Volksbank Goppingen','10'],
		'61070024' => ['Deutsche Bank Privat und Geschaftskunden Goppingen','63'],
		'61070078' => ['Deutsche Bank Goppingen','63'],
		'61080006' => ['Dresdner Bank Goppingen','76'],
		'61091200' => ['Volksbank-Raiffeisenbank Deggingen','10'],
		'61091400' => ['Volksbank Ebersbach -alt- Ebersbach an der Fils','10'],
		'61100000' => ['Bundesbank eh Esslingen Stuttgart','09'],
		'61120030' => ['Baden-Wurttembergische Bank Esslingen am Neckar','65'],
		'61120286' => ['Bayer Hypo- und Vereinsbank Esslingen am Neckar','99'],
		'61140071' => ['Commerzbank Esslingen am Neckar','13'],
		'61150020' => ['Kreissparkasse Esslingen-Nurtingen Esslingen am Neckar','01'],
		'61150185' => ['Landesbank Baden-Wurttemberg [ehem Landesgiro] Esslingen am Neckar','01'],
		'61160172' => ['Esslinger Bank Esslingen am Neckar','10'],
		'61161696' => ['Volksbank Filder Neuhausen auf den Fildern','10'],
		'61170024' => ['Deutsche Bank Privat und Geschaftskunden Esslingen am Neckar','63'],
		'61170076' => ['Deutsche Bank Esslingen am Neckar','63'],
		'61180004' => ['Dresdner Bank Esslingen am Neckar','76'],
		'61190110' => ['Volksbank Esslingen Esslingen am Neckar','10'],
		'61191310' => ['Volksbank Plochingen','10'],
		'61220030' => ['Baden-Wurttembergische Bank Nurtingen','65'],
		'61260935' => ['Raiffeisenbank Raidwangen Nurtingen','10'],
		'61261213' => ['Raiffeisenbank Teck Owen, Teck','10'],
		'61261339' => ['Volksbank Hohenneuffen Frickenhausen, Wurtt','10'],
		'61262258' => ['Genossenschaftsbank Wolfschlugen','10'],
		'61262345' => ['Bernhauser Bank Filderstadt','10'],
		'61262625' => ['Bonlander Bank Filderstadt','10'],
		'61281007' => ['Dresdner Bank Kirchheim unter Teck','76'],
		'61290120' => ['Volksbank Kirchheim-Nurtingen','10'],
		'61291030' => ['Volksbank Kirchheim-Teck -alt- Kirchheim unter Teck','10'],
		'61340079' => ['Commerzbank Schwabisch Gmund','13'],
		'61361722' => ['Raiffeisenbank Rosenstein Heubach, Wurtt','10'],
		'61361975' => ['Raiffeisenbank Mutlangen','10'],
		'61370024' => ['Deutsche Bank Privat und Geschaftskunden Schwabisch Gmund','63'],
		'61370086' => ['Deutsche Bank Schwabisch Gmund','63'],
		'61390140' => ['Volksbank Schwabisch Gmund','10'],
		'61391410' => ['Volksbank Welzheim','10'],
		'61400000' => ['Bundesbank eh Aalen Ulm, Donau','09'],
		'61420086' => ['Bayer Hypo- und Vereinsbank Aalen, Wurtt','99'],
		'61430000' => ['Baden-Wurttembergische Bank Aalen, Wurtt','65'],
		'61440086' => ['Commerzbank Aalen, Wurtt','13'],
		'61450050' => ['Kreissparkasse Ostalb Aalen, Wurtt','01'],
		'61450191' => ['Landesbank Baden-Wurttemberg Aalen, Wurtt','01'],
		'61460127' => ['Raiffeisenbank Aalen-Unterrombach -alt- Aalen, Wurtt','10'],
		'61461958' => ['Wasseralfinger Bank -alt- Aalen, Wurtt','10'],
		'61480001' => ['Dresdner Bank Aalen, Wurtt','76'],
		'61490150' => ['VR-Bank Aalen Aalen, Wurtt','10'],
		'61491010' => ['VR-Bank Ellwangen Ellwangen [Jagst]','10'],
		'62000000' => ['Bundesbank Heilbronn, Neckar','09'],
		'62020000' => ['Hoerner-Bank Heilbronn, Neckar','09'],
		'62020100' => ['Fiat Bank Heilbronn, Neckar','09'],
		'62030050' => ['Baden-Wurttembergische Bank Heilbronn, Neckar','65'],
		'62030058' => ['Baden-Wurttembergische Bank Lauffen am Neckar','65'],
		'62030059' => ['Baden-Wurttembergische Bank Neckarsulm','65'],
		'62030060' => ['Baden-Wurttembergische Bank Bad Wimpfen','65'],
		'62032000' => ['Iveco Finance Heilbronn, Neckar','09'],
		'62040060' => ['Commerzbank Heilbronn, Neckar','13'],
		'62050000' => ['Kreissparkasse Heilbronn Heilbronn, Neckar','01'],
		'62050181' => ['Landesbank Baden-Wurttemberg Heilbronn, Neckar','01'],
		'62060326' => ['Raiffeisenbank Heilbronn-Neckargartach Heilbronn, Neckar','10'],
		'62061226' => ['Volksbank Bad Friedrichshall','10'],
		'62061365' => ['Volksbank Bad Wimpfen-Gundelsheim','10'],
		'62061991' => ['Volksbank Sulmtal Obersulm','10'],
		'62062215' => ['Volksbank Beilstein-Ilsfeld-Abstatt Beilstein, Wurtt','10'],
		'62062643' => ['Volksbank Flein-Talheim Flein b Heilbronn, Neckar','10'],
		'62063263' => ['VBU Volksbank im Unterland Schwaigern, Wurtt','10'],
		'62070024' => ['Deutsche Bank Privat und Geschaftskunden Heilbronn, Neckar','63'],
		'62070081' => ['Deutsche Bank Heilbronn, Neckar','63'],
		'62080012' => ['Dresdner Bank Heilbronn, Neckar','76'],
		'62090100' => ['Volksbank Heilbronn Heilbronn, Neckar','10'],
		'62091400' => ['Volksbank Brackenheim-Guglingen','10'],
		'62091600' => ['Volksbank Mockmuhl-Neuenstadt','10'],
		'62091800' => ['Volksbank Hohenlohe Ohringen','10'],
		'62200000' => ['Bundesbank eh Schwabisch Hall Ulm, Donau','09'],
		'62220000' => ['Bausparkasse Schwabisch Hall','09'],
		'62230050' => ['Baden-Wurttembergische Bank Schwabisch Hall','65'],
		'62250030' => ['Sparkasse Schwabisch Hall-Crailsheim','01'],
		'62250182' => ['Landesbank Baden-Wurttemberg [ehem Landesgiro] Schwabisch Hall','01'],
		'62251550' => ['Sparkasse Hohenlohekreis Kunzelsau','01'],
		'62280012' => ['Dresdner Bank Schwabisch Hall','76'],
		'62290110' => ['VR Bank Schwabisch Hall','10'],
		'62291020' => ['Crailsheimer Volksbank','10'],
		'62291200' => ['Limpurger Bank Gaildorf','10'],
		'62351060' => ['Sparkasse Tauberfranken Bad Mergentheim','01'],
		'62361274' => ['Creglinger Bank Creglingen','10'],
		'62391010' => ['Volksbank Bad Mergentheim','10'],
		'62391420' => ['Volksbank Vorbach-Tauber Weikersheim','10'],
		'63000000' => ['Bundesbank Ulm, Donau','09'],
		'63010111' => ['SEB Ulm, Donau','13'],
		'63020086' => ['Bayer Hypo- und Vereinsbank Ulm, Donau','99'],
		'63020130' => ['Baden-Wurttembergische Bank Ulm, Donau','65'],
		'63020450' => ['Bayer Hypo- und Vereinsbank Ndl 274 Ulm Aschheim','70'],
		'63040053' => ['Commerzbank Ulm, Donau','13'],
		'63050000' => ['Sparkasse Ulm Ulm, Donau','01'],
		'63050181' => ['Landesbank Baden-Wurttemberg Ulm, Donau','01'],
		'63061486' => ['VR-Bank Langenau-Ulmer Alb Langenau, Wurtt','10'],
		'63061761' => ['Raiffeisenbank Ulmer Alb Dornstadt, Wurtt','10'],
		'63070024' => ['Deutsche Bank Privat und Geschaftskunden Ulm, Donau','63'],
		'63070088' => ['Deutsche Bank Ulm, Donau','63'],
		'63080015' => ['Dresdner Bank Ulm, Donau','76'],
		'63090100' => ['Ulmer Volksbank Ulm, Donau','10'],
		'63091010' => ['Ehinger Volksbank Ehingen [Donau]','10'],
		'63091200' => ['Volksbank Blaubeuren','10'],
		'63091300' => ['Volksbank Laichingen','10'],
		'63220090' => ['Bayer Hypo- und Vereinsbank Heidenheim an der Brenz','99'],
		'63240016' => ['Commerzbank Heidenheim an der Brenz','13'],
		'63250030' => ['Kreissparkasse Heidenheim Heidenheim an der Brenz','01'],
		'63290110' => ['Heidenheimer Volksbank Heidenheim an der Brenz','10'],
		'63291210' => ['Giengener Volksbank Giengen an der Brenz','19'],
		'64000000' => ['Bundesbank Reutlingen','09'],
		'64020030' => ['Baden-Wurttembergische Bank Reutlingen','65'],
		'64020186' => ['Bayer Hypo- und Vereinsbank Reutlingen','99'],
		'64040033' => ['Commerzbank Reutlingen','13'],
		'64040045' => ['Commerzbank Metzingen, Wurtt','13'],
		'64050000' => ['Kreissparkasse Reutlingen','01'],
		'64050181' => ['Landesbank Baden-Wurttemberg Reutlingen','01'],
		'64060145' => ['Raiffeisenbank Wannweil-Betzingen Reutlingen','10'],
		'64061854' => ['Volksbank Steinlach-Wiesaz Gomaringen','10'],
		'64070024' => ['Deutsche Bank Privat und Geschaftskunden Reutlingen','63'],
		'64070085' => ['Deutsche Bank Reutlingen','63'],
		'64080014' => ['Dresdner Bank Reutlingen','76'],
		'64090100' => ['Volksbank Reutlingen','10'],
		'64091200' => ['Volksbank Metzingen-Bad Urach Metzingen, Wurtt','10'],
		'64091300' => ['Volksbank Munsingen Munsingen, Wurtt','10'],
		'64091500' => ['Volksbank Urach -alt- Bad Urach','10'],
		'64120030' => ['Baden-Wurttembergische Bank Tubingen','65'],
		'64140036' => ['Commerzbank Tubingen','13'],
		'64150020' => ['Kreissparkasse Tubingen','01'],
		'64150182' => ['Landesbank Baden-Wurttemberg Tubingen','01'],
		'64161397' => ['Volksbank Ammerbuch -Ammertalbank-','10'],
		'64161608' => ['Raiffeisenbank Harten Kusterdingen','10'],
		'64161956' => ['Volksbank Mossingen','10'],
		'64163225' => ['Volksbank Hohenzollern Hechingen','10'],
		'64180014' => ['Dresdner Bank Tubingen','76'],
		'64190110' => ['Volksbank Tubingen','10'],
		'64191030' => ['Volksbank Nagoldtal','10'],
		'64191210' => ['Volksbank Nordschwarzwald Altensteig, Wurtt','10'],
		'64191700' => ['Volksbank Horb Horb am Neckar','10'],
		'64192220' => ['Volksbank Herrenberg-Rottenburg Rottenburg am Neckar','10'],
		'64232000' => ['Bankhaus J. Fai?t Schramberg','09'],
		'64240071' => ['Commerzbank Rottweil','13'],
		'64250040' => ['Kreissparkasse Rottweil','01'],
		'64251060' => ['Kreissparkasse Freudenstadt','01'],
		'64261363' => ['Volksbank Baiersbronn','10'],
		'64261626' => ['Murgtalbank Mitteltal - Obertal -alt- Baiersbronn','10'],
		'64261853' => ['Volksbank Nordschwarzwald Pfalzgrafenweiler','10'],
		'64262408' => ['Volksbank Dornstetten Dornstetten, Wurtt','10'],
		'64263273' => ['Volksbank Bosingen Dunningen Fluorn-Winzeln Dunningen, Wurtt','10'],
		'64290120' => ['Volksbank Rottweil','10'],
		'64291010' => ['Volksbank im Kreis Freudenstadt','10'],
		'64291420' => ['Volksbank Dei?lingen Dei?lingen, Neckar','10'],
		'64291710' => ['Volksbank Oberndorf Oberndorf am Neckar','10'],
		'64292020' => ['Volksbank Schwarzwald-Neckar Schramberg','10'],
		'64292310' => ['Volksbank Trossingen','10'],
		'64350070' => ['Kreissparkasse Tuttlingen','01'],
		'64361359' => ['Raiffeisenbank Donau-Heuberg Muhlheim an der Donau','10'],
		'64362613' => ['Raiffeisenbank Denkingen, Wurtt','10'],
		'64363406' => ['Volksbank Donau-Neckar Wehingen, Wurtt','10'],
		'64380011' => ['Dresdner Bank Tuttlingen','76'],
		'64390130' => ['Volksbank Donau-Neckar Tuttlingen','10'],
		'64420030' => ['Baden-Wurttembergische Bank Villingen-Schwenningen','65'],
		'64450288' => ['Landesbank Baden-Wurttemberg Villingen-Schwenningen','01'],
		'64490140' => ['Volksbank Donau-Neckar Villingen-Schwenningen','10'],
		'65000000' => ['Bundesbank eh Ravensburg Ulm, Donau','09'],
		'65020030' => ['Baden-Wurttembergische Bank Ravensburg, Wurtt','65'],
		'65020186' => ['Bayer Hypo- und Vereinsbank Ravensburg, Wurtt','99'],
		'65040073' => ['Commerzbank Ravensburg, Wurtt','13'],
		'65050110' => ['Kreissparkasse Ravensburg Ravensburg, Wurtt','01'],
		'65050281' => ['Landesbank Baden-Wurttemberg Ravensburg, Wurtt','01'],
		'65061219' => ['Raiffeisenbank Aulendorf Aulendorf, Wurtt','10'],
		'65062395' => ['Baienfurter Bank','10'],
		'65062577' => ['Raiffeisenbank Ravensburg Horgenzell','10'],
		'65062793' => ['Raiffeisenbank Vorallgau Amtzell','10'],
		'65063086' => ['Raiffeisenbank Bad Saulgau','10'],
		'65063434' => ['Raiffeisenbank Wolpertswende','10'],
		'65070024' => ['Deutsche Bank Privat und Geschaftskunden Ravensburg, Wurtt','63'],
		'65070084' => ['Deutsche Bank Ravensburg, Wurtt','63'],
		'65080009' => ['Dresdner Bank Ravensburg, Wurtt','76'],
		'65090100' => ['Volksbank Ravensburg Ravensburg, Wurtt','10'],
		'65091040' => ['Leutkircher Bank Raiffeisen- und Volksbank Leutkirch im Allgau','10'],
		'65091300' => ['Bad Waldseer Bank','10'],
		'65091400' => ['Isnyer Volksbank -alt- Isny im Allgau','10'],
		'65091600' => ['Volksbank Weingarten Weingarten, Wurtt','10'],
		'65092010' => ['Volksbank Allgau-West Wangen im Allgau','10'],
		'65092200' => ['Volksbank Altshausen','10'],
		'65093020' => ['Volksbank Bad Saulgau','10'],
		'65110200' => ['Internationales Bankhaus Bodensee Friedrichshafen','71'],
		'65120091' => ['Bayer Hypo- und Vereinsbank Friedrichshafen','99'],
		'65140072' => ['Commerzbank Friedrichshafen','13'],
		'65150040' => ['Sparkasse Bodensee -alt- Friedrichshafen','01'],
		'65161497' => ['Genossenschaftsbank Meckenbeuren','10'],
		'65162832' => ['Raiffeisenbank Oberteuringen','10'],
		'65180005' => ['Dresdner Bank Friedrichshafen','76'],
		'65190110' => ['Volksbank Friedrichshafen','10'],
		'65191500' => ['Volksbank Tettnang','10'],
		'65300000' => ['Bundesbank eh Albstadt Reutlingen','09'],
		'65310111' => ['SEB Albstadt, Wurtt','13'],
		'65340004' => ['Commerzbank Albstadt, Wurtt','13'],
		'65341204' => ['Commerzbank Balingen','13'],
		'65350186' => ['Landesbank Baden-Wurttemberg Albstadt, Wurtt','01'],
		'65351050' => ['Hohenz Landesbank Kreissparkasse Sigmaringen','01'],
		'65351260' => ['Sparkasse Zollernalb Balingen','01'],
		'65361469' => ['Volksbank Heuberg Me?stetten','10'],
		'65361898' => ['Winterlinger Bank Winterlingen','10'],
		'65361989' => ['Onstmettinger Bank Albstadt, Wurtt','10'],
		'65362499' => ['Raiffeisenbank Geislingen-Rosenfeld Geislingen b Balingen','10'],
		'65370024' => ['Deutsche Bank Privat und Geschaftskunden Albstadt, Wurtt','63'],
		'65370075' => ['Deutsche Bank Albstadt, Wurtt','63'],
		'65380003' => ['Dresdner Bank Albstadt, Wurtt','76'],
		'65390120' => ['Volksbank Ebingen Albstadt, Wurtt','10'],
		'65391050' => ['Volksbank Sigmaringen Ndl d Ulmer Volksbank','10'],
		'65391210' => ['Volksbank Balingen','10'],
		'65392030' => ['Volksbank Tailfingen Albstadt, Wurtt','10'],
		'65440087' => ['Commerzbank Biberach an der Ri?','13'],
		'65450070' => ['Kreissparkasse Biberach Biberach an der Ri?','01'],
		'65461878' => ['Raiffeisenbank Risstal Warthausen an der Ri?','10'],
		'65462231' => ['Raiffeisenbank Illertal Erolzheim, Kr Biberach','10'],
		'65490130' => ['Volksbank Biberach Biberach an der Ri?','10'],
		'65491320' => ['Volksbank Laupheim','10'],
		'65491420' => ['Volksbank Mengen Mengen, Wurtt','10'],
		'65491510' => ['Volksbank-Raiffeisenbank Riedlingen Riedlingen, Wurtt','10'],
		'66000000' => ['Bundesbank Karlsruhe, Baden','09'],
		'66010075' => ['Postbank Karlsruhe, Baden','24'],
		'66010111' => ['SEB Karlsruhe, Baden','13'],
		'66010200' => ['Deutsche Bausparkasse Badenia Karlsruhe, Baden','09'],
		'66010700' => ['Landeskreditbank Baden-Wurttemberg Forderbank Karlsruhe, Baden','09'],
		'66020020' => ['Baden-Wurttembergische Bank Karlsruhe, Baden','65'],
		'66020150' => ['Bayer Hypo- und Vereinsbank Ndl 145 Kruhe Aschheim','70'],
		'66020286' => ['Bayer Hypo- und Vereinsbank Karlsruhe, Baden','99'],
		'66020500' => ['Sozialbank Karlsruhe, Baden','09'],
		'66030600' => ['Isbank Fil Karlsruhe Karlsruhe, Baden','06'],
		'66040018' => ['Commerzbank Karlsruhe, Baden','13'],
		'66040026' => ['Commerzbank/Kreditcenter Badenia Karlsruhe, Baden','13'],
		'66050000' => ['Landesbank Baden-Wurttemberg Karlsruhe, Baden','09'],
		'66050101' => ['Sparkasse Karlsruhe Karlsruhe, Baden','00'],
		'66051220' => ['Sparkasse Ettlingen','00'],
		'66051326' => ['Sparkasse Graben-Neudorf/Philippsburg','A7'],
		'66060000' => ['DZ BANK Karlsruhe, Baden','77'],
		'66060300' => ['Spar- und Kreditbank Karlsruhe, Baden','06'],
		'66060800' => ['Evangelische Kreditgenossenschaft Karlsruhe, Baden','32'],
		'66061059' => ['Volksbank Stutensee Hardt','06'],
		'66061407' => ['Spar- und Kreditbank Rheinstetten, Baden','06'],
		'66061724' => ['Volksbank Weingarten-Walzbachtal Weingarten [Baden]','06'],
		'66062138' => ['Spar- und Kreditbank Hardt Eggenstein-Leopoldshafen','06'],
		'66062366' => ['Raiffeisenbank Hardt-Bruhrain Dettenheim, Baden','06'],
		'66062526' => ['Raiffeisenbank Albtal Waldbronn, Albtal','06'],
		'66063500' => ['Raiffeisenbank Marxzell','06'],
		'66069103' => ['Raiffeisenbank Elztal','06'],
		'66069104' => ['Spar- und Kreditbank Dauchingen','06'],
		'66069117' => ['Raiffeisenbank Doggingen-Mundelfingen -alt- Braunlingen','06'],
		'66069265' => ['Raiffeisenbank Hilsbach -alt- Sinsheim, Elsenz','06'],
		'66069323' => ['Spar- und Kreditbank Daxlanden Karlsruhe Karlsruhe, Baden','06'],
		'66069342' => ['Volksbank Krautheim Krautheim, Jagst','06'],
		'66069573' => ['Raiffeisenbank Sexau','06'],
		'66069582' => ['Volksbank Hardt Stutensee','06'],
		'66069617' => ['Raiffeisenbank Schwenningen-Heuberg Schwenningen, Baden','06'],
		'66070004' => ['Deutsche Bank Karlsruhe, Baden','63'],
		'66070024' => ['Deutsche Bank Privat und Geschaftskunden Karlsruhe, Baden','63'],
		'66080052' => ['Dresdner Bank Karlsruhe, Baden','76'],
		'66090500' => ['Sparda-Bank Karlsruhe Karlsruhe, Baden','84'],
		'66090621' => ['Deutsche Apotheker- und Arztebank Karlsruhe, Baden','14'],
		'66090800' => ['BBBank Karlsruhe, Baden','B3'],
		'66090900' => ['PSD Bank Karlsruhe-Neustadt Karlsruhe, Baden','91'],
		'66091200' => ['Volksbank Ettlingen','06'],
		'66091500' => ['Volksbank Neureut Karlsruhe, Baden','06'],
		'66190000' => ['Volksbank Karlsruhe Karlsruhe, Baden','06'],
		'66190100' => ['Volksbank Durlach Karlsruhe, Baden','06'],
		'66200000' => ['Bundesbank eh Baden-Baden Karlsruhe, Baden','09'],
		'66220020' => ['Baden-Wurttembergische Bank Baden-Baden','65'],
		'66220562' => ['Bayer Hypo- und Vereinsbank Ndl 410 Baba Aschheim','70'],
		'66240002' => ['Commerzbank Baden-Baden','13'],
		'66250030' => ['Stadtsparkasse Baden-Baden','00'],
		'66251434' => ['Sparkasse Buhl Buhl, Baden','00'],
		'66260628' => ['Raiffeisenbank Steinbach Baden-Baden','06'],
		'66261092' => ['Spar- und Kreditbank Buhlertal','06'],
		'66261416' => ['Raiffeisenbank Altschweier Buhl, Baden','06'],
		'66262144' => ['Spar- und Kreditbank Eisental Buhl, Baden','06'],
		'66263503' => ['Spar- und Kreditbank -Raiffeisenbank- Ottersweier','06'],
		'66270001' => ['Deutsche Bank Baden-Baden','63'],
		'66270024' => ['Deutsche Bank Privat und Geschaftskunden Baden-Baden','63'],
		'66280053' => ['Dresdner Bank Baden-Baden','76'],
		'66290000' => ['Volksbank Baden-Baden Rastatt','06'],
		'66291300' => ['Volksbank Achern Achern, Baden','06'],
		'66291400' => ['Volksbank Buhl Buhl, Baden','06'],
		'66340018' => ['Commerzbank Bruchsal','13'],
		'66350036' => ['Sparkasse Kraichgau Bruchsal-Bretten-Sinsheim','03'],
		'66360672' => ['Raiffeisenbank Bruchsal','06'],
		'66361178' => ['Raiffeisenbank Kraich-Hardt -alt- Forst, Baden','06'],
		'66361335' => ['Volksbank Bruhrain-Kraich-Hardt Waghausel','06'],
		'66361588' => ['Raiffeisenbank Sulzfeld Sulzfeld, Baden','06'],
		'66362345' => ['Raiffeisenbank Kronau -alt- Kronau, Baden','06'],
		'66363487' => ['Raiffeisenbank Odenheim-Tiefenbach -alt- Ostringen','06'],
		'66390000' => ['Volksbank Bruchsal','06'],
		'66391200' => ['Volksbank Bretten - Raiffeisenbank Bretten, Baden','06'],
		'66391600' => ['Volksbank Bruhrain-Kraich-Hardt Oberhausen-Rheinhausen','06'],
		'66400000' => ['Bundesbank eh Offenburg Freiburg im Breisgau','09'],
		'66420020' => ['Baden-Wurttembergische Bank Offenburg','65'],
		'66432700' => ['Bankhaus J. Fai?t Wolfach','09'],
		'66440084' => ['Commerzbank Offenburg','13'],
		'66450050' => ['Sparkasse Offenburg-Ortenau','03'],
		'66451346' => ['Sparkasse Gengenbach','03'],
		'66451548' => ['Sparkasse Haslach-Zell Haslach im Kinzigtal','03'],
		'66451862' => ['Sparkasse Hanauerland Kehl, Rhein','03'],
		'66452776' => ['Sparkasse Wolfach','03'],
		'66463452' => ['Raiffeisenbank Ortenau-Sud Hohberg b Offenburg','06'],
		'66470024' => ['Deutsche Bank Privat und Geschaftskunden Offenburg','63'],
		'66470035' => ['Deutsche Bank Offenburg','63'],
		'66490000' => ['Volksbank Offenburg','06'],
		'66491300' => ['Volksbank Gengenbach','06'],
		'66491800' => ['Volksbank Buhl Fil Kehl Kehl, Rhein','06'],
		'66492300' => ['Renchtalbank Oppenau','06'],
		'66492600' => ['Volksbank Appenweier-Urloffen Appenweier','06'],
		'66492700' => ['Volksbank Kinzigtal Wolfach','06'],
		'66492800' => ['Volksbank Zell-Oberharmersbach Zell am Harmersbach','06'],
		'66550070' => ['Sparkasse Rastatt-Gernsbach','00'],
		'66551290' => ['Sparkasse Gaggenau-Kuppenheim','00'],
		'66562053' => ['Raiffeisenbank Sudhardt Durmersheim','06'],
		'66562300' => ['VR-Bank in Mittelbaden Iffezheim','06'],
		'66562419' => ['Volksbank Muggensturm','06'],
		'66600000' => ['Bundesbank eh Pforzheim Karlsruhe, Baden','09'],
		'66610111' => ['SEB Pforzheim','13'],
		'66620020' => ['Baden-Wurttembergische Bank Pforzheim','65'],
		'66640035' => ['Commerzbank Pforzheim','13'],
		'66650085' => ['Sparkasse Pforzheim Calw','06'],
		'66661244' => ['Raiffeisenbank Bauschlott Neulingen, Enzkr','06'],
		'66661329' => ['Raiffeisenbank Kieselbronn','06'],
		'66661454' => ['VR Bank Enzkreis Niefern-Oschelbronn','42'],
		'66662155' => ['Raiffeisenbank Ersingen Kampfelbach','06'],
		'66662220' => ['Volksbank Stein Konigsbach-Stein','06'],
		'66663145' => ['Raiffeisenbank Eisingen Eisingen, Baden','06'],
		'66663439' => ['Raiffeisen-Gebietsbank Neuhausen, Enzkr','10'],
		'66670006' => ['Deutsche Bank Pforzheim','63'],
		'66670024' => ['Deutsche Bank Privat und Geschaftskunden Pforzheim','63'],
		'66680013' => ['Dresdner Bank Pforzheim','76'],
		'66690000' => ['Volksbank Pforzheim','43'],
		'66692300' => ['Volksbank Wilferdingen-Keltern Remchingen','06'],
		'66762332' => ['Raiffeisenbank Kirchardt','06'],
		'66762433' => ['Raiffeisenbank Neudenau-Stein-Herbolzheim','06'],
		'66763035' => ['Volksbank Bad Rappenau -alt-','10'],
		'66792200' => ['Volksbank Eppingen -alt-','06'],
		'67000000' => ['Bundesbank Mannheim','09'],
		'67010111' => ['SEB Mannheim','13'],
		'67020020' => ['Baden-Wurttembergische Bank Mannheim','65'],
		'67020190' => ['Bayer Hypo- und Vereinsbank Mannheim','99'],
		'67020259' => ['Bayer Hypo- und Vereinsbank Ndl 681 Mnh Aschheim','70'],
		'67020500' => ['Oyak Anker Bank Mannheim','09'],
		'67030600' => ['ISBANK Mannheim','06'],
		'67040031' => ['Commerzbank Mannheim','13'],
		'67050000' => ['Landesbank Baden-Wurttemberg Mannheim','09'],
		'67050101' => ['Sparkasse Mannheim','00'],
		'67050505' => ['Sparkasse Rhein Neckar Nord Mannheim','06'],
		'67051203' => ['Sparkasse Hockenheim','00'],
		'67052385' => ['Bezirkssparkasse Weinheim Weinheim, Bergstr','06'],
		'67060031' => ['Volksbank Sandhofen Mannheim','06'],
		'67062532' => ['Raiffeisenbank Reilingen','06'],
		'67063217' => ['Volksbank Neckar-Bergstra?e Hirschberg an der Bergstra?e','06'],
		'67070010' => ['Deutsche Bank Mannheim','63'],
		'67070024' => ['Deutsche Bank Privat und Geschaftskunden Mannheim','63'],
		'67080050' => ['Dresdner Bank Mannheim','76'],
		'67089440' => ['Dresdner Bank ITGK Stuttgart','09'],
		'67090000' => ['Volksbank Rhein-Neckar Mannheim','06'],
		'67090617' => ['Deutsche Apotheker- und Arztebank Mannheim','14'],
		'67091300' => ['Volksbank Bezirk Schwetzingen','06'],
		'67091500' => ['Volksbank Neckar-Bergstra?e Schriesheim','06'],
		'67092300' => ['Volksbank Weinheim Weinheim, Bergstr','06'],
		'67210111' => ['SEB Heidelberg, Neckar','13'],
		'67220020' => ['Baden-Wurttembergische Bank Heidelberg, Neckar','65'],
		'67220286' => ['Bayer Hypo- und Vereinsbank Heidelberg, Neckar','99'],
		'67220464' => ['Bayer Hypo- und Vereinsbank Ndl 488 Hd Aschheim','70'],
		'67230000' => ['MLP Bank Heidelberg, Neckar','92'],
		'67230001' => ['MLP Bank Zw CS Heidelberg, Neckar','92'],
		'67240039' => ['Commerzbank Heidelberg, Neckar','13'],
		'67250020' => ['Sparkasse Heidelberg Heidelberg, Neckar','06'],
		'67251918' => ['Sparkasse Sinsheim -alt- Sinsheim, Elsenz','00'],
		'67261909' => ['Raiffeisenbank Steinsberg -alt- Sinsheim, Elsenz','06'],
		'67262243' => ['Raiffeisenbank Baiertal Wiesloch','06'],
		'67262314' => ['Volksbank Ziegelhausen Heidelberg, Neckar','06'],
		'67262402' => ['Volksbank Schwarzbachtal Waibstadt','06'],
		'67262550' => ['Volksbank Rot Sankt Leon-Rot St. Leon-Rot','06'],
		'67262606' => ['Raiffeisen-Volksbank Schriesheim','06'],
		'67263256' => ['Volksbank Helmstadt-Reichartshausen Helmstadt-Bargen','06'],
		'67270003' => ['Deutsche Bank Heidelberg, Neckar','63'],
		'67270024' => ['Deutsche Bank Privat und Geschaftskunden Heidelberg, Neckar','63'],
		'67280051' => ['Dresdner Bank Mannheim','76'],
		'67290000' => ['Heidelberger Volksbank Heidelberg, Neckar','06'],
		'67290100' => ['H + G BANK Heidelberg Heidelberg, Neckar','06'],
		'67290200' => ['Volksbank Kurpfalz Heidelberg Heidelberg, Neckar','06'],
		'67291300' => ['Volksbank Eberbach-Hess Neckartal Eberbach, Baden','06'],
		'67291400' => ['Volksbank Leimen-Sandhausen -alt- Leimen, Baden','06'],
		'67291500' => ['Volksbank f d Angelbachtal Rauenberg, Kraichgau','06'],
		'67291700' => ['Volksbank Neckartal Eberbach, Baden','06'],
		'67291900' => ['Volksbank Kraichgau Sinsheim, Elsenz','06'],
		'67292200' => ['Volksbank Wiesloch','06'],
		'67320020' => ['Baden-Wurttembergische Bank Wertheim a Main','65'],
		'67332551' => ['Baden-Wurttembergische Bank Tauberbischofsheim','65'],
		'67352565' => ['Sparkasse Tauberfranken Tauberbischofsheim','00'],
		'67362210' => ['Volksbank Boxberg -alt- Boxberg, Baden','06'],
		'67362560' => ['Volksbank Tauber -alt- Tauberbischofsheim','06'],
		'67390000' => ['Volksbank Main-Tauber Wertheim a Main','06'],
		'67450048' => ['Sparkasse Neckartal-Odenwald Mosbach, Baden','00'],
		'67451475' => ['Sparkasse Buchen-Walldurn Buchen [Odenwald]','00'],
		'67451680' => ['Sparkasse Osterburken','00'],
		'67460041' => ['Volksbank Mosbach Mosbach, Baden','06'],
		'67461424' => ['Volksbank Franken Buchen [Odenwald]','06'],
		'67461733' => ['Volksbank Kirnau Rosenberg, Baden','06'],
		'67462368' => ['Volksbank Limbach Limbach, Baden','06'],
		'67462480' => ['Raiffeisenbank Schefflenz-Seckach -alt-','06'],
		'68000000' => ['Bundesbank Freiburg im Breisgau','09'],
		'68010111' => ['SEB Freiburg im Breisgau','13'],
		'68020020' => ['Baden-Wurttembergische Bank Freiburg im Breisgau','65'],
		'68020186' => ['Bayer Hypo- und Vereinsbank Freiburg im Breisgau','99'],
		'68020460' => ['Bayer Hypo- und Vereinsbank Ndl 405 Frb Aschheim','70'],
		'68030000' => ['Bankhaus E. Mayer Freiburg im Breisgau','32'],
		'68040007' => ['Commerzbank Freiburg im Breisgau','13'],
		'68050000' => ['Landesbank Baden-Wurttemberg Freiburg im Breisgau','09'],
		'68050101' => ['Sparkasse Freiburg-Nordlicher Breisgau Freiburg im Breisgau','01'],
		'68051004' => ['Sparkasse Hochschwarzwald Titisee-Neustadt','00'],
		'68051207' => ['Sparkasse Bonndorf-Stuhlingen Bonndorf im Schwarzwald','00'],
		'68051310' => ['Sparkasse Breisach -alt- Breisach am Rhein','00'],
		'68052025' => ['Sparkasse Freiburg-Nordlicher Breisgau -alt- Emmendingen','00'],
		'68052230' => ['Bezirkssparkasse St Blasien St. Blasien','00'],
		'68052328' => ['Sparkasse Staufen-Breisach Staufen im Breisgau','00'],
		'68052435' => ['Sparkasse Freiburg-Nordlicher Breisgau -alt- Waldkirch, Breisgau','00'],
		'68052863' => ['Sparkasse Schonau-Todtnau','00'],
		'68061505' => ['Volksbank Breisgau-Sud Heitersheim','06'],
		'68062105' => ['Raiffeisenbank Denzlingen','06'],
		'68062730' => ['Raiffeisenbank Wyhl Wyhl am Kaiserstuhl','06'],
		'68063068' => ['Volksbank Emmendingen-Kaiserstuhl Eichstetten am Kaiserstuhl','06'],
		'68063254' => ['Spar- u Kreditbank Bad Krozingen-Heitersheim','06'],
		'68063479' => ['Raiffeisenbank Kaiserstuhl Vogtsburg im Kaiserstuhl','06'],
		'68064222' => ['Raiffeisenbank Gundelfingen, Breisgau','06'],
		'68070024' => ['Deutsche Bank Privat und Geschaftskunden Freiburg im Breisgau','63'],
		'68070030' => ['Deutsche Bank Freiburg im Breisgau','63'],
		'68080030' => ['Dresdner Bank Freiburg im Breisgau','76'],
		'68080031' => ['Dresdner Bank Zw Munsterstra?e Freiburg im Breisgau','76'],
		'68090000' => ['Volksbank Freiburg Freiburg im Breisgau','06'],
		'68090622' => ['Deutsche Apotheker- und Arztebank Freiburg im Breisgau','14'],
		'68090900' => ['PSD Bank RheinNeckarSaar Freiburg im Breisgau','91'],
		'68091000' => ['Volksbank Hochschwarzwald -alt- Titisee-Neustadt','06'],
		'68091700' => ['Volksbank Loffingen','06'],
		'68091900' => ['Volksbank Mullheim Mullheim, Baden','06'],
		'68092000' => ['Volksbank Breisgau Nord Emmendingen','06'],
		'68092300' => ['Volksbank Staufen Staufen im Breisgau','06'],
		'68092400' => ['Volksbank Waldkirch Waldkirch, Breisgau','06'],
		'68092500' => ['Kaiserstuhler Volksbank -alt- Endingen am Kaiserstuhl','06'],
		'68250040' => ['Sparkasse Lahr -alt- Lahr, Schwarzwald','03'],
		'68261476' => ['Volksbank Unterer Breisgau Rheinhausen, Breisgau','06'],
		'68263318' => ['Raiffeisenbank Kappel-Grafenhausen','06'],
		'68270024' => ['Deutsche Bank Privat und Geschaftskunden Lahr, Schwarzwald','63'],
		'68270033' => ['Deutsche Bank Lahr, Schwarzwald','63'],
		'68290000' => ['Volksbank Lahr Lahr, Schwarzwald','06'],
		'68291200' => ['Volksbank Unterer Breisgau Ettenheim','06'],
		'68300000' => ['Bundesbank eh Lorrach Freiburg im Breisgau','09'],
		'68310111' => ['SEB Lorrach','13'],
		'68320020' => ['Baden-Wurttembergische Bank Lorrach','65'],
		'68340058' => ['Commerzbank Lorrach','13'],
		'68350048' => ['Sparkasse Lorrach-Rheinfelden','00'],
		'68351557' => ['Sparkasse Schopfheim-Zell','00'],
		'68351865' => ['Sparkasse Markgraflerland Weil am Rhein','00'],
		'68351976' => ['Sparkasse Zell i W -alt- Zell im Wiesental','00'],
		'68361394' => ['Raiffeisenbank Maulburg -alt-','06'],
		'68370024' => ['Deutsche Bank Privat und Geschaftskunden Lorrach','63'],
		'68370034' => ['Deutsche Bank Lorrach','63'],
		'68390000' => ['Volksbank Dreilandereck Lorrach','06'],
		'68391500' => ['VR Bank Schopfheim','06'],
		'68452290' => ['Sparkasse Hochrhein Waldshut-Tiengen','00'],
		'68461313' => ['Volksbank Klettgau -alt-','06'],
		'68462427' => ['Volksbank Klettgau-Wutoschingen','06'],
		'68463203' => ['Hotzenwald-Bank -alt- Gorwihl','06'],
		'68463379' => ['Raiffeisenbank Dogern-Laufenburg -alt- Laufenburg [Baden]','06'],
		'68490000' => ['Volksbank Rhein-Wehra Bad Sackingen','06'],
		'68491500' => ['Volksbank Jestetten','06'],
		'68492200' => ['Volksbank Hochrhein Waldshut-Tiengen','06'],
		'69000000' => ['Bundesbank eh Konstanz Villingen-Schwenningen','09'],
		'69010111' => ['SEB Konstanz','13'],
		'69020020' => ['Baden-Wurttembergische Bank Konstanz','65'],
		'69020190' => ['Bayer Hypo- und Vereinsbank Konstanz','99'],
		'69040045' => ['Commerzbank Konstanz','13'],
		'69050001' => ['Sparkasse Bodensee Konstanz','00'],
		'69051410' => ['Bezirkssparkasse Reichenau Reichenau, Baden','00'],
		'69051620' => ['Sparkasse Pfullendorf-Me?kirch Pfullendorf, Baden','00'],
		'69051725' => ['Sparkasse Salem-Heiligenberg Salem, Baden','00'],
		'69051830' => ['Spk -alt- Uberlingen, Bodensee','00'],
		'69061800' => ['Volksbank Uberlingen, Bodensee','06'],
		'69070024' => ['Deutsche Bank Privat und Geschaftskunden Konstanz','63'],
		'69070032' => ['Deutsche Bank Konstanz','63'],
		'69091200' => ['Hagnauer Volksbank Hagnau am Bodensee','06'],
		'69091600' => ['Volksbank Pfullendorf Pfullendorf, Baden','06'],
		'69220020' => ['Baden-Wurttembergische Bank Singen [Hohentwiel]','65'],
		'69220186' => ['Bayer Hypo- und Vereinsbank Singen [Hohentwiel]','99'],
		'69230010' => ['Privatbank Reithinger Singen [Hohentwiel]','09'],
		'69240075' => ['Commerzbank Singen [Hohentwiel]','13'],
		'69250035' => ['Sparkasse Singen-Radolfzell Singen [Hohentwiel]','00'],
		'69251445' => ['Sparkasse Engen-Gottmadingen Engen, Hegau','00'],
		'69251550' => ['Sparkasse Gottmadingen -alt-','00'],
		'69251755' => ['Sparkasse Stockach Stockach, Baden','00'],
		'69270024' => ['Deutsche Bank Privat und Geschaftskunden Singen [Hohentwiel]','63'],
		'69270038' => ['Deutsche Bank Singen [Hohentwiel]','63'],
		'69280035' => ['Dresdner Bank Singen [Hohentwiel]','76'],
		'69290000' => ['Volksbank Singen-Engen Singen [Hohentwiel]','06'],
		'69291000' => ['Volksbank Konstanz','06'],
		'69352060' => ['Sparkasse Me?kirch','01'],
		'69362032' => ['Volksbank Me?kirch Raiffeisenbank','06'],
		'69362373' => ['Raiffeisenbank Sudlicher Heuberg Emmingen-Liptingen','06'],
		'69400000' => ['Bundesbank Villingen-Schwenningen','09'],
		'69421020' => ['Baden-Wurttembergische Bank Donaueschingen','65'],
		'69440007' => ['Commerzbank Villingen u Schwenningen Villingen-Schwenningen','13'],
		'69450065' => ['Sparkasse Schwarzwald-Baar Villingen-Schwenningen','03'],
		'69451070' => ['Sparkasse Donaueschingen','03'],
		'69451480' => ['Bezirkssparkasse Furtwangen -alt- Furtwangen im Schwarzwald','03'],
		'69461312' => ['Volksbank Baar Bad Durrheim, Schwarzw','06'],
		'69461803' => ['VB Tennenbronn-Konigsfeld SpKrBk Konigsfd-alt- Konigsfeld im Schwarzwald','06'],
		'69462647' => ['Volksbank Tennenbronn-Konigsfeld -alt-','06'],
		'69470024' => ['Deutsche Bank Privat und Geschaftskunden Villingen-Schwenningen','63'],
		'69470039' => ['Deutsche Bank Villingen u Schwenningen Villingen-Schwenningen','63'],
		'69490000' => ['Volksbank Villingen-Schwenningen','06'],
		'69491700' => ['Volksbank Triberg Triberg im Schwarzwald','06'],
		'70000000' => ['Bundesbank Munchen','09'],
		'70010080' => ['Postbank [Giro] Munchen','24'],
		'70010111' => ['SEB Munchen','13'],
		'70010424' => ['Aareal Bank Munchen','09'],
		'70010500' => ['Hypo Real Estate Bank Munchen','09'],
		'70011000' => ['HSH Nordbank Hypo Hamburg','09'],
		'70011200' => ['Bank Vontobel Osterreich Munchen','09'],
		'70011700' => ['Von der Heydt Kersten, M?nchen', '01'],
		'70011800' => ['Hypo Alpe-Adria-Bank Ndl Munchen','00'],
		'70011900' => ['InterCard Taufkirchen, Kr Munchen','10'],
		'70012000' => ['Hypo- und Vereinsbank Gf UNICREDIT CLARIMA BANCA, M?nchen', '09'],
		'70012500' => ['Hypo Tirol Bank, M?nchen', '50'],
		'70020001' => ['Bayer Hypo- und Vereinsbank Ndl 645 M Aschheim','70'],
		'70020270' => ['Bayer Hypo- und Vereinsbank Munchen','95'],
		'70020300' => ['Cetelem Bank Munchen','09'],
		'70020500' => ['Sozialbank Munchen','09'],
		'70020800' => ['SANPAOLO IMI Bank SPA Munchen','09'],
		'70021180' => ['Bayer Hypo- und Vereinsbank Freising, Oberbay','99'],
		'70025175' => ['Bayer Hypo- und Vereinsbank Bad Tolz','99'],
		'70030014' => ['Furst Fugger Privatbank Munchen','00'],
		'70030111' => ['Bankhaus Max Flessa & Co. Munchen','09'],
		'70030300' => ['Bankhaus Reuschel & Co Munchen','09'],
		'70030400' => ['Merck Finck & Co Munchen','10'],
		'70030800' => ['Delbruck Bethmann Maffei Munchen','00'],
		'70031000' => ['Bankhaus Ludwig Sperrer Freising, Oberbay','00'],
		'70040041' => ['Commerzbank Munchen','13'],
		'70040060' => ['Commerzbank Gf 860, M?nchen', '09'],
		'70040061' => ['Commerzbank Gf 861, M?nchen', '09'],
		'70045050' => ['Commerzbank Service-BZ Munchen','13'],
		'70050000' => ['Bayerische Landesbank Munchen','09'],
		'70051003' => ['Sparkasse Freising Freising, Oberbay','00'],
		'70051540' => ['Sparkasse Dachau','00'],
		'70051755' => ['Kreis- und Stadtsparkasse Dorfen -alt-','00'],
		'70051805' => ['Kreissparkasse Ebersberg Ebersberg, Oberbay','00'],
		'70051995' => ['Kreis- und Stadtsparkasse Erding-Dorfen','00'],
		'70052060' => ['Sparkasse Landsberg-Die?en Landsberg am Lech','00'],
		'70053070' => ['Sparkasse Furstenfeldbruck','00'],
		'70054080' => ['Sparkasse Starnberg','00'],
		'70054306' => ['Sparkasse Bad Tolz-Wolfratshausen','00'],
		'70070010' => ['Deutsche Bank Munchen','63'],
		'70070024' => ['Deutsche Bank Privat und Geschaftskunden Munchen','63'],
		'70070989' => ['Eurohypo Ndl DB Munchen','63'],
		'70080000' => ['Dresdner Bank Munchen','76'],
		'70080090' => ['Dresdner Bank Gf Munchen','76'],
		'70089470' => ['Dresdner Bank ITGK Munchen','09'],
		'70089472' => ['Dresdner Bank ITGK, M?nchen', '09'],
		'70090100' => ['Bank fur Haus- und Grundbesitz in Munchen','09'],
		'70090500' => ['Sparda-Bank Munchen','81'],
		'70090606' => ['Deutsche Apotheker- und Arztebank Munchen','14'],
		'70090800' => ['BBBank Zndl Bayern Munchen','32'],
		'70091500' => ['Volksbank Raiffeisenbank Dachau','88'],
		'70091600' => ['Landsberg-Ammersee Bank Kaufering','88'],
		'70091900' => ['VR-Bank Erding','88'],
		'70093200' => ['VR-Bank Starnberg-Herrsching-Landsberg','88'],
		'70093400' => ['Volksbank Raiffeisenbank Ismaning','88'],
		'70110088' => ['Postbank [Spar] Munchen','09'],
		'70110500' => ['Munchener Hypothekenbank','09'],
		'70110600' => ['Banca Popolare di Bergamo Ndl Munchen','09'],
		'70120100' => ['State Street Bank Munchen','09'],
		'70120200' => ['ABN AMRO Bank Ndl Deutschland Munchen','10'],
		'70120400' => ['DAB bank Munchen','00'],
		'70120500' => ['Financial Markets Service Bank Munchen','00'],
		'70120600' => ['Salzburg Munchen Bank','30'],
		'70120700' => ['Oberbank Bayern Munchen','00'],
		'70120800' => ['Emporiki Bank - Germany Munchen','06'],
		'70120900' => ['Bayer Hypo- und Vereinsbank Ndl BACA Aschheim','09'],
		'70121099' => ['Bayer Hypo- und Vereinsbank Scheckeinzug [GSE] Aschheim','95'],
		'70130500' => ['LHB Internationale Handelsbank Fil Munchen','00'],
		'70130700' => ['Lenz, August - & Co Munchen','09'],
		'70130800' => ['Merkur Bank Munchen','88'],
		'70150000' => ['Stadtsparkasse Munchen','00'],
		'70160000' => ['DZ BANK Munchen','09'],
		'70160300' => ['Raiffeisenbank Munchen','88'],
		'70163370' => ['Volksbank Raiffeisenbank Furstenfeldbruck','88'],
		'70166486' => ['VR Bank Munchen Land Deisenhofen b Munchen','88'],
		'70169106' => ['Raiffeisenbank Trostberg -alt-','88'],
		'70169110' => ['Raiffeisenbank Beyharting Tuntenhausen','88'],
		'70169132' => ['Raiffeisenbank Griesstatt-Halfing','88'],
		'70169140' => ['Raiffeisenbank Inzell -alt-','88'],
		'70169144' => ['Raiffeisenbank Hohenrain-Kirchdorf Bruckmuhl, Mangfall','88'],
		'70169160' => ['Raiffeisenbank Palling -alt- Palling, Oberbay','88'],
		'70169162' => ['Raiffeisenbank Petting','88'],
		'70169165' => ['Raiffeisenbank Chiemgau-Nord - Obing','88'],
		'70169168' => ['VR-Bank Chiemgau-Sud Ruhpolding','88'],
		'70169174' => ['Raiffeisenbank Rupertiwinkel-Nord Saaldorf-Surheim','88'],
		'70169175' => ['Volks-Raiffeisenbk Salzachtal Waging Trostberg','88'],
		'70169179' => ['Volksbank Siegsdorf-Bergen -Raiffeisenbank- Siegsdorf, Oberbay','88'],
		'70169182' => ['Raiffeisenbank Schnaitsee-Waldhausen','88'],
		'70169186' => ['Raiffeisenbank Pfaffenhofen a d Glonn Odelzhausen','88'],
		'70169190' => ['Raiffeisenbank Tattenh-Gro?karolinenf Gro?karolinenfeld','88'],
		'70169191' => ['Raiffeisenbank Rupertiwinkel Teisendorf','88'],
		'70169195' => ['Raiffeisenbank Trostberg-Traunreut','88'],
		'70169310' => ['Raiffeisenbank Alxing-Bruck Bruck, Oberbay','88'],
		'70169322' => ['Raiffeisenbank Aufkirchen -alt- Berg, Starnberger See','88'],
		'70169331' => ['Raiffeisenbank sudostl. Starnberger See Seeshaupt','88'],
		'70169333' => ['Raiffeisenbank Beuerberg-Eurasburg Eurasburg b Wolfratshausen','88'],
		'70169343' => ['Raifffeisenbank Dingharting-Stra?lach Stra?lach-Dingharting','88'],
		'70169344' => ['Raiffeisen-Volksbank -alt- Dorfen','88'],
		'70169348' => ['Raiffeisenbank Eching -alt- Eching, Kr Freising','88'],
		'70169351' => ['Raiffeisenbank Nordkreis Landsberg Egling a d Paar','88'],
		'70169353' => ['Raiffeisenbank Endlhausen Egling b Wolfratshausen','88'],
		'70169356' => ['Raiffeisenbank Erding','88'],
		'70169358' => ['Raiffeisenbank Eresing','88'],
		'70169364' => ['Raiffeisenbank Feldkirchen -alt- Feldkirchen, Kr Munchen','88'],
		'70169372' => ['Raiffeisenbank Gai?ach, Oberbay','88'],
		'70169380' => ['Raiffeisenbank Germering-Olching Germering, Oberbay','88'],
		'70169382' => ['Raiffeisenbank Gilching','88'],
		'70169383' => ['Raiffeisenbank Gmund a. Tegernsee','88'],
		'70169384' => ['Raiffeisen-Volksbank Grafing-Ebersberg Grafing b. Munchen','88'],
		'70169388' => ['Raiffeisenbank Haag-Gars-Maitenbeth Haag i.OB','88'],
		'70169402' => ['Raiffeisenbank Hohenkirchen und Umgebung Hohenkirchen-Siegertsbrunn','88'],
		'70169410' => ['Raiffeisenbank Holzkirchen-Otterfing Holzkirchen, Oberbay','88'],
		'70169411' => ['Raiffeisenbank Huglfing -alt-','88'],
		'70169413' => ['Raiffeisenbank Singoldtal Hurlach, Oberbay','88'],
		'70169426' => ['Raiffeisenbank Kaufering-Landsberg -alt-','88'],
		'70169432' => ['Raiffeisenbank Garching-Kirchweidach Garching a d Alz','88'],
		'70169433' => ['Raiffeisenbank Konigsdorf-Gelting Konigsdorf, Oberbay','88'],
		'70169444' => ['Raiffeisenbank im Isarwinkel Lenggries','88'],
		'70169450' => ['Raiffeisenbank Glonn-A?ling-Steinhoring','88'],
		'70169459' => ['Raiffeisenbank Mittenwald','88'],
		'70169460' => ['Raiffeisenbank Westkreis Furstenfeldbruck Moorenweis','88'],
		'70169464' => ['Genossenschaftsbank Munchen','88'],
		'70169465' => ['Raiffeisenbank Munchen-Nord Unterschlei?heim','88'],
		'70169466' => ['Raiffeisenbank Munchen-Sud','88'],
		'70169471' => ['Raiffeisenbank -alt- Neuching','88'],
		'70169472' => ['Raiffeisenbank Hallbergmoos-Neufahrn Neufahrn b. Freising','88'],
		'70169474' => ['Raiffbk Neumarkt-St. Veit - Niederbergkirchen Neumarkt-Sankt Veit','88'],
		'70169476' => ['Raiffeisenbank -alt- Niederbergkirchen','88'],
		'70169484' => ['Raiffeisenbank Ampfing -alt-','88'],
		'70169493' => ['Raiffeisenbank Oberschlei?heim','88'],
		'70169495' => ['Raiffeisenbank Buchbach-Schwindegg Buchbach, Oberbay','88'],
		'70169505' => ['Raiffeisenbank Anzing-Forstern -alt- Forstern, Oberbay','88'],
		'70169509' => ['Raiffeisenbank Pfaffenwinkel Peiting','88'],
		'70169521' => ['Raiffeisenbank Raisting Raisting, Oberbay','88'],
		'70169524' => ['Raiffeisenbank RSA Rechtmehring','88'],
		'70169530' => ['Raiffeisenbank Reischach-Wurmannsquick-Zeilarn Reischach, Kr Altotting','88'],
		'70169538' => ['Raiffeisenbank St. Wolfgang-Schwindkirchen Sankt Wolfgang','88'],
		'70169541' => ['Raiffeisenbank Lech-Ammersee Vilgertshofen','88'],
		'70169543' => ['Raiffeisenbank Isartal Schaftlarn','88'],
		'70169558' => ['Raiffeisenbank Steingaden, Oberbay','88'],
		'70169566' => ['VR-Bank Taufkirchen-Dorfen Taufkirchen [Vils]','88'],
		'70169568' => ['Raiffeisenbank Taufkirchen-Oberneukirchen','88'],
		'70169570' => ['Raiffeisenbank Thalheim Fraunberg, Oberbay','88'],
		'70169571' => ['Raiffeisenbank Dietramszell-Thanning','88'],
		'70169572' => ['Raiffeisenbank Toging a. Inn','88'],
		'70169575' => ['Raiffeisenbank Turkheim, Wertach','88'],
		'70169576' => ['Raiffeisen-Volksbank Tu?ling','88'],
		'70169579' => ['Raiffeisenbank Obersochering -alt- Uffing a. Staffelsee','88'],
		'70169585' => ['Raiffeisenbank Unterschlei?heim-Haimhn -alt-','88'],
		'70169590' => ['Raiffeisenbank im Oberland Reichersbeuern','88'],
		'70169593' => ['Raiffbk Waldkraiburg-Aschau-Heldenstein -alt-','88'],
		'70169596' => ['Raiffeisenbank Walpertskirchen-Worth-Horlkofen','88'],
		'70169598' => ['Raiffeisenbank Miesbach','88'],
		'70169599' => ['Raiffeisenbank Weil u Umgebung Weil, Kr Landsberg a Lech','88'],
		'70169602' => ['Raiffeisenbank Weilheim Weilheim i. OB','88'],
		'70169604' => ['Raiffeisenbank Vierseenland We?ling, Oberbay','88'],
		'70169605' => ['Raiffeisen-Volksbank Isen-Sempt Isen, Oberbay','88'],
		'70169614' => ['Freisinger Bank Volksbank-Raiffeisenbank Freising, Oberbay','88'],
		'70169615' => ['Raiffeisenbank -alt- Altomunster','88'],
		'70169619' => ['Raiffeisenbank Zorneding','88'],
		'70169653' => ['Raiffeisenbank Aiglsbach','88'],
		'70169693' => ['Raiffeisenbank Hallertau Rudelzhausen','88'],
		'70169943' => ['Raiffeisenbank Ismaning','88'],
		'70190000' => ['Munchner Bank Munchen','88'],
		'70190200' => ['IntegraBank Munchen','88'],
		'70220000' => ['LfA Forderbank Bayern Munchen','09'],
		'70220200' => ['BHF-BANK Munchen','60'],
		'70220300' => ['BMW Bank Munchen','09'],
		'70220400' => ['Hanseatic Bank Munchen','09'],
		'70220700' => ['Vereinsbank Victoria Bauspar [ehem Heimstatt] Munchen','09'],
		'70220800' => ['Vereinsbank Victoria Bauspar Munchen','07'],
		'70220900' => ['Allianz Dresdner Bauspar Munchen','61'],
		'70230000' => ['ADVANCE BANK NDL der Dresdner Bank Munchen','00'],
		'70230600' => ['Isbank Fil Munchen','06'],
		'70250150' => ['Kreissparkasse Munchen Starnberg','00'],
		'70300000' => ['Bundesbank eh Garmisch-Partenkirchen Munchen','09'],
		'70320090' => ['Bayer Hypo- und Vereinsbank Garmisch-Partenkirchen','99'],
		'70320305' => ['Bayer Hypo- und Vereinsbank Ndl 635 Gar Aschheim','70'],
		'70321194' => ['Bayer Hypo- und Vereinsbank Weilheim i. OB','99'],
		'70322192' => ['Bayer Hypo- und Vereinsbank Murnau a. Staffelsee','99'],
		'70350000' => ['Kreissparkasse Garmisch-Partenkirchen','00'],
		'70351030' => ['Vereinigte Sparkassen im Landkreis Weilheim Weilheim i. OB','00'],
		'70362595' => ['Raiffeisenbank Wallgau-Krun','88'],
		'70380006' => ['Dresdner Bank Garmisch-Partenkirchen','76'],
		'70390000' => ['VR-Bank im Landkreis Garmisch-Partenkirchen','88'],
		'70391800' => ['Volksbank-Raiffeisenbank Penzberg','88'],
		'71000000' => ['Bundesbank eh Bad Reichenhall Munchen','09'],
		'71020072' => ['Bayer Hypo- und Vereinsbank Bad Reichenhall','99'],
		'71021270' => ['Bayer Hypo- und Vereinsbank Neuotting','99'],
		'71022182' => ['Bayer Hypo- und Vereinsbank Traunstein, Oberbay','99'],
		'71023173' => ['Bayer Hypo- und Vereinsbank Burghausen, Salzach','99'],
		'71050000' => ['Sparkasse Berchtesgadener Land Bad Reichenhall','00'],
		'71051010' => ['Kreissparkasse Altotting-Burghausen','00'],
		'71052050' => ['Kreissparkasse Traunstein-Trostberg Traunstein, Oberbay','00'],
		'71061009' => ['RVB in den Landkreisen Altotting-Muhldorf','88'],
		'71062194' => ['Volksbank Raiffeisen Traunstein Traunstein, Oberbay','88'],
		'71062573' => ['Raiffeisen-Volksbank Ruhpolding-Inzell -alt-','88'],
		'71062802' => ['Raiffeisenbank Anger b Bad Reichenhall','88'],
		'71090000' => ['Volksbank Raiffeisenbank Berchtesgadener Land Bad Reichenhall','88'],
		'71093000' => ['Volksbank Burghausen Burghausen, Salzach','88'],
		'71100000' => ['Bundesbank eh Rosenheim Munchen','09'],
		'71120077' => ['Bayer Hypo- und Vereinsbank Rosenheim, Oberbay','99'],
		'71120078' => ['Bayer Hypo- und Vereinsbank Rottach-Egern','99'],
		'71121176' => ['Bayer Hypo- und Vereinsbank Muhldorf a. Inn','99'],
		'71122183' => ['Bayer Hypo- und Vereinsbank Waldkraiburg','99'],
		'71130000' => ['Erste Rosenheimer Privatbank Rosenheim, Oberbay','09'],
		'71140041' => ['Commerzbank Rosenheim, Oberbay','13'],
		'71141041' => ['Commerzbank Muhldorf a. Inn','13'],
		'71142041' => ['Commerzbank Waldkraiburg','13'],
		'71150000' => ['Sparkasse Rosenheim Rosenheim, Oberbay','00'],
		'71151020' => ['Kreissparkasse Muhldorf Muhldorf a. Inn','00'],
		'71151240' => ['Kreissparkasse Bad Aibling','00'],
		'71152570' => ['Kreissparkasse Miesbach-Tegernsee','00'],
		'71152680' => ['Kreis- und Stadtsparkasse Wasserburg Wasserburg a. Inn','00'],
		'71160000' => ['Volksbank Raiffeisenbank Mangfalltal-Rosenheim, Hausham', '88'],
		'71160161' => ['Raiffeisenbank Rosenheim, Oberbay','88'],
		'71161964' => ['Volksbank-Raiffeisenbank Chiemsee Prien a. Chiemsee','88'],
		'71162355' => ['Raiffeisenbank Oberaudorf','88'],
		'71162804' => ['Raiffeisenbank Aschau-Samerberg Aschau i. Chiemgau','88'],
		'71165150' => ['Raiffeisenbank Mangfalltal Bad Aibling','88'],
		'71180005' => ['Dresdner Bank Rosenheim, Oberbay','76'],
		'71190000' => ['Volksbank Rosenheim Rosenheim, Oberbay','88'],
		'71191000' => ['VR Bank Muhldorf-Ampfing Muhldorf a. Inn','88'],
		'72000000' => ['Bundesbank Augsburg, Bay','09'],
		'72010111' => ['SEB Augsburg, Bay','13'],
		'72012300' => ['Bank f?r Tirol und Vorarlberg Deutschland, Memmingen', '26'],
		'72020070' => ['Bayer Hypo- und Vereinsbank Augsburg, Bay','99'],
		'72020240' => ['Bayer Hypo- und Vereinsbank Ndl 677 Agsb Aschheim','70'],
		'72020700' => ['Augsburger Aktienbank Augsburg, Bay','09'],
		'72021271' => ['Bayer Hypo- und Vereinsbank Aichach a d Paar','99'],
		'72021876' => ['Bayer Hypo- und Vereinsbank Gunzburg','99'],
		'72030014' => ['Furst Fugger Privatbank Augsburg, Bay','00'],
		'72030227' => ['Hafner, Anton - Bankgeschaft Augsburg, Bay','00'],
		'72040046' => ['Commerzbank Augsburg, Bay','13'],
		'72050000' => ['Stadtsparkasse Augsburg Augsburg, Bay','00'],
		'72050101' => ['Kreissparkasse Augsburg Augsburg, Bay','00'],
		'72051210' => ['Stadtsparkasse Aichach Aichach a d Paar','00'],
		'72051303' => ['Marktsparkasse Altomunster -alt-','00'],
		'72051840' => ['Sparkasse Gunzburg-Krumbach','00'],
		'72052370' => ['Sparkasse Gunzburg-Krumbach -alt- Krumbach [Schwaben]','00'],
		'72060300' => ['Handels- und Gewerbebank Augsburg Augsburg, Bay','88'],
		'72062152' => ['Raiffeisenbank-Volksbank Meitingen','88'],
		'72069002' => ['Raiffeisenbank Adelzhausen-Sielenbach','88'],
		'72069005' => ['Raiffeisenbank Aindling','88'],
		'72069025' => ['Raiffeisenbank Balzhausen b Krumbach','88'],
		'72069034' => ['Raiffeisenbank Bissingen, Schwab','88'],
		'72069036' => ['Raiffeisenbank Bobingen','88'],
		'72069043' => ['Raiffeisenbank Burgau, Schwab','88'],
		'72069048' => ['Raiffeisenbank Dasing-Obergriesbach -alt-','88'],
		'72069063' => ['Raiffbk Eppishausen-Haselbach-Hasberg -alt-','88'],
		'72069071' => ['Raiffeisenbank Fristingen-Kicklingen Dillingen a d Donau','88'],
		'72069081' => ['Raiffeisenbank Gersthofen','88'],
		'72069082' => ['Raiffbk Gessertshausen-Ustersbach-Dinkelscherb','88'],
		'72069090' => ['Raiffeisenbank Kotz','88'],
		'72069105' => ['Raiffeisenbank Hiltenfingen','88'],
		'72069108' => ['Raiffeisenbank Hochstadt u. U. -alt- Hochstadt a d Donau','88'],
		'72069112' => ['Raiffeisenbank Hollenbach b Aichach','88'],
		'72069113' => ['Raiffeisenbank Aschberg Holzheim, Kr Dillingen','88'],
		'72069114' => ['Raiffeisenbank Holzheim b Neu-Ulm','88'],
		'72069116' => ['Raiffeisenbank Horgau','88'],
		'72069119' => ['Raiffeisenbank Ichenhausen','88'],
		'72069121' => ['Raiffeisenbank Inchenhofen','88'],
		'72069123' => ['Raiffeisenbank Jettingen-Scheppach','88'],
		'72069126' => ['Raiffeisenbank Bibertal, Schwab','88'],
		'72069132' => ['Raiffeisenbank Krumbach [Schwaben]','88'],
		'72069135' => ['Raiffeisenbank Stauden Langenneufnach','88'],
		'72069138' => ['Raiffeisenbank Langerringen','88'],
		'72069139' => ['Raiffeisenbank Langweid-Achsheim Langweid a. Lech','88'],
		'72069141' => ['Raiffeisenbank -alt- Emersacker','88'],
		'72069145' => ['Raiffeisenbank Breitenbrunn-Loppenhsn-Bedernau Breitenbrunn, Schwab','88'],
		'72069155' => ['Raiffeisenbank Kissing-Mering Mering, Schwab','88'],
		'72069165' => ['Raiffeisenbank Neuburg an der Kammel Neuburg a d Kammel','88'],
		'72069168' => ['Vereinigte Raiffeisenbank in Niederraunau Krumbach [Schwaben]','88'],
		'72069179' => ['Raiffeisenbank Unteres Zusamtal Buttenwiesen','88'],
		'72069181' => ['Raiffeisenbank Offingen, Donau','88'],
		'72069188' => ['Raiffeisenbank Pfaffenhofen a d Roth','88'],
		'72069193' => ['Raiffeisenbank Rehling','88'],
		'72069209' => ['Raiffeisenbank Roggenburg, Schwab','88'],
		'72069220' => ['Raiffeisenbank Schwabmunchen','88'],
		'72069233' => ['Raiffeisenbank Thalfingen Elchingen, Donau','88'],
		'72069235' => ['Raiffeisenbank Thannhausen, Schwab','88'],
		'72069253' => ['Raiffeisenbank Welden und Umgebung -alt- Welden b Augsburg','88'],
		'72069263' => ['Raiffeisenbank Wittislingen','88'],
		'72069274' => ['Raiffeisenbank Zusmarshsn-Altenmunster-Welden Zusmarshausen','88'],
		'72069308' => ['Raiffeisen-Volksbank Wemding','88'],
		'72069314' => ['Raiffeisenbank Harburg -alt- Harburg [Schwaben]','88'],
		'72069325' => ['Raiffeisenbank Mottingen -alt-','88'],
		'72069329' => ['Raiffeisen-Volksbank Ries Nordlingen','88'],
		'72069330' => ['Raiffeisenbank Oberes Kesseltal -alt- Forheim','88'],
		'72069736' => ['Raiffeisenbank Iller-Roth-Gunz Bellenberg, Schwab','88'],
		'72069742' => ['Raiffeisenbank Echsheim Pottmes','88'],
		'72069748' => ['Raiffeisenbank Holzheim-Munster -alt- Holzheim b Rain, Lech','88'],
		'72069789' => ['Raiffeisenbank Pfaffenhausen Pfaffenhausen, Schwab','88'],
		'72070001' => ['Deutsche Bank Augsburg, Bay','63'],
		'72070024' => ['Deutsche Bank Privat und Geschaftskunden Augsburg, Bay','63'],
		'72080001' => ['Dresdner Bank Augsburg, Bay','76'],
		'72090000' => ['Augusta-Bank Raiffeisen-Volksbank Augsburg, Bay','88'],
		'72090500' => ['Sparda-Bank Augsburg Augsburg, Bay','84'],
		'72090900' => ['PSD Bank Munchen Augsburg, Bay','91'],
		'72091800' => ['Volksbank Gunzburg','10'],
		'72100000' => ['Bundesbank eh Ingolstadt Munchen','09'],
		'72120078' => ['Bayer Hypo- und Vereinsbank Ingolstadt, Donau','99'],
		'72120079' => ['Bayer Hypo- und Vereinsbank Ingolstadt, Donau','99'],
		'72120207' => ['Bayer Hypo- und Vereinsbank Ndl 648 Ing Aschheim','70'],
		'72122181' => ['Bayer Hypo- und Vereinsbank Neuburg a d Donau','99'],
		'72140052' => ['Commerzbank Ingolstadt, Donau','13'],
		'72150000' => ['Sparkasse Ingolstadt Ingolstadt, Donau','00'],
		'72151340' => ['Sparkasse Eichstatt Eichstatt, Bay','00'],
		'72151650' => ['Vereinigte Sparkassen Pfaffenhofen Pfaffenhofen a d Ilm','00'],
		'72151880' => ['Stadtsparkasse Schrobenhausen','00'],
		'72152070' => ['Stadtsparkasse Neuburg Neuburg a d Donau','00'],
		'72160818' => ['Raiffeisenbk Ingolstadt-Pfaffenhofen-Eichstatt Ingolstadt, Donau','88'],
		'72162826' => ['VB-Raiffbk Gro?m-Kosching-Manching-Pforring','88'],
		'72169013' => ['Raiffeisenbank Aresing-Horzhausen-Schiltberg Aresing, Oberbay','88'],
		'72169080' => ['Raiffeisenbank Gerolsbach','88'],
		'72169111' => ['Raiffeisenbank Hohenwart, Paar','88'],
		'72169218' => ['Raiffeisenbank Schrobenhausen','88'],
		'72169246' => ['Raiffeisenbank Schrobenhausener Land Langenmosen','88'],
		'72169380' => ['Raiffeisenbank Beilngries','88'],
		'72169733' => ['Raiffeisenbank Berg im Gau-Langenmosen -alt-','88'],
		'72169740' => ['Raiffeisenbank Burgheim, Oberbay','88'],
		'72169745' => ['Raiffeisenbank Ehekirchen-Weidorf Ehekirchen, Oberbay','88'],
		'72169750' => ['Raiffeisenbank -alt- Karlshuld','88'],
		'72169751' => ['Raiffeisenbank Hohenried-Karlskron -alt-','88'],
		'72169753' => ['Raiffeisenbank Ober-Unterhausen-Sinning Oberhausen b Neuburg a d Don','88'],
		'72169756' => ['Raiffeisen-Volksbank Neuburg/Donau Neuburg a d Donau','88'],
		'72169764' => ['Raiffeisenbank Donaumooser Land Karlshuld','88'],
		'72169812' => ['Raiffeisenbank Gaimersheim-Buxheim','88'],
		'72169831' => ['Raiffeisenbank Riedenburg-Lobsing Riedenburg, Altmuhltal','88'],
		'72170007' => ['Deutsche Bank Ingolstadt, Donau','63'],
		'72170024' => ['Deutsche Bank Privat und Geschaftskunden Ingolstadt, Donau','63'],
		'72180002' => ['Dresdner Bank Ingolstadt, Donau','76'],
		'72191000' => ['Hallertauer Volksbank -alt- Mainburg','88'],
		'72191300' => ['Volksbank Eichstatt Eichstatt, Bay','88'],
		'72191600' => ['Hallertauer Volksbank Pfaffenhofen a d Ilm','88'],
		'72191800' => ['Volksbank Schrobenhausen','88'],
		'72192000' => ['Volksbank Neuburg -alt- Neuburg a d Donau','88'],
		'72220074' => ['Bayer, Hypo- und Vereinsbank Donauworth','99'],
		'72223182' => ['Bayer Hypo- und Vereinsbank Nordlingen','99'],
		'72250000' => ['Sparkasse Nordlingen','00'],
		'72250160' => ['Sparkasse Donauworth','00'],
		'72251520' => ['Kreis- und Stadtsparkasse Dillingen Dillingen a d Donau','10'],
		'72251730' => ['Stadtsparkasse Rain, Lech','00'],
		'72261754' => ['Raiffeisenbank Rain am Lech Rain, Lech','88'],
		'72262401' => ['Raiffeisen-Volksbank Dillingen Dillingen a d Donau','88'],
		'72262901' => ['Genossenschaftsbank Wertingen','88'],
		'72290100' => ['Raiffeisen-Volksbank Donauworth','88'],
		'73050000' => ['Sparkasse Neu-Ulm-Illertissen','00'],
		'73061191' => ['Raiffeisenbank Neu-Ulm-Wei?enhorn','88'],
		'73090000' => ['Volksbank Neu-Ulm','88'],
		'73100000' => ['Bundesbank eh Memmingen Augsburg, Bay','09'],
		'73120075' => ['Bayer Hypo- und Vereinsbank Memmingen','99'],
		'73140046' => ['Commerzbank Memmingen','13'],
		'73150000' => ['Sparkasse Memmingen-Lindau-Mindelheim','00'],
		'73160000' => ['Genossenschaftsbank Unterallgau Mindelheim','88'],
		'73160744' => ['Raiffeisenbank Memmingen -alt-','88'],
		'73161455' => ['Raiffeisenbank Bad Gronenbach Bad Gronenbach, Allgau','88'],
		'73180011' => ['Dresdner Bank Memmingen','76'],
		'73190000' => ['Volksbank-Raiffeisenbank MM-Unterallgau Memmingen','88'],
		'73191500' => ['Illertisser Bank Raiff-VB Ndl d Ulmer VB Illertissen','10'],
		'73300000' => ['Bundesbank eh Kempten Augsburg, Bay','09'],
		'73311600' => ['Hypo-Landesbank Kleinwalsertal Riezlern, Kleinwalsertal','09'],
		'73311800' => ['Bank Austria Riezlern Riezlern, Kleinwalsertal','09'],
		'73320073' => ['Bayer Hypo- und Vereinsbank Kempten [Allgau]','99'],
		'73320442' => ['Bayer Hypo- und Vereinsbank Ndl 669 Kpt Aschheim','70'],
		'73321177' => ['Bayer Hypo- und Vereinsbank Oberstdorf','99'],
		'73322380' => ['Bayer Hypo- und Vereinsbank Sonthofen, Oberallgau','99'],
		'73331700' => ['Gabler Saliter Bankgeschaft Obergunzburg','09'],
		'73340046' => ['Commerzbank Kempten [Allgau]','13'],
		'73350000' => ['Sparkasse Allgau Kempten [Allgau]','00'],
		'73351635' => ['Sparkasse Riezlern, Kleinwalsertal','00'],
		'73351840' => ['Dornbirner Sparkasse Riezlern, Kleinwalsertal','09'],
		'73352230' => ['Kreis- und Stadtsparkasse Sonthofen, Oberallgau','00'],
		'73352421' => ['Bank der Tiroler Sparkasse in Jungholz Jungholz, Tirol','09'],
		'73361592' => ['Raiffeisenbank Kleinwalsertal Hirschegg, Kleinwalsertal','60'],
		'73362421' => ['Raiffeisenbank Jungholz, Tirol','09'],
		'73362500' => ['Raiffeisen-Landesbank Tirol Jungholz, Tirol','A1'],
		'73369264' => ['Raiffeisenbank im Allgauer Land Dietmannsried','88'],
		'73369750' => ['Raiffeisenbank Erkheim','88'],
		'73369762' => ['Raiffeisenbank Illerbeuren -alt- Kronburg','88'],
		'73369784' => ['Raiffeisenbank Heimertingen-Ple?-Fellheim-alt- Ple?, Iller','88'],
		'73369821' => ['Raiffeisen-Bodenseebank Lindau [Bodensee]','88'],
		'73369823' => ['Raiffeisenbank Westallgau Gestratz','09'],
		'73369824' => ['Raiffeisenbank Heimenkirch-Ellhofen -alt-','88'],
		'73369826' => ['Volksbank Lindenberg i. Allgau','88'],
		'73369851' => ['Raiffeisenbank Aitrang-Ruderatshofen','88'],
		'73369854' => ['Raiffeisenbank Fuchstal-Denklingen Fuchstal b Landsberg a Lech','88'],
		'73369859' => ['Raiffeisenbank Bidingen, Schwab','88'],
		'73369871' => ['Raiffeisenbank Baisweil-Eggenthal-Friesenried Eggenthal, Schwab','88'],
		'73369878' => ['Raiffeisenbank Fussen-Pfronten-Nesselwang','88'],
		'73369881' => ['Raiffeisenbank Haldenwang, Allgau','88'],
		'73369888' => ['Raiffeisenbank Irsee-Pforzen-Rieden','88'],
		'73369894' => ['Raiffeisenbank Lamerdingen -alt-','88'],
		'73369902' => ['Raiffeisenbank Kempten [Allgau]','88'],
		'73369915' => ['Raiffeisenbank Obergermaringen Germaringen','88'],
		'73369918' => ['Raiffeisenbank Kirchweihtal Oberostendorf','88'],
		'73369920' => ['Raiffeisenbank Oberallgau-Sud Sonthofen, Oberallgau','88'],
		'73369933' => ['Raiffeisenbank Sudliches Ostallgau Seeg','88'],
		'73369936' => ['Raiffeisenbank Seeg -alt-','88'],
		'73369942' => ['Raiffeisenbank Immenstadt-Waltenhofen -alt- Immenstadt i. Allgau','88'],
		'73369951' => ['Raiffeisenbank Unterthingau','88'],
		'73369954' => ['Raiffeisenbank Wald-Gorisried Wald, Ostallgau','88'],
		'73370008' => ['Deutsche Bank Kempten [Allgau]','63'],
		'73370024' => ['Deutsche Bank Privat und Geschaftskunden Kempten [Allgau]','63'],
		'73380004' => ['Dresdner Bank Kempten [Allgau]','76'],
		'73390000' => ['Allgauer Volksbank Kempten-Sonthofen Kempten [Allgau]','88'],
		'73391600' => ['Volksbank im Kleinwalsertal Riezlern, Kleinwalsertal','09'],
		'73392000' => ['Volksbank Immenstadt Immenstadt i. Allgau','88'],
		'73392400' => ['Volksbank Tirol Jungholz Jungholz, Tirol','32'],
		'73420071' => ['Bayer Hypo- und Vereinsbank Kaufbeuren','99'],
		'73420546' => ['Bayer Hypo- und Vereinsbank Ndl 693 Kaufb Aschheim','70'],
		'73421478' => ['Bayer Hypo- und Vereinsbank Schongau','99'],
		'73450000' => ['Kreis- und Stadtsparkasse Kaufbeuren','00'],
		'73451330' => ['Sparkasse Ostallgau Marktoberdorf','00'],
		'73451450' => ['Kreissparkasse Schongau','00'],
		'73460046' => ['Raiffbk Buchloe-Kaufbeuren-Marktoberdorf','88'],
		'73480013' => ['Dresdner Bank Kaufbeuren','76'],
		'73491300' => ['Volksbank Ostallgau Marktoberdorf','88'],
		'74000000' => ['Bundesbank eh Passau Regensburg','09'],
		'74020074' => ['Bayer Hypo- und Vereinsbank Passau','99'],
		'74020100' => ['Raiffeisenlandesbank OO Zndl Bayern Passau','09'],
		'74020414' => ['Bayer Hypo- und Vereinsbank Ndl 672 Pass Aschheim','70'],
		'74040082' => ['Commerzbank Passau','13'],
		'74050000' => ['Sparkasse Passau','00'],
		'74051230' => ['Sparkasse Freyung-Grafenau Freyung, Niederbay','00'],
		'74061101' => ['Raiffeisenbank Am Goldenen Steig Rohrnbach','88'],
		'74061564' => ['Raiffeisenbank Unteres Inntal Neuhaus a. Inn','88'],
		'74061670' => ['Raiffeisenbank Ortenburg','88'],
		'74061780' => ['Raiffeisenbank Tettenweis-Schmidham -alt- Ruhstorf a d Rott','88'],
		'74061813' => ['VR-Bank Rottal-Inn Pfarrkirchen, Niederbay','88'],
		'74062490' => ['Raiffeisenbank Vilshofener Land Vilshofen, Niederbay','88'],
		'74062555' => ['Raiffeisenbank Jandelsbrunn','88'],
		'74062786' => ['Raiffeisenbank i Lkr Passau-Nord Tiefenbach, Kr Passau','88'],
		'74064593' => ['Raiffeisenbank Wegscheid, Niederbay','88'],
		'74064742' => ['Raiffeisenbank Furstenzell -alt-','88'],
		'74065782' => ['Raiffeisenbank Salzweg-Thyrnau','88'],
		'74066749' => ['Raiffeisenbank im Sudl Bayerischen Wald Hauzenberg, Niederbay','88'],
		'74067000' => ['Rottaler Raiffeisenbank Pocking','88'],
		'74067573' => ['Raiffeisenbank Bad Birnbach-Triftern-Simb-alt-','88'],
		'74069186' => ['Raiffeisenbank Viechtach-Zwiesel','88'],
		'74069738' => ['Raiffeisenbank Buchhofen-Kunzing Buchhofen b Osterhofen','88'],
		'74069744' => ['Raiffeisenbank Grainet','88'],
		'74069752' => ['Raiffeisenbank Hohenau, Niederbay','88'],
		'74069758' => ['Raiffeisenbank Kirchberg v. Wald Tiefenbach, Kr Passau','88'],
		'74069763' => ['Raiffeisenbank Mauth Mauth, Niederbay','88'],
		'74069768' => ['Raiffeisenbank am Dreisessel Neureichenau','88'],
		'74090000' => ['VR-Bank Passau','88'],
		'74092400' => ['Volksbank Vilshofen Vilshofen, Niederbay','88'],
		'74100000' => ['Bundesbank eh Deggendorf Regensburg','09'],
		'74120071' => ['Bayer Hypo- und Vereinsbank Deggendorf','99'],
		'74120514' => ['Bayer Hypo- und Vereinsbank Ndl 674 Dgdf Aschheim','70'],
		'74131000' => ['TEBA Kreditbank Landau a d Isar','09'],
		'74150000' => ['Sparkasse Deggendorf','00'],
		'74151450' => ['Sparkasse Regen-Viechtach','00'],
		'74160025' => ['Raiffeisenbank Deggendorf-Plattling','88'],
		'74161608' => ['Raiffeisenbank Hengersberg-Schollnach Hengersberg b Deggendorf','88'],
		'74163005' => ['Raiffeisenbank Gauboden-Mitte Wallersdorf, Niederbay','88'],
		'74164149' => ['VR-Bank Regen','88'],
		'74165013' => ['Raiffeisenbank Sonnenwald Auerbach, Niederbay','88'],
		'74167099' => ['Raiffeisenbank Metten Metten, Donau','88'],
		'74180009' => ['Dresdner Bank Deggendorf','76'],
		'74190000' => ['GenoBank DonauWald Viechtach','88'],
		'74191000' => ['VR-Bank Landau Landau a d Isar','88'],
		'74220075' => ['Bayer Hypo- und Vereinsbank Straubing','99'],
		'74221170' => ['Bayer Hypo- und Vereinsbank Cham, Oberpf','99'],
		'74240062' => ['Commerzbank Straubing','13'],
		'74250000' => ['Sparkasse Straubing-Bogen','00'],
		'74251020' => ['Sparkasse im Landkreis Cham Cham, Oberpf','00'],
		'74260110' => ['Raiffeisenbank Straubing','88'],
		'74261024' => ['Raiffeisenbank Cham Cham, Oberpf','88'],
		'74262253' => ['Raiffeisenbank -alt- Roding, Regen','88'],
		'74290000' => ['Volksbank Straubing','88'],
		'74290100' => ['CB Credit-Bank Straubing','98'],
		'74300000' => ['Bundesbank eh Landshut Regensburg','09'],
		'74320073' => ['Bayer Hypo- und Vereinsbank Landshut, Isar','99'],
		'74320307' => ['Bayer Hypo- und Vereinsbank Ndl 601 Ldsht Aschheim','70'],
		'74340077' => ['Commerzbank Landshut, Isar','13'],
		'74350000' => ['Sparkasse Landshut Landshut, Isar','11'],
		'74351310' => ['Sparkasse Dingolfing-Landau','00'],
		'74351430' => ['Sparkasse Rottal-Inn Eggenfelden','00'],
		'74351740' => ['Stadt- und Kreissparkasse Moosburg Moosburg a d Isar','10'],
		'74361211' => ['Raiffeisenbank Arnstorf','88'],
		'74361651' => ['Raiffeisenbank Adlkofen Adlkofen b Landshut, Isar','88'],
		'74362663' => ['Raiffeisenbank Altdorf-Ergolding','88'],
		'74364689' => ['Raiffeisenbank Pfeffenhausen-Rottenburg','88'],
		'74366666' => ['Raiffeisenbank Geisenhausen, Niederbay','88'],
		'74367692' => ['Raiffeisenbank Rottenburg-Hohenthann -alt- Rottenburg a d Laaber','88'],
		'74369068' => ['Raiffeisenbank Hofkirchen-Bayerbach Laberweinting','88'],
		'74369088' => ['Raiffeisenbank Geiselhoring-Pfaffenberg','88'],
		'74369091' => ['Raiffeisenbank Leiblfing','88'],
		'74369130' => ['Raiffeisenbank Parkstetten','88'],
		'74369145' => ['Raiffeisenbank Perkam-Radldorf -alt-','88'],
		'74369146' => ['Raiffeisenbank Rattiszell-Konzell','88'],
		'74369656' => ['Raiffeisenbank Essenbach, Niederbay','88'],
		'74369662' => ['Raiffeisenbank Buch-Eching-Vatersdorf Eching, Niederbay','88'],
		'74369704' => ['Raiffeisenbank Mengkofen-Loiching','88'],
		'74369709' => ['Raiffeisenbank Wildenberg, Hallertau','88'],
		'74380007' => ['Dresdner Bank Landshut, Isar','76'],
		'74390000' => ['VR-Bank Landshut Landshut, Isar','88'],
		'74391300' => ['Volksbank-Raiffeisenbank Dingolfing','88'],
		'74391400' => ['Rottaler Volksbank-Raiffeisenbank Eggenfelden','88'],
		'74392300' => ['VR-Bank Vilsbiburg','88'],
		'75000000' => ['Bundesbank Regensburg','09'],
		'75010111' => ['SEB Regensburg','13'],
		'75020073' => ['Bayer Hypo- und Vereinsbank Regensburg','99'],
		'75020314' => ['Bayer Hypo- und Vereinsbank Ndl 670 Rgsb Aschheim','70'],
		'75021174' => ['Bayer Hypo- und Vereinsbank Schwandorf, Bay','99'],
		'75040062' => ['Commerzbank Regensburg','13'],
		'75050000' => ['Sparkasse Regensburg','00'],
		'75051040' => ['Sparkasse im Landkreis Schwandorf Schwandorf, Bay','00'],
		'75051565' => ['Kreissparkasse Kelheim','00'],
		'75060150' => ['Raiffeisenbank Regensburg-Wenzenbach','88'],
		'75061168' => ['Raiffeisenbank Schwandorf-Nittenau Schwandorf, Bay','88'],
		'75061851' => ['Raiffeisenbank Regenstauf','88'],
		'75062026' => ['Raiffeisenbank-Donaustauf-Sunching-Mintraching','88'],
		'75069014' => ['Raiffeisen-Bank Bad Abbach-Saal','88'],
		'75069015' => ['Raiffeisenbank Bad Gogging Neustadt a.d.Donau','88'],
		'75069020' => ['Raiffeisen-Bank Bruck Bruck i.d.OPf.','88'],
		'75069038' => ['Raiffeisenbank Falkenstein-Worth Falkenstein, Oberpf','88'],
		'75069043' => ['Raiffeisen-Bank Furth im Wald','88'],
		'75069050' => ['Raiffeisenbank Grafenwohr-Kirchenthumbach','88'],
		'75069055' => ['Raiffeisenbank Alteglofsheim-Hagelstadt','88'],
		'75069061' => ['Raiffeisen-Bank Hemau','88'],
		'75069062' => ['Raiffeisenbank Herrnwahlthann-Teugn-Dunzling Hausen, Niederbay','88'],
		'75069074' => ['Raiffeisenbank Inkofen-Eggmuhl Schierling','88'],
		'75069076' => ['Raiffeisen-Bank Kallmunz','88'],
		'75069078' => ['Raiffeisenbank Sinzing, Oberpf','88'],
		'75069081' => ['Raiffeisen-Bank Kotzting','88'],
		'75069090' => ['Raiffeisen-Bank Lam, Oberpf','88'],
		'75069092' => ['Raiffeisenbank Lohberg b Lam, Oberpf','88'],
		'75069094' => ['Raiffeisenbank Parsberg-Velburg Parsberg, Oberpf','88'],
		'75069101' => ['Raiffeisenbank Mintraching-Pfatter -alt- Mintraching, Kr Regensburg','88'],
		'75069110' => ['Raiffeisenbank Eschlkam-Neukirchen b Hl Blut','88'],
		'75069119' => ['Raiffeisen-Bank -alt- Nittendorf','88'],
		'75069125' => ['Raiffeisenbank im Oberpfalzer Wald Oberviechtach','88'],
		'75069154' => ['Raiffeisen-Bank -alt- Rotz, Oberpf','88'],
		'75069164' => ['Raiffeisenbank Schierling-Obertraubling','88'],
		'75069171' => ['Raiffeisenbank im Naabtal Nabburg','88'],
		'75069206' => ['Raiffeisenbank Winklarn und Umgebung Winklarn, Oberpf','88'],
		'75070013' => ['Deutsche Bank Regensburg','63'],
		'75070024' => ['Deutsche Bank Privat und Geschaftskunden Regensburg','63'],
		'75080003' => ['Dresdner Bank Regensburg','76'],
		'75090000' => ['Volksbank Regensburg','88'],
		'75090300' => ['LIGA Bank Regensburg','88'],
		'75090500' => ['Sparda-Bank Regensburg','84'],
		'75090629' => ['Deutsche Apotheker- und Arztebank Regensburg','14'],
		'75090900' => ['PSD Bank Regensburg','91'],
		'75091400' => ['VR Bank Burglengenfeld','88'],
		'75220070' => ['Bayer Hypo- und Vereinsbank Amberg, Oberpf','99'],
		'75240000' => ['Commerzbank Amberg, Oberpf','13'],
		'75250000' => ['Sparkasse Amberg-Sulzbach Amberg, Oberpf','00'],
		'75260363' => ['Raiffeisenbank Amberg -alt- Amberg, Oberpf','88'],
		'75261700' => ['Raiffeisenbank Sulzbach-Hahnbach Sulzbach-Rosenberg','88'],
		'75290000' => ['Volksbank-Raiffeisenbank Amberg Amberg, Oberpf','88'],
		'75300000' => ['Bundesbank eh Weiden Oberpf Regensburg','09'],
		'75320075' => ['Bayer Hypo- und Vereinsbank Weiden i.d.OPf.','99'],
		'75340090' => ['Commerzbank Weiden i.d.OPf.','13'],
		'75350000' => ['Stadtsparkasse Weiden Weiden i.d.OPf.','00'],
		'75351960' => ['Vereinigte Sparkassen Eschenbach i d Opf Neustadt a.d.Waldnaab','00'],
		'75360011' => ['Raiffeisenbank Weiden Weiden i.d.OPf.','88'],
		'75362039' => ['Raiffeisenbank Flo?','88'],
		'75363189' => ['Raiffeisenbank Neustadt-Vohenstrau?','88'],
		'75390000' => ['Volksbank Nordoberpfalz Weiden i.d.OPf.','88'],
		'76000000' => ['Bundesbank Nurnberg, Mittelfr','09'],
		'76010085' => ['Postbank Nurnberg, Mittelfr','24'],
		'76010111' => ['SEB Nurnberg, Mittelfr','13'],
		'76020070' => ['Bayer Hypo- und Vereinsbank Nurnberg, Mittelfr','99'],
		'76020214' => ['Bayer Hypo- und Vereinsbank Ndl 156 Nbg Aschheim','70'],
		'76020600' => ['Hanseatic Bank Nurnberg, Mittelfr','09'],
		'76020800' => ['Emporiki Bank - Germany Nurnberg, Mittelfr','06'],
		'76020900' => ['Entrium Direct Bankers -alt- Frankfurt am Main','09'],
		'76026000' => ['norisbank Nurnberg, Mittelfr','06'],
		'76030080' => ['Cortal Consors S.A. Zndl Deutschland Nurnberg, Mittelfr','01'],
		'76030600' => ['Isbank Fil Nurnberg Nurnberg, Mittelfr','06'],
		'76032000' => ['TeamBank N?rnberg, N?rnberg, Mittelfr', '06'],
		'76035000' => ['UmweltBank Nurnberg, Mittelfr','55'],
		'76040061' => ['Commerzbank Nurnberg, Mittelfr','13'],
		'76050000' => ['Bayerische Landesbank Nurnberg, Mittelfr','09'],
		'76050101' => ['Sparkasse Nurnberg Nurnberg, Mittelfr','49'],
		'76052080' => ['Sparkasse Neumarkt i d OPf-Parsberg','00'],
		'76060000' => ['DZ BANK Nurnberg, Mittelfr','09'],
		'76060561' => ['ACREDOBANK Nurnberg, Mittelfr','88'],
		'76060618' => ['Volksbank Raiffeisenbank Nurnberg, Mittelfr','88'],
		'76061025' => ['Raiffeisen-Spar- und Kreditbank Lauf, Pegnitz Lauf a d Pegnitz','88'],
		'76061482' => ['Raiffeisenbank Hersbruck','88'],
		'76069055' => ['Raiffeisenbank Hochstadt a d Aisch','88'],
		'76069359' => ['Raiffeisenbank Allersberg, Mittelfr','88'],
		'76069364' => ['Raiffeisenbank am Limes -alt- Wittelshofen','88'],
		'76069369' => ['Raiffeisenbank Auerbach-Freihung Auerbach i.d.OPf.','88'],
		'76069372' => ['Raiffeisenbank Bad Windsheim','88'],
		'76069378' => ['Raiffeisenbank Bechhofen a d Heide','88'],
		'76069381' => ['Raiffeisenbank Berching-Muhlhausen -alt-','88'],
		'76069389' => ['Raiffeisenbank Breitenau-Mosbach Feuchtwangen','88'],
		'76069393' => ['Raiffeisenbank Buchenbach-Ottersdorf -alt- Buchenbach, Mittelfr','88'],
		'76069404' => ['Raiffeisenbank Uehlfeld-Dachsbach','88'],
		'76069409' => ['Raiffeisenbank Dietenhofen, Mittelfr','88'],
		'76069410' => ['Raiffeisenbank Dietersheim und Umgebung Dietersheim, Mittelfr','88'],
		'76069411' => ['Raiffeisenbank Dietfurt Dietfurt a d Altmuhl','88'],
		'76069412' => ['Raiffeisenbank Dinkelsbuhl-Hesselberg','88'],
		'76069421' => ['Raiffeisenbank Edelsfeld-Konigstein','88'],
		'76069440' => ['Raiffeisenbank Altdorf-Feucht','88'],
		'76069441' => ['VR-Bank Feuchtwangen-Limes','88'],
		'76069442' => ['Raiffeisenbank Flachslanden, Mittelfr','88'],
		'76069448' => ['Raiffeisenbank -alt- Freudenberg, Oberpf','88'],
		'76069449' => ['Raiffeisenbank Berching-Freystadt-Muhlhausen Freystadt, Oberpf','88'],
		'76069458' => ['Raiffeisenbank Abenberg-Georgensgmund-Spalt','88'],
		'76069462' => ['Raiffeisenbank Greding','88'],
		'76069468' => ['Raiffeisenbank Gunzenhausen am Altmuhlsee','88'],
		'76069483' => ['Raiffeisenbank Herzogenaurach','88'],
		'76069486' => ['Raiffeisenbank Hirschau Hirschau, Oberpf','88'],
		'76069499' => ['Raiffeisenbank Kalchreuth','88'],
		'76069503' => ['Raiffeisenbank Katzwang -alt- Nurnberg, Mittelfr','88'],
		'76069512' => ['Raiffeisenbank Knoblauchsland Nurnberg-Buch Nurnberg, Mittelfr','88'],
		'76069539' => ['Raiffeisenbank Markt Erlbach-Linden','88'],
		'76069540' => ['Raiffeisenbank Meckenhausen-Weinsfeld Hilpoltstein, Mittelfr','88'],
		'76069542' => ['Raiffeisenbank Merkendorf Merkendorf, Mittelfr','88'],
		'76069549' => ['Raiffeisenbank Munchaurach Aurachtal','88'],
		'76069552' => ['Raiffeisenbank Neuhof a d Zenn','88'],
		'76069553' => ['Raiffeisenbank Neumarkt Neumarkt i.d.OPf.','88'],
		'76069559' => ['VR-Bank Uffenheim-Neustadt Neustadt a.d.Aisch','88'],
		'76069564' => ['Raiffeisenbank Oberferrieden-Burgthann','88'],
		'76069576' => ['Raiffeisenbank Plankstetten Berching','88'],
		'76069598' => ['Raiffeisenbank Gro?habersdorf-Ro?tal','88'],
		'76069601' => ['VR-Bank Rothenburg Rothenburg ob der Tauber','88'],
		'76069602' => ['Raiffeisenbank Seebachgrund He?dorf-Hannberg He?dorf, Mittelfr','88'],
		'76069610' => ['Raiffeisenbank Schillingsfurst -alt- Schillingsfurst, Mittelfr','88'],
		'76069611' => ['Raiffeisenbank Unteres Vilstal Schmidmuhlen','88'],
		'76069624' => ['Raiffeisenbank Thalmassing, Mittelfr','88'],
		'76069626' => ['Raiffeisenbank Trommetsheim Alesheim','09'],
		'76069635' => ['Raiffeisenbank Ursensollen-Ammerthal-Hohenburg','88'],
		'76069654' => ['Raiffeisenbank Wei?enburg Wei?enburg i Bay','88'],
		'76069659' => ['Raiffeisenbank Markt Berolzheim-Wettelsheim','88'],
		'76069660' => ['Raiffeisenbank Wettringen-Ins.-Oestheim -alt- Wettringen, Mittelfr','88'],
		'76069663' => ['Raiffeisenbank Heilsbronn-Windsbach','88'],
		'76069669' => ['Raiffeisenbank Zirndorf, Mittelfr','88'],
		'76070012' => ['Deutsche Bank Nurnberg, Mittelfr','63'],
		'76070024' => ['Deutsche Bank Privat und Geschaftskunden Nurnberg, Mittelfr','63'],
		'76080040' => ['Dresdner Bank Nurnberg, Mittelfr','76'],
		'76080053' => ['Dresdner Bank Zw 53 Hof, Saale','76'],
		'76080055' => ['Dresdner Bank Zw 55 Hof, Saale','76'],
		'76089480' => ['Dresdner Bank ITGK Nurnberg, Mittelfr','09'],
		'76089482' => ['Dresdner Bank ITGK, N?rnberg, Mittelfr', '09'],
		'76090000' => ['Volksbank Nurnberg Nurnberg, Mittelfr','88'],
		'76090300' => ['Backer-Bank Nurnberg Nurnberg, Mittelfr','88'],
		'76090400' => ['Evenord-Bank Nurnberg, Mittelfr','88'],
		'76090500' => ['Sparda-Bank Nurnberg Nurnberg, Mittelfr','81'],
		'76090613' => ['Deutsche Apotheker- und Arztebank Nurnberg, Mittelfr','14'],
		'76090800' => ['BBBank Zndl Bayern Nurnberg, Mittelfr','32'],
		'76090900' => ['PSD Bank Nurnberg, Mittelfr','91'],
		'76091000' => ['Sparda-Bank Nurnberg Zw Sonnenstra?e Nurnberg, Mittelfr','81'],
		'76211900' => ['Creditverein Wilhermsdorf','09'],
		'76220073' => ['Bayer Hypo- und Vereinsbank Furth, Bay','99'],
		'76230000' => ['Quelle Bauspar AG Furth, Bay','11'],
		'76240011' => ['Commerzbank Furth, Bay','13'],
		'76250000' => ['Sparkasse Furth Furth, Bay','00'],
		'76251020' => ['Sparkasse i Landkreis Neustadt a d Aisch','00'],
		'76260451' => ['Raiffeisen-Volksbank Furth Furth, Bay','88'],
		'76300000' => ['Bundesbank eh Erlangen Nurnberg, Mittelfr','09'],
		'76320072' => ['Bayer Hypo- und Vereinsbank Erlangen','99'],
		'76330111' => ['Bankhaus Max Flessa & Co. Erlangen','09'],
		'76340061' => ['Commerzbank Erlangen','13'],
		'76350000' => ['Stadt- und Kreissparkasse Erlangen','01'],
		'76351040' => ['Sparkasse Forchheim Forchheim, Oberfr','00'],
		'76351560' => ['Kreissparkasse Hochstadt Hochstadt a d Aisch','00'],
		'76360033' => ['Raiffeisen-Volksbank Erlangen','88'],
		'76391000' => ['Volksbank Forchheim Forchheim, Oberfr','88'],
		'76420080' => ['Bayer Hypo- und Vereinsbank Schwabach','99'],
		'76450000' => ['Sparkasse Mittelfranken-Sud Schwabach','A5'],
		'76451030' => ['Vereingte Sparkassen Wei?enburg -alt- Wei?enburg i Bay','A5'],
		'76460015' => ['Raiffeisenbank Roth-Schwabach','88'],
		'76461485' => ['Raiffeisenbank Hilpoltstein, Mittelfr','88'],
		'76500000' => ['Bundesbank eh Ansbach Nurnberg, Mittelfr','09'],
		'76520071' => ['Bayer Hypo- und Vereinsbank Ansbach, Mittelfr','99'],
		'76550000' => ['Vereinigte Sparkassen Ansbach Ansbach, Mittelfr','00'],
		'76551020' => ['Kreis- und Stadtsparkasse Dinkelsbuhl','00'],
		'76551540' => ['Vereinigte Sparkassen Gunzenhausen Gunzenhausen am Altmuhlsee','00'],
		'76551860' => ['Stadt- und Kreissparkasse Rothenburg Rothenburg ob der Tauber','00'],
		'76560060' => ['RaiffeisenVolksbank Gewerbebank Ansbach, Mittelfr','88'],
		'76561979' => ['Raiffeisenbank -alt- Uffenheim','88'],
		'76591000' => ['Volksbank Dinkelsbuhl','88'],
		'76591700' => ['Volksbank Leutershausen, Mittelfr','88'],
		'76591800' => ['Volksbank Rothenburg o T -alt- Rothenburg ob der Tauber','88'],
		'77000000' => ['Bundesbank eh Bamberg Nurnberg, Mittelfr','09'],
		'77020070' => ['Bayer Hypo- und Vereinsbank Bamberg','99'],
		'77030111' => ['Bankhaus Max Flessa & Co Bamberg','09'],
		'77040080' => ['Commerzbank Bamberg','13'],
		'77050000' => ['Sparkasse Bamberg','00'],
		'77051860' => ['Kreissparkasse Lichtenfels Lichtenfels, Bay','00'],
		'77060100' => ['Bamberger Bank','88'],
		'77061004' => ['Raiffeisenbank Obermain Nord Altenkunstadt','88'],
		'77061425' => ['Raiffeisen-Volksbank Ebern','88'],
		'77062014' => ['Raiffeisenbank Burgebrach','88'],
		'77062139' => ['Raiffeisen-Volksbank Bad Staffelstein','88'],
		'77063048' => ['Raiffeisenbank Hallstadt','88'],
		'77065141' => ['Raiffeisenbank Stegaurach','88'],
		'77069042' => ['Raiffeisenbank Go?weinstein -alt-','88'],
		'77069044' => ['Raiffeisenbank Kups-Mitwitz-Stockheim','88'],
		'77069051' => ['Raiffeisenbank Heiligenstadt, Oberfr','88'],
		'77069052' => ['Raiffeisenbank Heroldsbach','88'],
		'77069084' => ['Raiffeisenbank -alt- Memmelsdorf','88'],
		'77069091' => ['Raiffeisenbank Ebrachgrund Muhlhausen, Mittelfr','88'],
		'77069110' => ['Raiffeisenbank Pretzfeld -alt-','88'],
		'77069128' => ['Raiffeisenbank Sche?litz-Zapfendorf','88'],
		'77069461' => ['Vereinigte Raiffeisenbanken Grafenberg, Oberfr','88'],
		'77069523' => ['Raiffeisenbank Langensendelbach','88'],
		'77069556' => ['Raiffeisenbank Neunkirchen a. Brand','88'],
		'77069739' => ['Raiffeisenbank Thurnauer Land','88'],
		'77069746' => ['Raiffeisenbank Emtmannsberg','88'],
		'77069764' => ['Raiffeisenbank Kemnather Land - Steinwald','88'],
		'77069782' => ['Raiffeisenbank am Kulm Speichersdorf','88'],
		'77069836' => ['Raiffeisenbank Berg-Bad Steben Berg, Oberfr','88'],
		'77069868' => ['Raiffeisenbank Oberland Marktleugast','88'],
		'77069870' => ['Raiffeisenbank Frankenwald Ost-Oberkotzau Schwarzenbach a Wald','88'],
		'77069879' => ['Raiffeisenbank -alt- Oberkotzau','88'],
		'77069893' => ['Raiffeisenbank Topen','88'],
		'77069906' => ['Raiffeisenbank Wustenselbitz Helmbrechts, Oberfr','88'],
		'77069908' => ['Raiffeisenbank Sparneck-Zell Zell, Oberfr','88'],
		'77091800' => ['Raiffeisen-Volksbank Lichtenfels-Itzgrund Lichtenfels, Bay','88'],
		'77120073' => ['Bayer Hypo- und Vereinsbank Kulmbach','99'],
		'77140061' => ['Commerzbank Kulmbach','13'],
		'77150000' => ['Sparkasse Kulmbach','00'],
		'77151640' => ['Sparkasse Kronach-Ludwigsstadt Kronach, Oberfr','00'],
		'77190000' => ['Kulmbacher Bank','88'],
		'77300000' => ['Bundesbank Bayreuth','09'],
		'77320072' => ['Bayer Hypo- und Vereinsbank Bayreuth','99'],
		'77321000' => ['Resba Hof, Saale','09'],
		'77340076' => ['Commerzbank Bayreuth','13'],
		'77350110' => ['Sparkasse Bayreuth','00'],
		'77361600' => ['Raiffeisen-Volksbank Kronach-Ludwigsstadt Kronach, Oberfr','88'],
		'77363749' => ['Raiffeisenbank Gefrees','88'],
		'77365792' => ['Raiffeisenbank Hollfeld-Waischenfeld-Aufse?','88'],
		'77390000' => ['Volksbank-Raiffeisenbank Bayreuth','88'],
		'77390500' => ['Sparda-Bank Nurnberg Bayreuth','81'],
		'77390628' => ['Deutsche Apotheker- und Arztebank Bayreuth','14'],
		'78000000' => ['Bundesbank eh Hof Bayreuth','09'],
		'78020070' => ['Bayer Hypo- und Vereinsbank Hof, Saale','99'],
		'78020429' => ['Bayer Hypo- und Vereinsbank Ndl 128 Hof Aschheim','70'],
		'78030070' => ['SchmidtBank Ndl d Commerzbank Hof, Saale','01'],
		'78030080' => ['Delmora Bank Hof, Saale','01'],
		'78030081' => ['Delmora Bank Gf Servicing, Hof, Saale', '01'],
		'78040081' => ['Commerzbank Hof, Saale','13'],
		'78050000' => ['Kreis- und Stadtsparkasse Hof Hof, Saale','00'],
		'78055050' => ['Sparkasse Fichtelgebirge Selb','00'],
		'78060896' => ['Raiffeisenbank Hof Hof, Saale','88'],
		'78062488' => ['Raiffeisenbank Stammbach','88'],
		'78090000' => ['Ver VB Hof-Helmbrechts-Munchberg Hof, Saale','88'],
		'78140000' => ['Commerzbank Tirschenreuth','13'],
		'78150000' => ['Stadtsparkasse Marktredwitz','00'],
		'78151080' => ['Sparkasse im Landkreis Tirschenreuth','00'],
		'78160069' => ['VR-Bank Marktredwitz','88'],
		'78161232' => ['VR-Bank Marktredwitz Arzberg, Oberfr','88'],
		'78161575' => ['Raiffeisenbank im Stiftland Waldsassen','88'],
		'78161603' => ['Raiffeisenbank Wiesau-Falkenberg','88'],
		'78320076' => ['Bayer Hypo- und Vereinsbank Coburg','99'],
		'78330111' => ['Bankhaus Max Flessa & Co Coburg','09'],
		'78340091' => ['Commerzbank Coburg','13'],
		'78350000' => ['Vereinigte Coburger Sparkassen','00'],
		'78360000' => ['VR-Bank Coburg-Rennsteig','88'],
		'78390000' => ['Coburger Bank','88'],
		'79000000' => ['Bundesbank Wurzburg','09'],
		'79010111' => ['SEB Wurzburg','13'],
		'79020076' => ['Bayer Hypo- und Vereinsbank Wurzburg','99'],
		'79020325' => ['Bayer Hypo- und Vereinsbank Ndl 149 Wzb Aschheim','70'],
		'79020700' => ['Hanseatic Bank Wurzburg','16'],
		'79030001' => ['Castell Bank Wurzburg','09'],
		'79032038' => ['Bank Schilling & Co Hammelburg','00'],
		'79040047' => ['Commerzbank Wurzburg','13'],
		'79050000' => ['Sparkasse Mainfranken Wurzburg','00'],
		'79061000' => ['Raiffeisenbank Ochsenfurt, Unterfr','88'],
		'79061153' => ['Raiffeisenbank Lohr, Main Lohr a. Main','88'],
		'79062106' => ['Raiffeisenbank Hammelburg','88'],
		'79062276' => ['Raiffeisenbank Reichenberg Reichenberg, Unterfr','88'],
		'79063060' => ['Raiffeisenbank Estenfeld-Bergtheim','88'],
		'79063122' => ['Raiffeisenbank Hochberg','88'],
		'79065028' => ['VR-Bank Bad Kissingen-Bad Bruckenau','88'],
		'79065160' => ['Raiffeisenbank Marktheidenfeld','88'],
		'79066082' => ['Raiffeisenbank Altertheim','88'],
		'79068222' => ['Raiffeisenbank Rimpar-Versbach','88'],
		'79069001' => ['Raiffeisenbank Wiesentheid und Umgebung','88'],
		'79069010' => ['Raiffeisenbank Arnstein, Unterfr','88'],
		'79069031' => ['Raiffeisenbank Butthard-Gaukonigshofen','88'],
		'79069078' => ['Raiffeisenbank Geiselwind','88'],
		'79069090' => ['Raiffeisenbank Ulsenheim-Gollhofen','88'],
		'79069110' => ['Raiffeisenkasse Hendungen-Rappershausen','88'],
		'79069145' => ['Raiffeisenbank Kreuzwertheim-Hasloch -alt-','88'],
		'79069150' => ['Raiffeisenbank Karlstadt-Gemunden Karlstadt, Main','88'],
		'79069165' => ['Genobank Rhon-Grabfeld Mellrichstadt','88'],
		'79069181' => ['Raiffeisenbank Nudlingen','88'],
		'79069188' => ['Raiffeisenbank Obere?feld-Romhild Sulzdorf a d Lederhecke','88'],
		'79069192' => ['Raiffeisenbank Obernbreit und Umgebung','88'],
		'79069199' => ['Raiffeisenbank Oberthulba','88'],
		'79069213' => ['Raiffeisenbank Ma?bach Rannungen','88'],
		'79069214' => ['Raiffeisenbank Bad Kissingen u.Umgebung -alt-','88'],
		'79069271' => ['Raiffeisenbank Thungersheim','88'],
		'79069324' => ['Raiffeisenbank Zellingen und Umgebung','88'],
		'79070016' => ['Deutsche Bank Wurzburg','63'],
		'79070024' => ['Deutsche Bank Privat und Geschaftskunden Wurzburg','63'],
		'79080052' => ['Dresdner Bank Wurzburg','76'],
		'79090000' => ['Volksbank Raiffeisenbank Wurzburg','88'],
		'79090624' => ['Deutsche Apotheker- und Arztebank Wurzburg','14'],
		'79161058' => ['Raiffeisenbank Frankisches Weinland Nordheim a. Main','88'],
		'79161120' => ['Raiffeisenbank Volkach -Mainschleifenbank-','88'],
		'79161499' => ['Raiffeisenbank Kitzinger Land Obernbreit','88'],
		'79190000' => ['Volksbank Raiffeisenbank Kitzingen','88'],
		'79300000' => ['Bundesbank eh Schweinfurt Wurzburg','09'],
		'79320075' => ['Bayer Hypo- und Vereinsbank Schweinfurt','99'],
		'79320432' => ['Bayer Hypo- und Vereinsbank Ndl 137 Schft Aschheim','70'],
		'79330111' => ['Bankhaus Max Flessa & Co. Schweinfurt','09'],
		'79340054' => ['Commerzbank Schweinfurt','13'],
		'79350000' => ['Stadtische Sparkasse Schweinfurt','00'],
		'79350101' => ['Kreissparkasse Schweinfurt','00'],
		'79351010' => ['Sparkasse Bad Kissingen','00'],
		'79351730' => ['Sparkasse Ostunterfranken Ha?furt','00'],
		'79353090' => ['Sparkasse Bad Neustadt a d Saale','00'],
		'79360255' => ['Genossenschaftsbank Schweinfurt','88'],
		'79362081' => ['RV-Bank Gerolzhofen-Unterspiesheim','88'],
		'79362425' => ['Raiffeisenbank Werneck','88'],
		'79363016' => ['VR-Bank Rhon-Grabfeld Bad Neustadt a d Saale','88'],
		'79363151' => ['Raiffeisen-Volksbank Ha?berge Ha?furt','88'],
		'79364069' => ['Raiffeisenbank Frankenwinheim und Umgebung','88'],
		'79364406' => ['VR-Bank Schweinfurt Land Sennfeld, Unterfr','88'],
		'79380051' => ['Dresdner Bank Schweinfurt','76'],
		'79390000' => ['Volksbank Schweinfurt Zndl d VR-Bank Wurzburg','88'],
		'79500000' => ['Bundesbank eh Aschaffenburg Wurzburg','09'],
		'79510111' => ['SEB Aschaffenburg','13'],
		'79520070' => ['Bayer Hypo- und Vereinsbank Aschaffenburg','99'],
		'79520533' => ['Bayer Hypo- und Vereinsbank Ndl 125 Aschb Aschheim','70'],
		'79540049' => ['Commerzbank Aschaffenburg','13'],
		'79550000' => ['Sparkasse Aschaffenburg Alzenau','00'],
		'79560501' => ['Raiffeisenbank Aschaffenburg-Schweinheim -alt-','88'],
		'79561348' => ['Raiffeisenbank Bachgau Gro?ostheim-Stockstadt','88'],
		'79562225' => ['Raiffeisenbank Kahl a. Main','88'],
		'79562514' => ['Raiffeisenbank Aschaffenburg','88'],
		'79565568' => ['Raiffeisenbank Waldaschaff-Heigenbrucken','88'],
		'79566545' => ['Raiffeisenbank Heimbuchenthal','88'],
		'79567531' => ['RV-Bank Alzenau i.UFr.','88'],
		'79568518' => ['Raiffeisenbank Haibach-Obernau Haibach, Unterfr','88'],
		'79570024' => ['Deutsche Bank Privat und Geschaftskunden Aschaffenburg','63'],
		'79570051' => ['Deutsche Bank Aschaffenburg','63'],
		'79580099' => ['Dresdner Bank Aschaffenburg','76'],
		'79589402' => ['Dresdner Bank ITGK, Aschaffenburg', '09'],
		'79590000' => ['Volksbank Aschaffenburg','88'],
		'79650000' => ['Sparkasse Miltenberg-Obernburg','00'],
		'79662558' => ['Raiffeisenbank Schollkrippen','88'],
		'79665540' => ['Raiffeisenbank Elsavatal Eschau, Unterfr','88'],
		'79666548' => ['Raiffeisenbank Obernburg Obernburg a. Main','88'],
		'79668509' => ['Raiffeisenbank Eichenbuhl und Umgebung Eichenbuhl, Unterfr','88'],
		'79690000' => ['Raiffeisen-Volksbank Miltenberg','88'],
		'80000000' => ['Bundesbank Halle [Saale]','09'],
		'80020086' => ['Bayer Hypo- und Vereinsbank Halle [Saale]','99'],
		'80020087' => ['Bayer Hypo- und Vereinsbank Dessau, Anh','99'],
		'80020130' => ['Baden-Wurttembergische Bank Halle [Saale]','65'],
		'80040000' => ['Commerzbank Halle [Saale]','13'],
		'80050500' => ['Kreissparkasse Merseburg-Querfurt','20'],
		'80053000' => ['Sparkasse Burgenlandkreis Zeitz, Elster','20'],
		'80053502' => ['Kreissparkasse Quedlinburg','52'],
		'80053552' => ['Kreissparkasse Sangerhausen','52'],
		'80053572' => ['Stadtsparkasse Dessau Dessau, Anh','52'],
		'80053612' => ['Kreissparkasse Bernburg -alt- Bernburg [Saale]','52'],
		'80053622' => ['Kreissparkasse Kothen Kothen [Anhalt]','52'],
		'80053722' => ['Kreissparkasse Bitterfeld','52'],
		'80053762' => ['Stadt- und Saalkreissparkasse Halle Halle [Saale]','53'],
		'80054000' => ['Kreissparkasse Wei?enfels Wei?enfels, Saale','20'],
		'80055008' => ['Sparkasse Mansfelder Land Lutherstadt Eisleben','20'],
		'80055500' => ['Sparkasse Elbe-Saale Bernburg [Saale]','20'],
		'80062608' => ['Volksbank Elsterland Jessen [Elster]','32'],
		'80063508' => ['Ostharzer Volksbank Quedlinburg','32'],
		'80063558' => ['Volksbank Sangerhausen','32'],
		'80063598' => ['Volksbank Wittenberg Lutherstadt Wittenberg','32'],
		'80063628' => ['Volksbank Kothen Kothen [Anhalt]','32'],
		'80063648' => ['Volks- und Raiffeisenbank Saale-Unstrut Merseburg','28'],
		'80063678' => ['VR-Bank Zeitz Zeitz, Elster','32'],
		'80063708' => ['Raiffeisenbank Bad Bibra-Querfurt','32'],
		'80063718' => ['Volks- und Raiffeisenbank Eisleben Lutherstadt Eisleben','32'],
		'80069042' => ['Volksbank Halle, Saale Nauendorf b Halle, Saale','32'],
		'80080000' => ['Dresdner Bank Halle [Saale]','76'],
		'80093574' => ['Volksbank Dessau-Anhalt Dessau, Anh','32'],
		'80093784' => ['Volksbank Halle, Saale Halle [Saale]','32'],
		'80500000' => ['Bundesbank eh Dessau Halle [Saale]','09'],
		'80550101' => ['Sparkasse Wittenberg Lutherstadt Wittenberg','20'],
		'80550200' => ['Kreissparkasse Anhalt-Zerbst','20'],
		'81000000' => ['Bundesbank Magdeburg','09'],
		'81010111' => ['SEB Magdeburg','13'],
		'81020500' => ['Sozialbank Magdeburg','09'],
		'81020700' => ['Hanseatic Bank Haldensleben','16'],
		'81020886' => ['Bayer Hypo- und Vereinsbank [ehem. Hypo] Magdeburg','70'],
		'81040000' => ['Commerzbank Magdeburg','13'],
		'81050000' => ['Kreissparkasse Aschersleben-Sta?furt','20'],
		'81050555' => ['Kreissparkasse Stendal','20'],
		'81051000' => ['Bordesparkasse Oschersleben Oschersleben [Bode]','20'],
		'81053112' => ['Kreissparkasse Wernigerode','52'],
		'81053132' => ['Kreissparkasse Halberstadt','52'],
		'81053242' => ['Kreissparkasse Schonebeck Schonebeck [Elbe]','52'],
		'81053272' => ['Stadtsparkasse Magdeburg','52'],
		'81054000' => ['Sparkasse Jerichower Land Burg b Magdeburg','20'],
		'81055000' => ['Ohrekreis-Sparkasse Haldensleben','20'],
		'81055555' => ['Sparkasse Altmark West Salzwedel, Hansestadt','20'],
		'81063028' => ['Raiffeisenbank Kalbe-Bismark Kalbe [Milde]','32'],
		'81063198' => ['Haldensleber Bank-Raiffeisenbank Haldensleben','32'],
		'81063238' => ['Volks- und Raiffeisenbank Burg Burg b Magdeburg','32'],
		'81069048' => ['Volksbank Genthin','32'],
		'81069052' => ['Volksbank Borde-Bernburg Wanzleben','32'],
		'81070000' => ['Deutsche Bank Magdeburg','63'],
		'81070024' => ['Deutsche Bank Privat und Geschaftskunden Magdeburg','63'],
		'81080000' => ['Dresdner Bank Magdeburg','76'],
		'81093034' => ['Volksbank Gardelegen','32'],
		'81093044' => ['Volksbank Osterburg-Luchow-Dannenberg -alt- Osterburg [Altmark]','32'],
		'81093054' => ['Volksbank Stendal','32'],
		'81093274' => ['Volksbank Magdeburg','32'],
		'82000000' => ['Bundesbank Erfurt','09'],
		'82010111' => ['SEB Erfurt','13'],
		'82020086' => ['Bayer Hypo- und Vereinsbank Erfurt','99'],
		'82020087' => ['Bayer Hypo- und Vereinsbank Weimar, Thur','99'],
		'82020088' => ['Bayer Hypo- und Vereinsbank Eisenach, Thur','99'],
		'82020200' => ['Thuringer Aufbaubank Erfurt','09'],
		'82020700' => ['Hanseatic Bank Erfurt','16'],
		'82040000' => ['Commerzbank Erfurt','13'],
		'82050000' => ['Landesbank Hessen-Thur Girozentrale Erfurt','00'],
		'82051000' => ['Sparkasse Mittelthuringen Erfurt','20'],
		'82052020' => ['Kreissparkasse Gotha Gotha, Thur','20'],
		'82054052' => ['Kreissparkasse Nordhausen Nordhausen, Thur','52'],
		'82054112' => ['Kreissparkasse Sommerda -alt-','52'],
		'82054222' => ['Sparkasse Erfurt -alt-','52'],
		'82055000' => ['Kyffhausersparkasse Sondershausen, Thur','20'],
		'82056060' => ['Sparkasse Unstrut-Hainich Muhlhausen /Thuringen','20'],
		'82057070' => ['Kreissparkasse Eichsfeld Worbis','20'],
		'82060197' => ['Pax-Bank Erfurt','06'],
		'82060800' => ['Evangelische Kreditgenossenschaft Fil Eisenach, Thur','32'],
		'82064038' => ['VR Bank Westthuringen Muhlhausen /Thuringen','32'],
		'82064088' => ['Volksbank und Raiffeisenbank Eisenach, Thur','32'],
		'82064118' => ['VR-Bank Sommerda-Sondershausen -alt-','32'],
		'82064128' => ['Erfurter Bank Raiffeisenbank -alt- Arnstadt','32'],
		'82064168' => ['Raiffeisenbank Gotha Gotha, Thur','32'],
		'82064188' => ['VR Bank Weimar Weimar, Thur','32'],
		'82064228' => ['Erfurter Bank Raiffeisenbank','32'],
		'82070000' => ['Deutsche Bank Erfurt','63'],
		'82070024' => ['Deutsche Bank Privat und Geschaftskunden Erfurt','63'],
		'82080000' => ['Dresdner Bank Weimar, Thur','76'],
		'82094004' => ['Volksbank Heiligenstadt Heilbad Heiligenstadt','06'],
		'82094054' => ['Nordthuringer Volksbank Nordhausen, Thur','32'],
		'82094094' => ['Volksbank Raiffeisenbank Apolda','32'],
		'82094224' => ['Volksbank Erfurt','32'],
		'83000000' => ['Bundesbank eh Gera Erfurt','09'],
		'83020086' => ['Bayer Hypo- und Vereinsbank Gera','99'],
		'83020087' => ['Bayer Hypo- und Vereinsbank Jena','99'],
		'83020088' => ['Bayer Hypo- und Vereinsbank Saalfeld /Saale','99'],
		'83040000' => ['Commerzbank Gera','13'],
		'83050000' => ['Sparkasse Gera-Greiz','20'],
		'83050200' => ['Sparkasse Altenburger Land Altenburg, Thur','20'],
		'83050303' => ['Kreissparkasse Saalfeld-Rudolstadt Saalfeld /Saale','20'],
		'83050505' => ['Kreissparkasse Saale-Orla Schleiz','20'],
		'83053030' => ['Sparkasse Jena-Saale-Holzland','20'],
		'83064488' => ['Raiffeisen-Volksbank Hermsdorfer Kreuz Hermsdorf, Thur','32'],
		'83064538' => ['Raiffeisen-Volksbank Greiz','32'],
		'83064568' => ['Geraer Bank','32'],
		'83065408' => ['VR-Bank Altenburger Land Schmolln, Thur','32'],
		'83080000' => ['Dresdner Bank Gera','76'],
		'83094444' => ['Raiffeisen-Volksbank Saale-Orla Po?neck','32'],
		'83094454' => ['Volksbank Saaletal Rudolstadt','06'],
		'83094494' => ['Volksbank Eisenberg Eisenberg, Thur','32'],
		'83094495' => ['EthikBank, Zndl der Volksbank Eisenberg, Eisenberg, Th?r', '32'],
		'83095404' => ['Volksbank Schmolln Schmolln, Thur','06'],
		'83095424' => ['Volksbank Altenburg Altenburg, Thur','06'],
		'84000000' => ['Bundesbank Meiningen','09'],
		'84020086' => ['Bayer Hypo- und Vereinsbank Meiningen','99'],
		'84020087' => ['Bayer Hypo- und Vereinsbank Suhl','99'],
		'84030111' => ['Bankhaus Max Flessa & Co. Meiningen','09'],
		'84040000' => ['Commerzbank Meiningen','13'],
		'84050000' => ['Rhon-Rennsteig-Sparkasse Meiningen','20'],
		'84051010' => ['Sparkasse Arnstadt-Ilmenau Ilmenau, Thur','20'],
		'84054040' => ['Kreissparkasse Hildburghausen','20'],
		'84054722' => ['Sparkasse Sonneberg Sonneberg, Thur','20'],
		'84055050' => ['Wartburg-Sparkasse Eisenach, Thur','20'],
		'84064738' => ['Raiffeisenbank Hildburghausen','88'],
		'84064778' => ['Volks- und Raiffeisenbank Bad Salzungen Schmal Schmalkalden','32'],
		'84064798' => ['Genobank Rhon-Grabfeld Meiningen','88'],
		'84069065' => ['Raiffeisenbank Schleusingen','32'],
		'84080000' => ['Dresdner Bank Meiningen','76'],
		'84094704' => ['Volksbank Sonneberg-Neuhaus -alt- Neuhaus am Rennweg','32'],
		'84094754' => ['Volks- und Raiffeisenbank Bad Salzungen Schmal','32'],
		'84094764' => ['Volksbank Ilmenau Ilmenau, Thur','32'],
		'84094814' => ['VR Bank Sudthuringen Suhl','32'],
		'85000000' => ['Bundesbank Dresden','09'],
		'85010500' => ['Sachsische Aufbaubank -Forderbank- Dresden','09'],
		'85020030' => ['Baden-Wurttembergische Bank Dresden','65'],
		'85020086' => ['Bayer Hypo- und Vereinsbank Dresden','99'],
		'85020500' => ['Sozialbank Dresden','09'],
		'85020700' => ['Hanseatic Bank Dresden','16'],
		'85020890' => ['Bayer Hypo- und Vereinsbank Ndl 536 Dre Aschheim','70'],
		'85040000' => ['Commerzbank Dresden','13'],
		'85050100' => ['Niederschlesische Sparkasse Gorlitz Gorlitz, Nei?e','20'],
		'85050200' => ['Kreissparkasse Riesa-Gro?enhain','20'],
		'85050300' => ['Ostsachsische Sparkasse Dresden','20'],
		'85055000' => ['Kreissparkasse Mei?en Mei?en, Sachs','20'],
		'85055142' => ['Stadtsparkasse Dresden -alt-','53'],
		'85060000' => ['Volksbank Pirna','32'],
		'85064998' => ['Raiffeisenbank Rodertal -alt- Gro?enhain, Sachs','32'],
		'85065028' => ['Raiffeisenbank Neustadt, Sachs Sebnitz','32'],
		'85065038' => ['Volksbank Pirna [ehem Raiffbk Pirna]','32'],
		'85069067' => ['Dresdner Volksbank Raiffeisenbank ehem Raiffbk Dresden','32'],
		'85080000' => ['Dresdner Bank Dresden','76'],
		'85080200' => ['Dresdner Bank Hoyerswerda','76'],
		'85089270' => ['Dresdner Bank ITGK Dresden','09'],
		'85090000' => ['Dresdner Volksbank Raiffeisenbank Dresden','06'],
		'85094984' => ['Volksbank Riesa','06'],
		'85095004' => ['Volksbank Raiffeisenbank Mei?en Gro?enhain Mei?en, Sachs','06'],
		'85095034' => ['Volksbank Pirna -alt-','06'],
		'85095154' => ['Dresdner Volksbank Raiffeisenbank ehem VB Dresden','06'],
		'85095164' => ['Landeskirchliche Kredit-Genossenschaft Sachsen Dresden','06'],
		'85500000' => ['Bundesbank eh Bautzen Dresden','09'],
		'85550000' => ['Kreissparkasse Bautzen Bautzen, Sachs','20'],
		'85550200' => ['Kreissparkasse Lobau-Zittau','20'],
		'85550500' => ['Sparkasse Westlausitz -alt- Kamenz','20'],
		'85564938' => ['Raiffbk-VB Niesky-Wei?wasser Niesky','32'],
		'85590000' => ['Volksbank Bautzen Bautzen, Sachs','06'],
		'85590100' => ['Volksbank Lobau-Zittau Neugersdorf, Sachs','06'],
		'85591000' => ['Volksbank und Raiffeisenbank Gorlitz Gorlitz, Nei?e','06'],
		'85591004' => ['Volksbank Lobau-Zittau ehem VB u Raiffbk','32'],
		'85595500' => ['Volksbank Westlausitz Bischofswerda','06'],
		'86000000' => ['Bundesbank Leipzig','09'],
		'86010090' => ['Postbank Leipzig','24'],
		'86010111' => ['SEB Leipzig','13'],
		'86010424' => ['Aareal Bank Leipzig','09'],
		'86020030' => ['Baden-Wurttembergische Bank Leipzig','65'],
		'86020086' => ['Bayer Hypo- und Vereinsbank Leipzig','99'],
		'86020200' => ['BHF-BANK Leipzig','60'],
		'86020500' => ['Sozialbank Leipzig','09'],
		'86020600' => ['Hanseatic Bank Leipzig','09'],
		'86020880' => ['Bayer Hypo- und Vereinsbank Ndl 508 Lei Aschheim','70'],
		'86030000' => ['setis-bank Leipzig','17'],
		'86030300' => ['Bankhaus Reuschel + Co Leipzig','09'],
		'86040000' => ['Commerzbank Leipzig','13'],
		'86050000' => ['Landesbank Sachsen Girozentrale Leipzig','09'],
		'86050200' => ['Sparkasse Muldental Grimma','20'],
		'86050600' => ['Kreissparkasse Torgau-Oschatz -alt-','20'],
		'86055002' => ['Sparkasse Delitzsch-Eilenburg','20'],
		'86055462' => ['Kreissparkasse Dobeln','52'],
		'86055592' => ['Stadt- und Kreissparkasse Leipzig','20'],
		'86065413' => ['Raiffeisenbank Geithain','06'],
		'86065448' => ['Volksbank und Raiffeisenbank Borna Borna b Leipzig','32'],
		'86065468' => ['Volksbank Raiffeisenbank Dobeln','06'],
		'86065483' => ['Raiffeisenbank Grimma','06'],
		'86065548' => ['Wurzener Bank [Raiffeisen-Volksbank] -alt-','06'],
		'86069070' => ['Raiffeisenbank Torgau','06'],
		'86070000' => ['Deutsche Bank Leipzig','63'],
		'86070024' => ['Deutsche Bank Privat und Geschaftskunden Leipzig','63'],
		'86080000' => ['Dresdner Bank Leipzig','76'],
		'86089280' => ['Dresdner Bank ITGK Leipzig','09'],
		'86095484' => ['Volks- und Raiffeisenbank Muldental Grimma','06'],
		'86095554' => ['Volksbank Delitzsch','06'],
		'86095604' => ['Volksbank Leipzig','06'],
		'87000000' => ['Bundesbank Chemnitz, Sachs','09'],
		'87020086' => ['Bayer Hypo- und Vereinsbank Chemnitz, Sachs','99'],
		'87020087' => ['Bayer Hypo- und Vereinsbank Plauen, Vogtl','99'],
		'87020088' => ['Bayer Hypo- und Vereinsbank Zwickau','99'],
		'87040000' => ['Commerzbank Chemnitz, Sachs','13'],
		'87050000' => ['Sparkasse Chemnitz Chemnitz, Sachs','20'],
		'87051000' => ['Kreissparkasse Mittweida','20'],
		'87052000' => ['Kreissparkasse Freiberg Freiberg, Sachs','20'],
		'87053000' => ['Sparkasse Mittleres Erzgebirge Marienberg, Erzgeb','20'],
		'87054000' => ['Sparkasse Erzgebirge Stollberg /Erzgeb.','20'],
		'87055000' => ['Sparkasse Zwickau','20'],
		'87056000' => ['Kreissparkasse Aue-Schwarzenberg Aue, Sachs','20'],
		'87057000' => ['Kreissparkasse Annaberg -alt- Annaberg-Buchholz','20'],
		'87058000' => ['Sparkasse Vogtland Plauen, Vogtl','20'],
		'87065858' => ['Raiffeisenbank Vogtland Reichenbach, Vogtl','06'],
		'87065893' => ['Volksbank Erzgebirge -alt- Aue, Sachs','06'],
		'87065918' => ['Raiffeisenbank Werdau-Zwickau','06'],
		'87066088' => ['Volksbank Mittleres Erzgebirge ehem Raiffbk Floha','06'],
		'87069075' => ['Volksbank Mittleres Erzgebirge Olbernhau','06'],
		'87069077' => ['Vereinigte Raiffeisenbank Burgstadt Burgstadt, Sachs','06'],
		'87070000' => ['Deutsche Bank Chemnitz, Sachs','63'],
		'87070024' => ['Deutsche Bank Privat und Geschaftskunden Chemnitz, Sachs','63'],
		'87080000' => ['Dresdner Bank Chemnitz, Sachs','76'],
		'87095824' => ['Volksbank Vogtland Plauen, Vogtl','06'],
		'87095934' => ['Volksbank Zwickau','06'],
		'87095974' => ['Volksbank-Raiffeisenbank Glauchau','06'],
		'87096034' => ['Volksbank Erzgebirge Annaberg-Buchholz','06'],
		'87096074' => ['Freiberger Bank Freiberg, Sachs','06'],
		'87096124' => ['Volksbank Mittweida','06'],
		'87096214' => ['Volksbank Chemnitz Chemnitz, Sachs','06'],
	);

	return	undef	unless( defined($BLZS_CODES{ $h{blz} }) );
	return	$BLZS_CODES{ $h{blz} }->[1];
}

1;
